1999-12-28 23:16  Marcus Sundberg [marcus@ggi-project.org]

	* display/X/mode.c (1.45): Not calling XSync() directly after
	XShmPutImage() can give significant performance improvements on SMP
	machines. Instead we call it before, to prevent the X server from
	being flooded by ShmPut requests.

1999-12-23 23:00  Steve Cheng [steve@ggi-project.org]

	* doc/: docbook/libggi-api.sgml (1.17), man/ggiInit.3ggi (1.11):
	Fixed erroneous example in ggiInit man page.

1999-12-21 23:31  Marcus Sundberg [marcus@ggi-project.org]

	* doc/: docbook/libggi-api.sgml (1.16), man/ggiDrawPixel.3ggi
	(1.11): Fixed silly typo.

1999-12-21 00:00  Marcus Sundberg [marcus@ggi-project.org]

	* doc/: targets.txt (1.16), docbook/libggi-user.sgml (1.5),
	man/libggi.7ggi (1.6): Parameter to X and Xlib targets is
	-inwin=<windowid>, not -inwin <windowid>

1999-12-18 21:10  Marcus Sundberg [marcus@ggi-project.org]

	* display/fbdev/visual.c (1.70), include/ggi/display/fbdev.h
	(1.12): Declare GGI_fbdev_kgicommand at the right place.

1999-12-18 19:42  Marcus Sundberg [marcus@ggi-project.org]

	* default/fbdev/mga/2164w/visual.c (1.9): Free DB resource
	structures at cleanup time.  Fixed alignment of fontoffset.

1999-12-18 19:41  Marcus Sundberg [marcus@ggi-project.org]

	* default/fbdev/mga/2164w/m2164w.h (1.9): Added RS27() macro.

1999-12-18 19:41  Marcus Sundberg [marcus@ggi-project.org]

	* default/fbdev/mga/2164w/gtext.c (1.5): AR3 is 27 bits wide for
	monochrome blits.

1999-12-18 19:40  Marcus Sundberg [marcus@ggi-project.org]

	* display/fbdev/mode.c (1.70): Leave freeing DB resource structures
	to whoever allocates them.

1999-12-18 16:12  Andreas Beck [becka@ggi-project.org]

	* default/kgi/box.c (1.9), default/kgi/copybox.c (1.8),
	default/kgi/line.c (1.9), display/fbdev/mode.c (1.69),
	display/fbdev/visual.c (1.69): Added Triangles to Permedia driver. 
	Fixed up KGI handling.

1999-12-12 23:05  Marcus Sundberg [marcus@ggi-project.org]

	* display/xf86dga/mode.c (1.42): Set vis->palette to NULL after
	freeing it.

1999-12-12 23:04  Marcus Sundberg [marcus@ggi-project.org]

	* display/tele/mode.c (1.14): Check for vis->palette != NULL
	instead of graphtype == GT_PALETTE.

1999-12-12 23:03  Marcus Sundberg [marcus@ggi-project.org]

	* display/: svgalib/visual.c (1.33), xf86dga/visual.c (1.42):
	vis->palette is freed in _ggiDestroyVisual(), no need to do it
	here.

1999-12-12 23:02  Marcus Sundberg [marcus@ggi-project.org]

	* display/svgalib/mode.c (1.41): Set vis->palette and
	priv->savepalette to NULL after freeing them.

1999-12-12 23:01  Marcus Sundberg [marcus@ggi-project.org]

	* display/palemu/palemu.c (1.13): Set ph->palette and ph->lookup to
	NULL after freeing them.

1999-12-12 23:00  Marcus Sundberg [marcus@ggi-project.org]

	* display/: monotext/mode.c (1.33), palemu/mode.c (1.24): Set
	vis->palette to NULL after freeing it.

1999-12-12 22:59  Marcus Sundberg [marcus@ggi-project.org]

	* display/memory/mode.c (1.29): Set vis->palette to NULL after
	freeing it.  Use LIBGGI_APPASSERT macro when checking for vis ==
	NULL.

1999-12-12 22:56  Marcus Sundberg [marcus@ggi-project.org]

	* display/: fbdev/mode.c (1.68), file/mode.c (1.18): Set
	vis->palette to NULL after freeing it.

1999-12-12 22:52  Marcus Sundberg [marcus@ggi-project.org]

	* display/: X/visual.c (1.51), Xlib/visual.c (1.35), aa/visual.c
	(1.33): vis->palette is freed in _ggiDestroyVisual(), no need to do
	it here.

1999-12-12 22:51  Marcus Sundberg [marcus@ggi-project.org]

	* display/X/mode.inc (1.8): Set vis->palette to NULL after freeing
	it.

1999-12-12 22:48  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/visual.c (1.8): Free vis->palette here so targets don't have
	to.  Targets freeing vis->palette must set it to NULL afterwards.

1999-12-12 22:47  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.86): No need to check for linux/joystick.h in
	LibGGI.

1999-12-07 23:06  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/: dl.c (1.7), visual.c (1.7): Nuke sublibs in the order
	GGI_DL_OPDRAW, GGI_DL_OPCOLOR, GGI_DL_OPGC, GGI_DL_OPDISPLAY,
	GGI_DL_EXTENSION. GGI_DL_EXTENSION should really be nuked first,
	but currently that breaks mansync.

1999-12-07 23:05  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/mode.c (1.9): ggiParseMode():	Allow NULL string as
	argument.  ggiParseMode(): Print string as string in debug
	statement.

1999-12-07 22:23  Marcus Sundberg [marcus@ggi-project.org]

	* display/X/mode.c (1.44): _ggi_x_do_blit(): Expose event may be
	queued from a previous (larger) mode. In that case we just ignore
	it and return.

1999-11-27 22:36  Marcus Sundberg [marcus@ggi-project.org]

	* display/fbdev/visual.c (1.68): Added support for G400 and NULL
	entries for nVidia, C&T 6555x, 3Dfx Banshee and ATI Rage128.

1999-11-11 23:40  Jon Taylor [taylorj@ggi-project.org]

	* include/ggi/default/genkgi.h (1.3): GENKGI_USE_PPBUF was
	mistakenly defined by default

1999-11-09 12:30  Marcus Sundberg [marcus@ggi-project.org]

	* display/: X/visual.c (1.50), Xlib/visual.c (1.34): Slight cleanup
	of the option parsing code.  Added -noinput option.

1999-11-09 12:30  Marcus Sundberg [marcus@ggi-project.org]

	* display/X/mode.inc (1.7): Don't try to send events to input-xwin
	if it doesn't exist.

1999-11-09 12:29  Marcus Sundberg [marcus@ggi-project.org]

	* default/fbdev/mga/2164w/: box.c (1.7), copybox.c (1.6),
	crossblit.c (1.2), gtext.c (1.4), hline.c (1.6), line.c (1.6),
	vline.c (1.6): Use RS* macros to make sure values written into
	registers are valid. This means that negative coordinates are now
	supported in the drawing functions.

1999-11-09 12:01  Marcus Sundberg [marcus@ggi-project.org]

	* default/fbdev/mga/2164w/m2164w.h (1.8): Added RS16, RS18 and RS24
	macros.

1999-09-23 21:37  Marcus Sundberg [marcus@ggi-project.org]

	* default/fbdev/mga/2164w/visual.c (1.8): do_cleanup(): Check
	fbdevpriv != NULL before setting priv.

1999-09-23 21:35  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/dl.c (1.6): Zap GGI_DL_EXTENSION sublibs first and
	GGI_DL_OPDISPLAY sublibs last.

1999-09-23 13:34  Marcus Sundberg [marcus@ggi-project.org]

	* config.guess (1.4), config.sub (1.4): Updated from autoconf CVS.

1999-09-14 00:57  Marcus Sundberg [marcus@ggi-project.org]

	* display/mansync/child.c (1.15): Take proper precautions so we
	don't end up flushing all the time without ever executing other
	code.  No need to have the _GGI_mansync_dummy() function - just use
	SIG_IGN.

1999-09-13 23:49  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.85): Check for sigpending().

1999-09-08 01:45  Marcus Sundberg [marcus@ggi-project.org]

	* display/fbdev/visual.c (1.67): Fixed compilation on old fbdev.

1999-09-08 01:45  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.84): Check for linux/major.h.  Fixed check for
	new/old Linux fbdev.

1999-09-07 22:10  Marcus Sundberg [marcus@ggi-project.org]

	* programs/demos/cube3d.c (1.10): No C++ comments in GGI.

1999-09-07 22:04  Marcus Sundberg [marcus@ggi-project.org]

	* display/directx/.cvsignore (1.1), display/directx/EXPSYMS (1.1),
	display/directx/Makefile.am (1.1), display/directx/ddinit.c (1.1),
	display/directx/ddinit.h (1.1), display/directx/line.c (1.1),
	display/directx/mode.c (1.1), display/directx/pixel.c (1.1),
	display/directx/visual.c (1.1), include/ggi/display/directx.h
	(1.1): Added John Fortin's [fortinj@ibm.net] initial (cleaned up by
	me - hope I didn't break anything) DirectX target.

1999-09-07 21:39  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/display/Makefile.am (1.4): Added directx.h to
	ggiinclude_HEADERS.

1999-09-07 21:37  Marcus Sundberg [marcus@ggi-project.org]

	* display/Makefile.am (1.3): Added directx to EXTRA_SUBDIRS.

1999-09-07 21:37  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.83): Added John Fortin's initial (cleaned up by
	me - hope I didn't break anything) DirectX target. For now it is   
	  only enabled by --enable-directx

1999-09-06 00:40  Marcus Sundberg [marcus@ggi-project.org]

	* README (1.5): Added "LibGG 0.7 or later" to required list.

1999-09-06 00:38  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.82): Check for sys/socket.h, netinet/in.h and
	netdb.h headers.  Check for getopt, random, herror and connect
	functions.  New Makefile variable $(bsdsock_libs).  Check for
	connect in -lwsock32. Add -lwsock32 to bsdsoc_libs if it is there.

1999-09-06 00:36  Marcus Sundberg [marcus@ggi-project.org]

	* display/tele/libtele.c (1.10): Put #ifdefs around sys/socket.h,
	netinet/in.h and netdb.h.  Removed arpa/inet.h.  Wrapped non-common
	errnos in #ifdefs.  Use ggCurTime() instead of gettimeofday(). 
	Wrapped herror and SIGPIPE in #ifdefs.

1999-09-06 00:35  Marcus Sundberg [marcus@ggi-project.org]

	* display/tele/Makefile.am (1.10): Link with $(bsdsock_libs).

1999-09-06 00:33  Marcus Sundberg [marcus@ggi-project.org]

	* programs/demos/pageflip.c (1.6): Only use random() if available.

1999-09-06 00:32  Marcus Sundberg [marcus@ggi-project.org]

	* programs/check/Makefile.am (1.4): Add -lgg flag to programs using
	ggCurTime().

1999-09-06 00:29  Marcus Sundberg [marcus@ggi-project.org]

	* programs/check/checkmode.c (1.4): Only use getopt() if available.

1999-09-06 00:27  Marcus Sundberg [marcus@ggi-project.org]

	* programs/check/showaccel.c (1.6): Use ggCurTime() instead of
	gettimeofday().

1999-09-06 00:26  Marcus Sundberg [marcus@ggi-project.org]

	* programs/check/consistency.c (1.7): No need to use srandom()
	here.

1999-09-06 00:26  Marcus Sundberg [marcus@ggi-project.org]

	* programs/util/monitest/monitest.c (1.10): There is no data-type
	named uint!

1999-09-06 00:25  Marcus Sundberg [marcus@ggi-project.org]

	* programs/demos/slimy.c (1.8): Define M_PI if necessary.

1999-09-06 00:25  Marcus Sundberg [marcus@ggi-project.org]

	* programs/demos/: demo.c (1.17), flying_ggis.c (1.6): Only use
	random() if available.	Use ggCurTime() instead of gettimeofday().

1999-09-06 00:24  Marcus Sundberg [marcus@ggi-project.org]

	* programs/demos/Makefile.am (1.9): Add -lgg flag to programs using
	ggCurTime().

1999-09-06 00:24  Marcus Sundberg [marcus@ggi-project.org]

	* programs/demos/warp-ggi/: dowarp.c (1.2), main.c (1.8), warp.h
	(1.2): Define M_PI in warp.h if necessary.

1999-09-06 00:24  Marcus Sundberg [marcus@ggi-project.org]

	* default/linear_2/pixela.c (1.2): Named functions properly.

1999-09-04 01:08  Marcus Sundberg [marcus@ggi-project.org]

	* ltconfig (1.12): libtool's "smart" checks doesn't work as usual. 
	Just let deplibs_check_method be pass_all for mingw/cygwin targets.

1999-09-03 11:24  Andrew Apted [andrew@ggi-project.org]

	* display/fbdev/mode.c (1.67): Fixed a problem with vesafb & its
	ypan option. The problem was yoffset is not reset after a program
	uses panning, and the old value can cause the next program's
	FBIOPUT_VSCREEN to fail when its virt.y is smaller.

1999-09-03 07:52  Andrew Apted [andrew@ggi-project.org]

	* display/tile/mode.c (1.46): Fixed a problem where using
	display-tile on multible fbdev targets would cause bad results. 
	The problem stemmed from the fact that mode.graphtype is not
	comparable with the GT_xxBIT compatibility defines (especially
	after being through a checkmode).

1999-08-31 00:50  Marcus Sundberg [marcus@ggi-project.org]

	* ltconfig (1.11): Made deplibs_check_method default to 'pass_all'
	as it should do.  Set need_lib_prefix=no and need_version=no on
	OpenBSD and NetBSD.

1999-08-30 19:42  Marcus Sundberg [marcus@ggi-project.org]

	* ltconfig (1.10), ltmain.sh (1.7), m4/libtool.m4 (1.2): Updated
	from libtool CVS.

1999-08-30 19:38  Marcus Sundberg [marcus@ggi-project.org]

	* config.guess (1.3), config.sub (1.3): Updated from autoconf CVS.

1999-08-30 05:37  Jon Taylor [taylorj@ggi-project.org]

	* include/ggi/default/genkgi.h (1.2), default/kgi/box.c (1.8),
	default/kgi/copybox.c (1.7), default/kgi/line.c (1.8): Misc
	cleanups

1999-08-29 20:03  Marcus Sundberg [marcus@ggi-project.org]

	* default/color/: color.c (1.11), color.h (1.6), visual.c (1.12):
	GGI_color_PAL_mapcolor(): cache previous value for faster lookup.

1999-08-29 19:40  Marcus Sundberg [marcus@ggi-project.org]

	* default/fbdev/mga/2164w/visual.c (1.7): Accelerated crossblit. 
	We only use it for palettized modes, as the generic code in
	linear-* is much faster for truecolor-to-truecolor blits.

1999-08-29 19:39  Marcus Sundberg [marcus@ggi-project.org]

	* default/fbdev/mga/2164w/: box.c (1.6), copybox.c (1.5), gtext.c
	(1.3), hline.c (1.5), line.c (1.5), vline.c (1.5): Cache current
	DWGCTL value to save space in the accel FIFO.

1999-08-29 19:35  Marcus Sundberg [marcus@ggi-project.org]

	* default/fbdev/mga/2164w/crossblit.c (1.1): Accelerated crossblit.
	 We only use it for palettized modes, as the generic code in
	linear-* is much faster for truecolor-to-truecolor blits.

1999-08-29 19:34  Marcus Sundberg [marcus@ggi-project.org]

	* default/fbdev/mga/2164w/Makefile.am (1.7): Added crossblit.c

1999-08-29 19:34  Marcus Sundberg [marcus@ggi-project.org]

	* default/fbdev/mga/2164w/regs.h (1.4): Added defines for OPMODE
	register.

1999-08-29 19:34  Marcus Sundberg [marcus@ggi-project.org]

	* default/fbdev/mga/2164w/mmio.h (1.8): Added mga_out16(),
	mga_in16() and mga_setdwgctl().

1999-08-29 19:33  Marcus Sundberg [marcus@ggi-project.org]

	* default/fbdev/mga/2164w/m2164w.h (1.7): New private entries:
	dwgctl, curopmode, origopmode, dmaaddr, dma_len and crossblit.

1999-08-29 19:24  Marcus Sundberg [marcus@ggi-project.org]

	* default/linear_32/crossblit.c (1.16): Calling memcpy() in
	crossblit_same() gives crappy performance.  Use our own C code
	instead.

1999-08-29 19:21  Marcus Sundberg [marcus@ggi-project.org]

	* display/fbdev/visual.c (1.66): Set LIBGGI_PRIVATE(vis) = NULL
	when done with do_cleanup().

1999-08-29 19:19  Marcus Sundberg [marcus@ggi-project.org]

	* programs/demos/demo.c (1.16): Print all test results to stdout. 
	Made crossblit code more suitable for benchmarking.  Properly break
	out of copybox test when a key is pressed.

1999-08-29 02:14  Marcus Sundberg [marcus@ggi-project.org]

	* default/: Makefile.am (1.3), linear_4_r/.cvsignore (1.1),
	linear_4_r/EXPSYMS (1.1), linear_4_r/Makefile.am (1.1),
	linear_4_r/color.c (1.1), linear_4_r/copybox.c (1.1),
	linear_4_r/hline.c (1.1), linear_4_r/lin4rlib.h (1.1),
	linear_4_r/pixel.c (1.1), linear_4_r/pixela.c (1.1),
	linear_4_r/visual.c (1.1), linear_4_r/vline.c (1.1): Added
	linear_4_r sublib. Both this and the normal linear_4 sublib need to
	be fixed.

1999-08-29 02:11  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.81): Added include/ggi/default and
	default/linear_4_r directories.

1999-08-29 02:09  Marcus Sundberg [marcus@ggi-project.org]

	* default/kgi/box.c (1.7), default/kgi/copybox.c (1.6),
	default/kgi/genkgi.h (1.11), default/kgi/line.c (1.7),
	default/kgi/mode.c (1.2), default/kgi/visual.c (1.12),
	include/ggi/Makefile.am (1.4), include/ggi/default/.cvsignore
	(1.1), include/ggi/default/Makefile.am (1.1),
	include/ggi/default/genkgi.h (1.1): Moved "genkgi.h" to
	<ggi/default/genkgi.h>

1999-08-29 01:50  Marcus Sundberg [marcus@ggi-project.org]

	* default/linear_4/color.c (1.10): Removed broken mapcolor and
	unmappixel (we use the ones in generic-color).	Optimized
	packcolors and unpackpixels.

1999-08-29 01:48  Marcus Sundberg [marcus@ggi-project.org]

	* default/linear_4/visual.c (1.17): Removed broken mapcolor and
	unmappixel.

1999-08-29 01:43  Marcus Sundberg [marcus@ggi-project.org]

	* libggi.conf.in (1.11): Added generic-linear-4-r

1999-08-29 01:43  Marcus Sundberg [marcus@ggi-project.org]

	* default/stubs/copybox.c (1.10): Always use a big enough temporary
	buffer so we can copy whole lines.

1999-08-29 01:34  Marcus Sundberg [marcus@ggi-project.org]

	* display/fbdev/mode.c (1.66), display/fbdev/visual.c (1.65),
	include/ggi/display/fbdev.h (1.11): New private entry 'flags'. For
	now we use it to know whether we should use the *-r versions of
	linear libs.

1999-08-29 01:25  Marcus Sundberg [marcus@ggi-project.org]

	* programs/demos/demo.c (1.15): Test copybox in all four
	directions.

1999-08-29 01:23  Marcus Sundberg [marcus@ggi-project.org]

	* display/multi/mode.c (1.17), display/multi/stubs.c (1.18),
	display/multi/visual.c (1.27), include/ggi/display/multi.h (1.2):
	Added missing functions, optimized some stuff, better mode
	handling, code cleanup.

1999-08-22 10:11  Jon Taylor [taylorj@ggi-project.org]

	* default/kgi/genkgi.h (1.10): [no log message]

1999-08-20 11:53  Jon Taylor [taylorj@ggi-project.org]

	* default/kgi/: copybox.c (1.5), genkgi.h (1.9), line.c (1.6),
	visual.c (1.11): Added copybox accel and support for /proc/gfx[n]
	multiheading`

1999-08-17 01:08  Marcus Sundberg [marcus@ggi-project.org]

	* default/kgi/: genkgi.h (1.8), visual.c (1.10): Cleaned up
	new-style GC-mapping and ping-pong init code.

1999-08-16 11:24  Jon Taylor [taylorj@ggi-project.org]

	* default/kgi/genkgi.h (1.7): [no log message]

1999-08-16 11:18  Jon Taylor [taylorj@ggi-project.org]

	* default/kgi/: Makefile.am (1.9), box.c (1.6), genkgi.h (1.6),
	line.c (1.5), mode.c (1.1), visual.c (1.9): Added ping-pong buffer
	support

1999-08-15 01:42  Marcus Sundberg [marcus@ggi-project.org]

	* default/fbdev/Makefile.am (1.3): Made things compile again. Will
	sort out the rest later.

1999-08-12 21:21  Steve Cheng [steve@ggi-project.org]

	* doc/: docbook/DOC-STYLE (1.3), docbook/Makefile.am (1.2),
	docbook/README (1.2), docbook/README.first (1.3),
	docbook/libggi-api.sgml (1.15), docbook/libggi-user.sgml (1.4),
	man/ggiCopyBox.3ggi (1.9), man/ggiCrossBlit.3ggi (1.9),
	man/ggiDBGetBuffer.3ggi (1.10), man/ggiDrawBox.3ggi (1.10),
	man/ggiDrawHLine.3ggi (1.10), man/ggiDrawLine.3ggi (1.9),
	man/ggiDrawPixel.3ggi (1.10), man/ggiDrawVLine.3ggi (1.10),
	man/ggiEventPoll.3ggi (1.2), man/ggiFillscreen.3ggi (1.9),
	man/ggiFlush.3ggi (1.10), man/ggiGetPixelFormat.3ggi (1.9),
	man/ggiGetc.3ggi (1.2), man/ggiInit.3ggi (1.10),
	man/ggiMapColor.3ggi (1.10), man/ggiOpen.3ggi (1.10),
	man/ggiPanic.3ggi (1.9), man/ggiParseMode.3ggi (1.10),
	man/ggiPutc.3ggi (1.7), man/ggiResourceAcquire.3ggi (1.6),
	man/ggiSetColorfulPalette.3ggi (1.5), man/ggiSetDisplayFrame.3ggi
	(1.10), man/ggiSetFlags.3ggi (1.10), man/ggiSetGCClipping.3ggi
	(1.10), man/ggiSetGCForeground.3ggi (1.10), man/ggiSetGamma.3ggi
	(1.10), man/ggiSetGraphMode.3ggi (1.10), man/ggiSetMode.3ggi
	(1.11), man/ggiSetOrigin.3ggi (1.10), man/ggiSetPalette.3ggi
	(1.10): Regenerated man pages.	Give LibGII->LibGGI warning in
	ggiEventRead(3), and minor fixes.  Updated README.

1999-08-08 12:10  Jon Taylor [taylorj@ggi-project.org]

	* default/kgi/visual.c (1.8): Now we map the GC through
	/proc/kgi/gc

1999-07-30 16:50  Jos Hulzink [josh@stack.nl]

	* default/fbdev/Makefile.am (1.2): Added S3 subdirectory

1999-07-30 16:43  Jos Hulzink [josh@stack.nl]

	* display/fbdev/: visual.c (1.64), fbdev.conf.in (1.2): Added S3
	ViRGE accelleration

1999-07-12 22:03  Marcus Sundberg [marcus@ggi-project.org]

	* display/tele/libtele.c (1.9): Use herror() for gethostbyname()
	errors.  From Mumit Khan [khan@xraylith.wisc.edu] 
	(HAVE_UNIX_DOMAIN_SOCKET): Use	(tclient_open_unix): Likewise.	
	(tserver_init): Likewise.   tserver_open): Likewise.

1999-07-12 22:01  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.80): (sys/un.h): Check header. 
	(HAVE_UNIX_DOMAIN_SOCKET): Define.

1999-07-12 22:01  Marcus Sundberg [marcus@ggi-project.org]

	* acconfig.h (1.9): (HAVE_UNIX_DOMAIN_SOCKET): Define.

1999-07-04 21:41  Steve Cheng [steve@ggi-project.org]

	* doc/: docbook/libggi-user.sgml (1.3), man/libggi.7ggi (1.5):
	Added emulation and special targets to user man page.

1999-07-04 21:40  Steve Cheng [steve@ggi-project.org]

	* doc/docbook/libggi-api.sgml (1.14): A few simple formatting
	changes.

1999-07-03 18:00  Marcus Sundberg [marcus@ggi-project.org]

	* programs/util/monitest/flatpanel.c (1.3): Major update - nicer,
	faster and looks better.

1999-07-01 01:12  Marcus Sundberg [marcus@ggi-project.org]

	* default/color/color.h (1.5), display/X/mode.inc (1.6),
	display/monotext/monotext.c (1.21), display/xf86dga/visual.c
	(1.41), include/ggi/internal/structs.h (1.27): C++ fixes.

1999-06-29 04:38  Steve Cheng [steve@ggi-project.org]

	* doc/man/ggiSetMode.3ggi (1.10): Fixed roff formating error.

1999-06-25 23:08  Steve Cheng [steve@ggi-project.org]

	* doc/: docbook/libggi-api.sgml (1.13), docbook/libggi-user.sgml
	(1.2), man/libggi.7ggi (1.4): Fixed DocBook markup so that non-man
	formats will have proper cross references.  Added documentation for
	some targets (straight from targets.txt)

1999-06-25 03:11  Marcus Sundberg [marcus@ggi-project.org]

	* display/monotext/mode.c (1.32): Set proper pixelformat.  Fixed
	the most severe brokenness of CheckMode.

1999-06-25 03:04  Marcus Sundberg [marcus@ggi-project.org]

	* display/X/mode.inc (1.5), display/common/pixfmt-setup.inc (1.8),
	ggi/internal.c (1.9), include/ggi/internal/structs.h (1.26): Made
	stdformat names more consistent.  Set stdformat in
	_ggi_build_pixelformat() if we recognize it.

1999-06-22 01:10  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/structs.h (1.25): Don't use C++ 'private'
	keyword.

1999-06-22 01:05  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/ggi.h (1.45): Define GGI_MAX_APILEN constant for
	ggiGetAPI().

1999-06-22 00:57  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/init.c (1.12): Don't use C++ 'private' keyword.  Cleaned up
	memory allocation and return codes.

1999-06-22 00:57  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/internal.c (1.8): Minor optimization of _ggi_build_pixfmt().

1999-06-22 00:56  Marcus Sundberg [marcus@ggi-project.org]

	* extensions/misc/display/svgalib/svgamisc.h (1.6),
	extensions/misc/display/svgalib/visual.c (1.11),
	extensions/misc/ggimisc/init.c (1.4),
	extensions/misc/ggimisc/misc_int.h (1.4),
	include/ggi/internal/internal.h (1.30): Don't use C++ 'private'
	keyword.

1999-06-22 00:54  Marcus Sundberg [marcus@ggi-project.org]

	* Makefile.am (1.7): libtool.m4 isn't here anymore.

1999-06-19 01:46  Andreas Beck [becka@ggi-project.org]

	* display/memory/visual.c (1.25): Added ggConfigExpandAlias . Fixed
	small bug with memory target portability.

1999-06-18 19:41  Andreas Beck [becka@ggi-project.org]

	* doc/bdgtgp.txt (1.2): Minor updates to the Big dummies guide.

1999-06-17 20:20  Andreas Beck [becka@ggi-project.org]

	* doc/bdgtgp.txt (1.1): Added Big Dummies Guide ...

1999-06-12 01:34  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/: gc.c (1.4), stubs.c (1.9): ggiSetColorfulPalette(): moved
	to stubs.c, don't bother trying on non-paletized modes.

1999-06-12 01:32  Marcus Sundberg [marcus@ggi-project.org]

	* display/: svgalib/color.c (1.14), svgalib/mode.c (1.40),
	svgalib/pixel.c (1.12), svgalib/visual.c (1.32), vgagl/fillscreen.c
	(1.8), vgagl/pixel.c (1.11), vgagl/visual.c (1.12): Misc cleanups.
	Faster setpalette.

1999-06-12 01:18  Marcus Sundberg [marcus@ggi-project.org]

	* display/: Xlib/pixel.c (1.17), glide/pixel.c (1.10), sub/stubs.c
	(1.15), suidkgi/visual.c (1.24), tele/box.c (1.7), tile/stubs.c
	(1.15): Use ggi_pixel, not ggi_uint.

1999-06-12 01:15  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/display/svgalib.h (1.3): Get the returncode from
	_ggi_svgalib_setmode().

1999-06-12 01:14  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/ggi-dl.h (1.9): Added
	LIBGGICLIP_FULLSCREEN() macro.

1999-06-12 01:12  Marcus Sundberg [marcus@ggi-project.org]

	* programs/check/: consistency.c (1.6), speed.c (1.6): Minor
	cleanup.

1999-06-10 23:41  Marcus Sundberg [marcus@ggi-project.org]

	* display/Xlib/: hline.c (1.13), vline.c (1.13): Hlines and vlines
	were one pixel too long.

1999-06-08 02:58  Marcus Sundberg [marcus@ggi-project.org]

	* display/xf86dga/accel.c (1.2), display/xf86dga/color.c (1.15),
	display/xf86dga/mode.c (1.41), display/xf86dga/visual.c (1.40),
	include/ggi/display/xf86dga.h (1.5): Use the new xcommon.h
	structures for private data.

1999-06-08 02:45  Marcus Sundberg [marcus@ggi-project.org]

	* autogen.sh (1.2): Generate acinclude.m4 from m4/*.m4

1999-06-08 02:44  Marcus Sundberg [marcus@ggi-project.org]

	* display/X/color.inc (1.3), display/X/mode.c (1.43),
	display/X/mode.inc (1.4), display/X/visual.c (1.49),
	display/Xlib/box.c (1.12), display/Xlib/fillscreen.c (1.10),
	display/Xlib/gtext.c (1.12), display/Xlib/hline.c (1.12),
	display/Xlib/line.c (1.9), display/Xlib/mode.c (1.21),
	display/Xlib/pixel.c (1.16), display/Xlib/visual.c (1.33),
	display/Xlib/vline.c (1.12), include/ggi/display/x.h (1.7),
	include/ggi/display/xcommon.h (1.3), include/ggi/display/xlib.h
	(1.8): Improved the unified private structures a bit.

1999-06-08 02:39  Marcus Sundberg [marcus@ggi-project.org]

	* m4/: .cvsignore (1.1), Makefile.am (1.1), extrapaths.m4 (1.1),
	libtool.m4 (1.1): New directory in which to put autoconf macros.

1999-06-08 02:37  Marcus Sundberg [marcus@ggi-project.org]

	* Makefile.am (1.6), configure.in (1.79): Added m4/ directory to
	build system.

1999-06-08 02:36  Marcus Sundberg [marcus@ggi-project.org]

	* acinclude.m4 (1.3), libtool.m4 (1.3): Moved to m4/ directory.

1999-06-08 02:35  Marcus Sundberg [marcus@ggi-project.org]

	* .cvsignore (1.11): Added acinclude.m4

1999-06-08 00:05  Marcus Sundberg [marcus@ggi-project.org]

	* display/X/color.inc (1.2), display/X/mode.c (1.42),
	display/X/mode.inc (1.3), display/X/visual.c (1.48),
	display/Xlib/box.c (1.11), display/Xlib/color.c (1.10),
	display/Xlib/fillscreen.c (1.9), display/Xlib/gtext.c (1.11),
	display/Xlib/hline.c (1.11), display/Xlib/line.c (1.8),
	display/Xlib/mode.c (1.20), display/Xlib/pixel.c (1.15),
	display/Xlib/visual.c (1.32), display/Xlib/vline.c (1.11),
	extensions/misc/display/X/init.c (1.9), include/ggi/display/x.h
	(1.6), include/ggi/display/xcommon.h (1.2),
	include/ggi/display/xlib.h (1.7): Moved common data of X-based
	targets into their own structures.

1999-06-07 00:41  Steve Cheng [steve@ggi-project.org]

	* doc/: docbook/libggi-user.sgml (1.1), man/libggi.7ggi (1.3): Nice
	libggi(7) manpage and SGMl source.

1999-06-06 20:16  Steve Cheng [steve@ggi-project.org]

	* doc/man/Makefile.am (1.9): Install for new manpages.

1999-06-06 20:14  Steve Cheng [steve@ggi-project.org]

	* doc/man/: ggiAddEventMask.3ggi (1.1), ggiEventPoll.3ggi (1.1),
	ggiEventRead.3ggi (1.1), ggiEventSend.3ggi (1.1),
	ggiEventsQueued.3ggi (1.1), ggiGetEventMask.3ggi (1.1),
	ggiGetc.3ggi (1.1), ggiJoinInputs.3ggi (1.1), ggiKbhit.3ggi (1.1),
	ggiRemoveEventMask.3ggi (1.1), ggiSetEventMask.3ggi (1.1): The
	ggi->gii manpages and ggiGetc,ggiKbhit.

1999-06-06 20:12  Steve Cheng [steve@ggi-project.org]

	* doc/: docbook/libggi-api.sgml (1.12), man/ggiDBGetBuffer.3ggi
	(1.9), man/ggiDrawBox.3ggi (1.9), man/ggiDrawHLine.3ggi (1.9),
	man/ggiDrawPixel.3ggi (1.9), man/ggiDrawVLine.3ggi (1.9),
	man/ggiFlush.3ggi (1.9), man/ggiInit.3ggi (1.9),
	man/ggiMapColor.3ggi (1.9), man/ggiOpen.3ggi (1.9),
	man/ggiParseMode.3ggi (1.9), man/ggiPutc.3ggi (1.6),
	man/ggiResourceAcquire.3ggi (1.5), man/ggiSetDisplayFrame.3ggi
	(1.9), man/ggiSetFlags.3ggi (1.9), man/ggiSetGCClipping.3ggi (1.9),
	man/ggiSetGCForeground.3ggi (1.9), man/ggiSetGamma.3ggi (1.9),
	man/ggiSetGraphMode.3ggi (1.9), man/ggiSetMode.3ggi (1.9),
	man/ggiSetOrigin.3ggi (1.9), man/ggiSetPalette.3ggi (1.9): Big f*
	mistake in previous manpages fixed.  Added manpages for ggi->gii
	input functions Added ggiGetc, ggiKbhit

1999-06-06 18:14  Steve Cheng [steve@ggi-project.org]

	* doc/: docbook/libggi-api.sgml (1.11), man/ggiCopyBox.3ggi (1.8),
	man/ggiCrossBlit.3ggi (1.8), man/ggiDBGetBuffer.3ggi (1.8),
	man/ggiDrawBox.3ggi (1.8), man/ggiDrawHLine.3ggi (1.8),
	man/ggiDrawLine.3ggi (1.8), man/ggiDrawPixel.3ggi (1.8),
	man/ggiDrawVLine.3ggi (1.8), man/ggiFPrintMode.3ggi (1.2),
	man/ggiFillscreen.3ggi (1.8), man/ggiFlush.3ggi (1.8),
	man/ggiGetPixelFormat.3ggi (1.8), man/ggiInit.3ggi (1.8),
	man/ggiMapColor.3ggi (1.8), man/ggiOpen.3ggi (1.8),
	man/ggiPanic.3ggi (1.8), man/ggiParseMode.3ggi (1.8),
	man/ggiPrintMode.3ggi (1.8), man/ggiPutc.3ggi (1.5),
	man/ggiResourceAcquire.3ggi (1.4), man/ggiSPrintMode.3ggi (1.2),
	man/ggiSetColorfulPalette.3ggi (1.4), man/ggiSetDisplayFrame.3ggi
	(1.8), man/ggiSetFlags.3ggi (1.8), man/ggiSetGCClipping.3ggi (1.8),
	man/ggiSetGCForeground.3ggi (1.8), man/ggiSetGamma.3ggi (1.8),
	man/ggiSetGraphMode.3ggi (1.8), man/ggiSetMode.3ggi (1.8),
	man/ggiSetOrigin.3ggi (1.8), man/ggiSetPalette.3ggi (1.8): Pretty
	printed SGML. Revised parts of documentation. Moved short chapters
	into manpages.	Fixed some manpage generation errors.

1999-06-01 21:45  Marcus Sundberg [marcus@ggi-project.org]

	* extensions/misc/ggimisc/: Makefile.am (1.7), misc_int.h (1.3):
	Fixed proper usage of IMPORTVAR.

1999-05-31 23:16  Marcus Sundberg [marcus@ggi-project.org]

	* extensions/misc/: display/X/Makefile.am (1.8), display/X/crt.c
	(1.7), display/X/init.c (1.8), display/svgalib/Makefile.am (1.8),
	display/svgalib/mode.c (1.10), display/svgalib/svgamisc.h (1.5),
	display/svgalib/visual.c (1.10), ggimisc/EXPSYMS (1.2),
	ggimisc/Makefile.am (1.6), ggimisc/init.c (1.3), ggimisc/misc.h
	(1.2), ggimisc/misc_int.h (1.2): General cleanup. Win32 and C++
	compability, portability fixes.

1999-05-31 23:15  Marcus Sundberg [marcus@ggi-project.org]

	* extensions/misc/demos/misctest.c (1.10): Delay after each change.
	Clean up properly on error.  Allow termination with 'q' or Escape.

1999-05-31 23:11  Marcus Sundberg [marcus@ggi-project.org]

	* display/: svgalib/box.c (1.11), svgalib/hline.c (1.14),
	vgagl/box.c (1.10), vgagl/hline.c (1.11): Cleanup and bugfixes.
	More to come...

1999-05-30 22:22  Marcus Sundberg [marcus@ggi-project.org]

	* default/color/Makefile.am (1.8),
	default/fbdev/mga/2164w/Makefile.am (1.6), default/ilbm/Makefile.am
	(1.8), default/ioctl/Makefile.am (1.7),
	default/iplanar_2p/Makefile.am (1.8), default/kgi/Makefile.am
	(1.8), default/linear_1/Makefile.am (1.9),
	default/linear_16/Makefile.am (1.10),
	default/linear_1_r/Makefile.am (1.8), default/linear_2/Makefile.am
	(1.8), default/linear_24/Makefile.am (1.10),
	default/linear_32/Makefile.am (1.10), default/linear_4/Makefile.am
	(1.9), default/linear_8/Makefile.am (1.10),
	default/linmm_banked/Makefile.am (1.7), default/planar/Makefile.am
	(1.8), default/ramdac/Makefile.am (1.7), default/stubs/Makefile.am
	(1.7), default/text_16/Makefile.am (1.8),
	default/text_32/Makefile.am (1.8), display/glide/Makefile.am (1.8),
	display/kgi/Makefile.am (1.7), display/sub/Makefile.am (1.7),
	display/vgagl/Makefile.am (1.7): Added -lgg for ggDPrintf().

1999-05-30 22:19  Marcus Sundberg [marcus@ggi-project.org]

	* ltmain.sh (1.6): Work around win32 brokenness.

1999-05-30 15:57  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/dltypes.h (1.12): Made all headers C++
	compatible.

1999-05-30 15:56  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/debug.h (1.10): Declare exported variables
	as IMPORTVAR.  Made all headers C++ compatible.

1999-05-30 15:56  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/: ggidlinit.h (1.2), ggilibinit.h (1.2):
	libtool should handle this for us.

1999-05-30 15:55  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/: ggi.h (1.44), ggi_ext.h (1.4), internal/internal.h
	(1.29): Changed _BUILDING_LIBGGI to _INTERNAL_LIBGGI.  Declare
	exported variables as IMPORTVAR.  Made all headers C++ compatible.

1999-05-30 15:53  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/ggi-unix.h (1.2): Made all headers C++ compatible.

1999-05-30 15:53  Marcus Sundberg [marcus@ggi-project.org]

	* display/mansync/pthread.c (1.14), doc/docbook/libggi-api.sgml
	(1.10), programs/check/checkmode.c (1.3),
	programs/check/consistency.c (1.5), programs/check/findleaks.c
	(1.4), programs/check/showaccel.c (1.5),
	programs/check/showaccel2.c (1.7), programs/check/speed.c (1.5),
	programs/check/structs.c (1.8), programs/demos/cube3d.c (1.9),
	programs/demos/demo.c (1.14), programs/demos/flying_ggis.c (1.5),
	programs/demos/pageflip.c (1.5), programs/demos/saver.c (1.6),
	programs/demos/slimy.c (1.7), programs/demos/stars.c (1.5),
	programs/demos/textdemo.c (1.5), programs/demos/warp-ggi/README
	(1.2), programs/demos/warp-ggi/main.c (1.7),
	programs/util/inputdump.c (1.7), programs/util/tunemode.c (1.4),
	programs/util/monitest/monitest.c (1.9),
	programs/util/monitest/monitest.sgml (1.2),
	programs/util/monitest/mousedemo.c (1.3): Source cleanup - fixed
	includes, reference to LibGGI as "LibGGI" in all places, fixed
	comment blocks.

1999-05-30 15:47  Marcus Sundberg [marcus@ggi-project.org]

	* default/color/Makefile.am (1.7),
	default/fbdev/mga/2164w/Makefile.am (1.5), default/ilbm/Makefile.am
	(1.7), default/ioctl/Makefile.am (1.6),
	default/iplanar_2p/Makefile.am (1.7), default/kgi/Makefile.am
	(1.7), default/linear_1/Makefile.am (1.8),
	default/linear_16/Makefile.am (1.9), default/linear_1_r/Makefile.am
	(1.7), default/linear_2/Makefile.am (1.7),
	default/linear_24/Makefile.am (1.9), default/linear_32/Makefile.am
	(1.9), default/linear_4/Makefile.am (1.8),
	default/linear_4/Makefile.am (1.7), default/linear_8/Makefile.am
	(1.9), default/linmm_banked/Makefile.am (1.6),
	default/planar/Makefile.am (1.7), default/ramdac/Makefile.am (1.6),
	default/stubs/Makefile.am (1.6), default/text_16/Makefile.am (1.7),
	default/text_32/Makefile.am (1.7), display/X/Makefile.am (1.10),
	display/Xlib/Makefile.am (1.10), display/aa/Makefile.am (1.7),
	display/fbdev/Makefile.am (1.8), display/glide/Makefile.am (1.7),
	display/kgi/Makefile.am (1.6), display/memory/Makefile.am (1.7),
	display/monotext/Makefile.am (1.7), display/multi/Makefile.am
	(1.7), display/sub/Makefile.am (1.6), display/suidkgi/Makefile.am
	(1.8), display/svgalib/Makefile.am (1.7),
	display/terminfo/Makefile.am (1.9), display/tile/Makefile.am (1.7),
	display/trueemu/Makefile.am (1.7), display/vgagl/Makefile.am (1.6),
	display/fbdev/Makefile.am (1.9), display/file/Makefile.am (1.7),
	display/linvtsw/Makefile.am (1.7), display/mansync/Makefile.am
	(1.9), display/palemu/Makefile.am (1.7), display/tele/Makefile.am
	(1.9), display/vcsa/Makefile.am (1.7), display/xf86dga/Makefile.am
	(1.12), extensions/misc/display/X/Makefile.am (1.7),
	extensions/misc/display/svgalib/Makefile.am (1.7): Added
	-no-undefined to makefiles.

1999-05-30 15:44  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/: Makefile.am (1.5), init.c (1.11): Declare exported
	variables as EXPORTVAR.

1999-05-30 15:42  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/EXPSYMS (1.5): Updated list of exported variables.

1999-05-30 15:28  Marcus Sundberg [marcus@ggi-project.org]

	* config.guess (1.2), config.sub (1.2), libtool.m4 (1.2), ltconfig
	(1.9), ltmain.sh (1.5): Updated from libtool CVS.

1999-05-30 15:26  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.78): Use AC_LIBTOOL_DLOPEN and
	AC_LIBTOOL_WIN32_DLL.

1999-05-26 21:13  Marcus Sundberg [marcus@ggi-project.org]

	* programs/util/inputdump.c (1.6): Increased MAX_NR_BUT to 512.

1999-05-26 01:02  Marcus Sundberg [marcus@ggi-project.org]

	* display/multi/visual.c (1.26): Temporary hack to fix segfault in
	svga and fbdev targets.

1999-05-26 00:49  Marcus Sundberg [marcus@ggi-project.org]

	* display/fbdev/color.c (1.21), display/fbdev/mode.c (1.65),
	display/fbdev/pan.c (1.23), display/fbdev/visual.c (1.63),
	include/ggi/display/fbdev.h (1.10): Updated for new linvtsw. 
	Always map in the entire framebuffer.  Misc multihead related code.

1999-05-26 00:41  Marcus Sundberg [marcus@ggi-project.org]

	* display/: glide/visual.c (1.37), svgalib/visual.c (1.31): Updated
	for new linvtsw.

1999-05-26 00:23  Marcus Sundberg [marcus@ggi-project.org]

	* default/fbdev/mga/2164w/: gtext.c (1.2), m2164w.h (1.6), mmio.h
	(1.7), visual.c (1.6): Added fully accelerated Putc/Puts, much
	faster now.

1999-05-26 00:20  Marcus Sundberg [marcus@ggi-project.org]

	* display/linvtsw/visual.c (1.9), include/ggi/display/linvtsw.h
	(1.4): Major update for better multihead support when using visuals
	on different targets.

1999-05-26 00:17  Marcus Sundberg [marcus@ggi-project.org]

	* default/kgi/: box.c (1.5), copybox.c (1.4), genkgi.h (1.5),
	line.c (1.4), visual.c (1.7): Use fbdev_doioctl() instead of
	ioctl().  Removed fd entry in private struct.

1999-05-26 00:15  Marcus Sundberg [marcus@ggi-project.org]

	* programs/demos/demo.c (1.13): Print normal info to stdout instead
	of stderr.  Print speed results of ggiPuts() and ggiCrossBlit().

1999-05-24 20:50  Marcus Sundberg [marcus@ggi-project.org]

	* display/glide/pixel.c (1.9): Made the colormapping actually
	work...

1999-05-24 20:49  Marcus Sundberg [marcus@ggi-project.org]

	* display/glide/visual.c (1.36): Added DirectBuffer support. Now
	you can run XGGI on 3DFX cards!

1999-05-24 20:49  Marcus Sundberg [marcus@ggi-project.org]

	* display/glide/mode.c (1.34): Made the colormapping actually
	work...  Added DirectBuffer support. Now you can run XGGI on 3DFX
	cards!

1999-05-24 18:54  Marcus Sundberg [marcus@ggi-project.org]

	* display/glide/: mode.c (1.33), pixel.c (1.8): Updated for new
	generic-color lib.

1999-05-23 23:03  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.77): No need to AC_DEFINE(DEBUG) twice.

1999-05-23 22:59  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.76): "missing" has only 2 's' in it ;)

1999-05-23 22:29  Marcus Sundberg [marcus@ggi-project.org]

	* default/color/: color.h (1.4), visual.c (1.11): Optimized color
	mapping.

1999-05-23 22:29  Marcus Sundberg [marcus@ggi-project.org]

	* default/color/color.c (1.10): Wrapped DPRINTs in GGID2(). 
	Optimized color mapping.

1999-05-23 20:01  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/debug.h (1.9): New macros to support
	different debug levels at compile time.

1999-05-19 22:34  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.75): Check for linux/kdev_t.h, linux/kd.h and
	sys/kd.h.  Only check for linux/vt.h once.

1999-05-19 22:32  Marcus Sundberg [marcus@ggi-project.org]

	* display/vcsa/visual.c (1.15): Handle linux/vt.h and sys/vt.h
	properly.

1999-05-19 08:45  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.74): Don't build fbdev accels on old fbdev.

1999-05-18 01:03  Steve Cheng [steve@ggi-project.org]

	* doc/docbook/libggi-api.sgml (1.9): Extremely minor: removed
	DocBook banner.

1999-05-17 08:39  Marcus Sundberg [marcus@ggi-project.org]

	* display/fbdev/mode.c (1.64): Fixed GGI_fbdev_resetmode() to work
	on broken 2.1.x kernels.

1999-05-17 08:39  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/internal.c (1.7): Fixed stupid bug in _ggi_match_palette().

1999-05-17 08:38  Marcus Sundberg [marcus@ggi-project.org]

	* NEWS (1.4): [no log message]

1999-05-16 20:58  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/: ggi.h (1.43), ggi_ext.h (1.3): Moved
	ggiExtensionLoadDL() prototype to ggi_ext.h

1999-05-16 16:16  Marcus Sundberg [marcus@ggi-project.org]

	* libggi.conf.in (1.10): This is not LibGGI2D...

1999-05-16 15:46  Andreas Beck [becka@ggi-project.org]

	* libggi.conf.in (1.9): Fixed LibGGI2d installation problem.

1999-05-15 19:59  Marcus Sundberg [marcus@ggi-project.org]

	* display/X/mode.inc (1.2): Fixed to work when local and remote
	machines have different endianness.

1999-05-15 18:53  Marcus Sundberg [marcus@ggi-project.org]

	* README (1.4), doc/env.txt (1.10), doc/targets.txt (1.15): Doc
	updates.

1999-05-15 18:52  Marcus Sundberg [marcus@ggi-project.org]

	* doc/man/: Makefile.am (1.8), ggiGetSelectFdset.3ggi (1.2):
	Removed ggiGetSelectFdset.

1999-05-14 20:59  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.73): Don't append /.libs to linker path for
	--with-uninst-gii - libtool does this by itself.

1999-05-14 18:27  Marcus Sundberg [marcus@ggi-project.org]

	* doc/targets.txt (1.14): Fixed correct date.

1999-05-14 18:24  Marcus Sundberg [marcus@ggi-project.org]

	* NEWS (1.3): Added news for 2.0beta2.1.

1999-05-14 18:24  Marcus Sundberg [marcus@ggi-project.org]

	* INSTALL (1.6), README (1.3), doc/env.txt (1.9): Doc updates.

1999-05-14 18:24  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.72): Upped version to 2.0b2.1.

1999-05-12 23:14  Marcus Sundberg [marcus@ggi-project.org]

	* default/fbdev/mga/2164w/: Makefile.am (1.4), box.c (1.5), gtext.c
	(1.1), m2164w.h (1.5), mmio.h (1.6), visual.c (1.5): Removed unused
	ggi_m2164w_dummyfunction().  Partial acceleration for ggiPutc() and
	ggiPuts() - quite noticable though.

1999-05-10 22:30  Marcus Sundberg [marcus@ggi-project.org]

	* extensions/misc/ggimisc/Makefile.am (1.5): Bumped version up to
	2.0 to match LibGGI.

1999-05-09 14:10  Marcus Sundberg [marcus@ggi-project.org]

	* programs/demos/cube3d.c (1.8): Fixed inlining.  Use INT_MAX and
	INT_MIN instead of hardcoded values.

1999-05-09 14:10  Marcus Sundberg [marcus@ggi-project.org]

	* programs/demos/warp-ggi/readtga.c (1.4): Declare inline functions
	as also static.

1999-05-09 11:47  Marcus Sundberg [marcus@ggi-project.org]

	* acconfig.h (1.8), configure.in (1.71), display/fbdev/mode.c
	(1.63), display/fbdev/visual.c (1.62): Fixed fbdev target to
	compile on 2.0 kernels. Someone with the apropriate hardware might
	want to try whether it works.

1999-05-08 14:06  Andreas Beck [becka@ggi-project.org]

	* programs/demos/cube3d.c (1.7): Inlined some stuff in cube3d.
	Added strange new command to titler.

1999-05-05 22:27  Marcus Sundberg [marcus@ggi-project.org]

	* display/fbdev/color.c (1.20), display/fbdev/visual.c (1.61),
	include/ggi/display/fbdev.h (1.9): If we're going to open a new VT,
	do it before we open the framebuffer device so we get associated
	with the right VT.  Don't call FBIOPUTCMAP when we're switched away
	- save palette changes until switchback.

1999-05-05 22:26  Marcus Sundberg [marcus@ggi-project.org]

	* display/linvtsw/visual.c (1.8): Detach from our old controlling
	tty if we're opening a new VT.

1999-05-02 19:18  Marcus Sundberg [marcus@ggi-project.org]

	* programs/check/structs.c (1.7): Use ggiSetMode() so it works on
	text-only targets too.	Print value of black pixel.  Properly clean
	up everything upon failure.

1999-05-01 00:34  Marcus Sundberg [marcus@ggi-project.org]

	* default/fbdev/mga/2164w/mmio.h (1.5): Optimized the gcc-bug
	workaround a bit.

1999-04-30 21:51  Marcus Sundberg [marcus@ggi-project.org]

	* display/svgalib/color.c (1.13), display/svgalib/mode.c (1.39),
	display/svgalib/visual.c (1.30), include/ggi/display/svgalib.h
	(1.2): Major update of SVGAlib target: + Fixed uninitialized
	pixelformat in DirectBuffers.  + Nullified all of SVGAlib's messing
	with signals, terminal attributes   and VT switching - now we
	handle everything with our own sublibs.  + This means VT-switching
	now works, _and_ you should be able to use   pthreads on the
	SVGAlib target too.  + Support for GGICMD_NOHALT_ON_UNMPAP.

1999-04-30 21:13  Marcus Sundberg [marcus@ggi-project.org]

	* programs/demos/demo.c (1.12): Tiny optimization of random()
	calls.	Use SYNC/ASYNC mode and ggiFlush() according to our
	recommendations.

1999-04-30 21:13  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.70): Added check for sys/vt.h and linux/vt.h.

1999-04-30 01:37  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.69): Check for Glide and SVGAlib headers as well
	as libraries.

1999-04-28 23:02  Marcus Sundberg [marcus@ggi-project.org]

	* default/fbdev/mga/2164w/: box.c (1.4), copybox.c (1.4), hline.c
	(1.4), line.c (1.4), m2164w.h (1.4), mmio.h (1.4), regs.h (1.3),
	visual.c (1.4), vline.c (1.4): We don't need to wait for idle
	accelerator before issuing a new       accel command, we just need
	to wait for empty slots in the fifo = big speed improvement.  Don't
	use block mode in 24bpp or on cards which may have SDRAM (currently
	G100 and G200).  Optimized GC updating.  Return error when running
	on an unsupported bit depth.

1999-04-26 22:24  Marcus Sundberg [marcus@ggi-project.org]

	* display/fbdev/visual.c (1.60): Use tgt-fbdev-mga-2164w accel for
	all the current Matroxes.  Added NULL entries for new Sun accel
	types.

1999-04-26 22:06  Marcus Sundberg [marcus@ggi-project.org]

	* default/fbdev/mga/2164w/: box.c (1.3), copybox.c (1.3), hline.c
	(1.3), line.c (1.3), mmio.h (1.3), visual.c (1.3), vline.c (1.3):
	Synced with my local CVS tree - now it seems to work fine on a
	Millennium II.

1999-04-26 22:06  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.68): Compile default/fbdev subdir if building
	fbdev target.

1999-04-24 01:01  Marcus Sundberg [marcus@ggi-project.org]

	* display/fbdev/visual.c (1.59): Removed useless strdup()
	statement.

1999-04-24 00:58  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/display/fbdev.h (1.8): Made mmioaddr pointer volatile
	to be safe.

1999-04-21 20:23  Andreas Beck [becka@ggi-project.org]

	* programs/demos/: cube3d.c (1.6), demo.c (1.11), saver.c (1.5),
	textdemo.c (1.4): Fixed self-contradictory license on some demos.

1999-04-17 15:31  Andreas Beck [becka@ggi-project.org]

	* programs/demos/cube3d.c (1.5): Added ability to work "nicely"
	with targets/modes that can't frameflip.  Shouldn't make a real
	difference, though.

1999-04-12 23:59  Marcus Sundberg [marcus@ggi-project.org]

	* default/fbdev/mga/2164w/m2164w.h (1.3), default/ioctl/visual.c
	(1.14), default/kgi/genkgi.h (1.4), default/kgi/visual.c (1.6),
	default/linmm_banked/visual.c (1.18), display/fbdev/mode.c (1.62),
	display/file/fileio.c (1.5), display/file/mode.c (1.17),
	display/kgi/mode.c (1.15), display/kgi/visual.c (1.14),
	display/suidkgi/suidbridge.c (1.10), display/tele/mode.c (1.13),
	display/tele/visual.c (1.15), display/xf86dga/XF86DGA.c (1.4): Use
	MAP_FAILED instead of -1 when checking mmap() returncode.  Define
	MAP_FAILED to -1 if not defined.

1999-04-12 23:39  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.67): Check for aalib.h in addition to libaa.

1999-04-08 22:34  Andreas Beck [becka@ggi-project.org]

	* display/fbdev/mode.c (1.61): Added parsing of /etc/fb.modes to
	fbcon target.

1999-04-08 19:32  Andreas Beck [becka@ggi-project.org]

	* programs/check/speed.sh (1.3): Fixed trivial big with the speed
	check script.

1999-04-06 15:18  Andreas Beck [becka@ggi-project.org]

	* programs/demos/cube3d.c (1.4): Small fix for padded graphtypes
	like 24/32.

1999-04-02 03:19  Steve Cheng [steve@ggi-project.org]

	* doc/man/: Makefile.am (1.7), ggiResourceMustAcquire.3ggi (1.1):
	Added ggiResourceMustAcquire.

1999-04-02 03:16  Steve Cheng [steve@ggi-project.org]

	* doc/: docbook/libggi-api.sgml (1.8), man/ggiResourceAcquire.3ggi
	(1.3), man/ggiSetColorfulPalette.3ggi (1.3): Fixed typos : *
	ggiResourceAcquire : ggiResourceRelease prototype is wrong :) *
	ggiSetColorfulPalette refers to "ggiSetDefaultPalette" :-))

1999-04-02 02:48  Marcus Sundberg [marcus@ggi-project.org]

	* display/suidkgi/Makefile.am (1.7): Added missing stuff to
	EXTRA_DIST

1999-04-02 02:36  Marcus Sundberg [marcus@ggi-project.org]

	* default/ramdac/Makefile.am (1.5): Added EXPSYMS as EXTRA_DIST.

1999-04-02 01:19  Steve Cheng [steve@ggi-project.org]

	* doc/: docbook/libggi-api.sgml (1.7), man/ggiCopyBox.3ggi (1.7),
	man/ggiCrossBlit.3ggi (1.7), man/ggiDBGetBuffer.3ggi (1.7),
	man/ggiDrawBox.3ggi (1.7), man/ggiDrawHLine.3ggi (1.7),
	man/ggiDrawLine.3ggi (1.7), man/ggiDrawPixel.3ggi (1.7),
	man/ggiDrawVLine.3ggi (1.7), man/ggiFillscreen.3ggi (1.7),
	man/ggiFlush.3ggi (1.7), man/ggiGetPixelFormat.3ggi (1.7),
	man/ggiInit.3ggi (1.7), man/ggiMapColor.3ggi (1.7),
	man/ggiOpen.3ggi (1.7), man/ggiPanic.3ggi (1.7),
	man/ggiParseMode.3ggi (1.7), man/ggiPrintMode.3ggi (1.7),
	man/ggiPutc.3ggi (1.4), man/ggiResourceAcquire.3ggi (1.2),
	man/ggiSetColorfulPalette.3ggi (1.2), man/ggiSetDisplayFrame.3ggi
	(1.7), man/ggiSetFlags.3ggi (1.7), man/ggiSetGCClipping.3ggi (1.7),
	man/ggiSetGCForeground.3ggi (1.7), man/ggiSetGamma.3ggi (1.7),
	man/ggiSetGraphMode.3ggi (1.7), man/ggiSetMode.3ggi (1.7),
	man/ggiSetOrigin.3ggi (1.7), man/ggiSetPalette.3ggi (1.7): Change
	from -1 to <0 for error codes, and use GGI_PALETTE_DONTCARE,
	reflected in documentation.

1999-04-02 01:09  Marcus Sundberg [marcus@ggi-project.org]

	* NEWS (1.2): Missing newline ;)

1999-04-02 01:04  Marcus Sundberg [marcus@ggi-project.org]

	* doc/targets.txt (1.13): Added info about -inroot and -inwin flags
	for X and Xlib targets.

1999-04-02 01:02  Marcus Sundberg [marcus@ggi-project.org]

	* NEWS (1.1): Added list of user-visible changes.

1999-04-01 22:53  Andreas Beck [becka@ggi-project.org]

	* programs/demos/cube3d.c (1.3): Added zBuffer support.

1999-04-01 22:42  Marcus Sundberg [marcus@ggi-project.org]

	* display/mansync/child.c (1.14), display/mansync/pthread.c (1.13),
	doc/env.txt (1.8): Added support for specifying the mansync
	framerate with GGI_MANSYNC_FPS environment variable.

1999-04-01 21:09  Marcus Sundberg [marcus@ggi-project.org]

	* display/memory/visual.c (1.24): Fixed unaligned acesses in event
	code.

1999-04-01 17:30  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/structs.h (1.24): Removed privfunc from
	ggi_dlhandle struct.

1999-04-01 17:24  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/internal.h (1.28): New internal function
	_ggiAddExtDL().

1999-04-01 17:23  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/stubs.c (1.8), include/ggi/ggi.h (1.42): New function
	ggiExtensionLoadDL() to load extension sublibs into a visual. 
	Removed ggiLoadLibrary() and friends.

1999-04-01 17:22  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/dl.c (1.5): New internal function _ggiAddExtDL().  Changed
	_ggiLoadDL() to take a filename instead of a suggest-string.

1999-04-01 17:20  Marcus Sundberg [marcus@ggi-project.org]

	* libggi.conf.in (1.8): Removed inclusion of external extension
	configs.

1999-04-01 14:03  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/font/: .cvsignore (1.1), Makefile.am (1.1):
	Added Makefile.am so we get the font when doing 'make dist'.

1999-04-01 14:02  Marcus Sundberg [marcus@ggi-project.org]

	* programs/util/inputdump.c (1.5): Don't pass invalid argv[0] to
	fprintf().

1999-04-01 14:01  Marcus Sundberg [marcus@ggi-project.org]

	* libggi.conf.in (1.7), extensions/misc/libggimisc.conf.in (1.2):
	Use @ggi_libdir@ instead of @prefix@/lib in .root

1999-04-01 14:01  Marcus Sundberg [marcus@ggi-project.org]

	* display/glide/: mode.c (1.32), visual.c (1.35): Disabled
	non-working DirectBuffer support for the release.

1999-04-01 14:00  Marcus Sundberg [marcus@ggi-project.org]

	* INSTALL (1.5), README (1.2), doc/env.txt (1.7): Updated docs for
	the release.

1999-04-01 13:59  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.66): The confdir now defaults to PREFIX/etc/ggi
	instead of /etc/ggi.

1999-04-01 06:11  Steve Cheng [steve@ggi-project.org]

	* doc/: docbook/libggi-api.sgml (1.6), man/ggiCopyBox.3ggi (1.6),
	man/ggiCrossBlit.3ggi (1.6), man/ggiDBGetBuffer.3ggi (1.6),
	man/ggiDrawBox.3ggi (1.6), man/ggiDrawHLine.3ggi (1.6),
	man/ggiDrawLine.3ggi (1.6), man/ggiDrawPixel.3ggi (1.6),
	man/ggiDrawVLine.3ggi (1.6), man/ggiFillscreen.3ggi (1.6),
	man/ggiFlush.3ggi (1.6), man/ggiGetPixelFormat.3ggi (1.6),
	man/ggiInit.3ggi (1.6), man/ggiMapColor.3ggi (1.6),
	man/ggiOpen.3ggi (1.6), man/ggiPanic.3ggi (1.6),
	man/ggiParseMode.3ggi (1.6), man/ggiPrintMode.3ggi (1.6),
	man/ggiPutc.3ggi (1.3), man/ggiSetDisplayFrame.3ggi (1.6),
	man/ggiSetFlags.3ggi (1.6), man/ggiSetGCClipping.3ggi (1.6),
	man/ggiSetGCForeground.3ggi (1.6), man/ggiSetGamma.3ggi (1.6),
	man/ggiSetGraphMode.3ggi (1.6), man/ggiSetMode.3ggi (1.6),
	man/ggiSetOrigin.3ggi (1.6), man/Makefile.am (1.6),
	man/ggiFlushRegion.3ggi (1.1), man/ggiResourceAcquire.3ggi (1.1),
	man/ggiResourceRelease.3ggi (1.1): Added manpages and Docbook
	source updates for ggiFlushRegion(), ggiResourceAcquire() and
	ggiResourceRelease().  Warning for obsolete manpage ggiParseMode,
	which I will fix ASAP.

1999-04-01 04:01  Marcus Sundberg [marcus@ggi-project.org]

	* Makefile.am (1.5), configure.in (1.65), default/Makefile.am
	(1.2), default/color/Makefile.am (1.6), default/common/.cvsignore
	(1.1), default/common/Makefile.am (1.3),
	default/fbdev/mga/2164w/Makefile.am (1.3), default/ilbm/Makefile.am
	(1.6), default/ioctl/Makefile.am (1.5),
	default/iplanar_2p/Makefile.am (1.6), default/kgi/Makefile.am
	(1.6), default/linear_1/Makefile.am (1.7),
	default/linear_16/Makefile.am (1.8), default/linear_1_r/Makefile.am
	(1.6), default/linear_2/Makefile.am (1.6),
	default/linear_24/Makefile.am (1.8), default/linear_32/Makefile.am
	(1.8), default/linear_4/Makefile.am (1.6),
	default/linear_8/Makefile.am (1.8),
	default/linmm_banked/Makefile.am (1.5), default/planar/Makefile.am
	(1.6), default/stubs/Makefile.am (1.5), default/text_16/Makefile.am
	(1.6), default/text_32/Makefile.am (1.6), display/Makefile.am
	(1.2), display/X/Makefile.am (1.9), display/X/color.c (1.9),
	display/X/color.inc (1.1), display/X/mode.c (1.41),
	display/X/mode.inc (1.1), display/Xlib/Makefile.am (1.9),
	display/Xlib/color.c (1.9), display/Xlib/mode.c (1.19),
	display/aa/Makefile.am (1.6), display/common/.cvsignore (1.1),
	display/common/Makefile.am (1.1), display/fbdev/Makefile.am (1.7),
	display/file/Makefile.am (1.6), display/glide/Makefile.am (1.6),
	display/kgi/Makefile.am (1.5), display/linvtsw/Makefile.am (1.6),
	display/mansync/Makefile.am (1.8), display/memory/Makefile.am
	(1.6), display/monotext/Makefile.am (1.6),
	display/multi/Makefile.am (1.6), display/palemu/Makefile.am (1.6),
	display/sub/Makefile.am (1.5), display/suidkgi/Makefile.am (1.6),
	display/svgalib/Makefile.am (1.6), display/tele/Makefile.am (1.8),
	display/terminfo/Makefile.am (1.8), display/tile/Makefile.am (1.6),
	display/trueemu/Makefile.am (1.6), display/vcsa/Makefile.am (1.6),
	display/vgagl/Makefile.am (1.5), display/xf86dga/Makefile.am
	(1.11), doc/Makefile.am (1.2), doc/docbook/.cvsignore (1.1),
	doc/docbook/Makefile.am (1.1), doc/man/Makefile.am (1.5),
	extensions/misc/display/X/Makefile.am (1.6),
	extensions/misc/display/svgalib/Makefile.am (1.6),
	extensions/misc/ggimisc/Makefile.am (1.4),
	extensions/test/Makefile.am (1.3), ggi/Makefile.am (1.4),
	include/ggi/internal/Makefile.am (1.4), programs/check/Makefile.am
	(1.3), programs/demos/Makefile.am (1.8),
	programs/demos/warp-ggi/Makefile.am (1.3),
	programs/util/Makefile.am (1.4), programs/util/monitest/Makefile.am
	(1.6): Added proper support for 'make dist'.

1999-04-01 03:02  Marcus Sundberg [marcus@ggi-project.org]

	* default/fbdev/mga/2164w/: box.c (1.2), copybox.c (1.2), hline.c
	(1.2), line.c (1.2), m2164w.h (1.2), mmio.h (1.2), regs.h (1.2),
	visual.c (1.2), vline.c (1.2): Synced with my source-tree, still
	doesn't work.

1999-03-31 02:40  Marcus Sundberg [marcus@ggi-project.org]

	* ltconfig (1.8): Fixed Solaris bug and added some sane default
	values.

1999-03-31 02:37  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.64), programs/demos/Makefile.am (1.7): Added
	autoconf tests for cube3d.

1999-03-31 02:37  Marcus Sundberg [marcus@ggi-project.org]

	* programs/demos/cube3d.c (1.2): Minor cleanup of headers.

1999-03-31 02:36  Marcus Sundberg [marcus@ggi-project.org]

	* programs/demos/shmdemo.c (1.3): Moved away as we have cube3d now.

1999-03-31 01:58  Marcus Sundberg [marcus@ggi-project.org]

	* display/tile/mode.c (1.45): GGI_tile_flush_db(): Recalc x,y,w,h
	parameters before calling _ggiInternFlush() on the child visuals.

1999-03-31 01:13  Marcus Sundberg [marcus@ggi-project.org]

	* default/: linear_16/crossblit.c (1.7), linear_24/crossblit.c
	(1.3), linear_32/crossblit.c (1.15), linear_8/crossblit.c (1.3):
	Include string.h for memcpy()

1999-03-31 00:56  Andreas Beck [becka@ggi-project.org]

	* GOALS (1.29): Updated GOALS. Cleaned up a bit.

1999-03-31 00:55  Andreas Beck [becka@ggi-project.org]

	* programs/demos/: Makefile.am (1.6), cube3d.6 (1.1), cube3d.c
	(1.1): Added the legendary "cube" demo with new engine.

1999-03-28 18:05  Andreas Beck [becka@ggi-project.org]

	* display/memory/mode.c (1.28), display/memory/visual.c (1.23),
	include/ggi/display/memory.h (1.2): Added geometry negotiation to
	memory target.

1999-03-28 00:48  Marcus Sundberg [marcus@ggi-project.org]

	* ltconfig (1.7), ltmain.sh (1.4): Updated from current libtool
	CVS.

1999-03-28 00:46  Marcus Sundberg [marcus@ggi-project.org]

	* libtool.m4 (1.1): Macro definitions from libtool, ship with
	LibGGI so developers and CVS users don't have to have latest
	libtool version installed.

1999-03-27 21:03  Marcus Sundberg [marcus@ggi-project.org]

	* doc/CREDITS (1.7): Removed old inaccurate file.

1999-03-27 20:36  Marcus Sundberg [marcus@ggi-project.org]

	* programs/: check/structs.c (1.6), demos/slimy.c (1.6),
	demos/warp-ggi/main.c (1.6): Acquire DirectBuffers before using
	them.

1999-03-27 20:35  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/stubs.c (1.7), include/ggi/ggi.h (1.41): Implemented
	ggiResourceAcquire(), ggiResourceRelease() and
	ggiResourceMustAcquire() as macros for speed in the no-op case.

1999-03-24 19:55  Marcus Sundberg [marcus@ggi-project.org]

	* display/glide/box.c (1.8), display/glide/mode.c (1.31),
	display/glide/visual.c (1.34), include/ggi/display/glide.h (1.6):
	Added DirectBuffer support using the new acquire/release system.

1999-03-24 18:57  Marcus Sundberg [marcus@ggi-project.org]

	* display/fbdev/mode.c (1.60), display/fbdev/visual.c (1.58),
	include/ggi/display/fbdev.h (1.7): Support for DB acquire/release
	when using async accel libs.

1999-03-24 18:53  Marcus Sundberg [marcus@ggi-project.org]

	* display/xf86dga/: mode.c (1.40), visual.c (1.39): Support for DB
	acquire/release when using DGA 1.1.

1999-03-24 18:44  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/db.c (1.2), ggi/stubs.c (1.6), include/ggi/ggi.h (1.40),
	include/ggi/internal/dltypes.h (1.11),
	include/ggi/internal/structs.h (1.23): Implemented resource
	management and added resource field to ggi_directbuffer.

1999-03-24 18:35  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/Makefile.am (1.3): Removed dlprotos.h from
	include list.

1999-03-23 21:11  Marcus Sundberg [marcus@ggi-project.org]

	* display/xf86dga/: mode.c (1.39), visual.c (1.38): No need to use
	the GII_CMDCODE_XWINSETPARAM event with DGA.

1999-03-23 01:19  Marcus Sundberg [marcus@ggi-project.org]

	* display/xf86dga/Makefile.am (1.10), display/xf86dga/XF86DGA.c
	(1.3), display/xf86dga/accel.c (1.1), display/xf86dga/color.c
	(1.14), display/xf86dga/mode.c (1.38), display/xf86dga/visual.c
	(1.37), display/xf86dga/xf86dga.h (1.1),
	display/xf86dga/xf86dgastr.h (1.1), include/ggi/display/xf86dga.h
	(1.4): Added support for Vmware's DGA 1.1 - accelerated copybox and
	putbox.

1999-03-23 01:16  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/: dlprotos.h (1.5), ggi-dl.h (1.8): Finally
	got rid of the evil dlprotos.h file.

1999-03-23 01:13  Marcus Sundberg [marcus@ggi-project.org]

	* default/: ilbm/Makefile.am (1.5), ilbm/ilbmlib.h (1.1),
	ilbm/pixel.c (1.5), ilbm/pixela.c (1.1), ilbm/visual.c (1.8),
	iplanar_2p/Makefile.am (1.5), iplanar_2p/ipl2lib.h (1.1),
	iplanar_2p/pixel.c (1.6), iplanar_2p/pixela.c (1.1),
	iplanar_2p/visual.c (1.8), linear_1/Makefile.am (1.6),
	linear_1/color.c (1.9), linear_1/fillscreen.c (1.9),
	linear_1/gtext.c (1.9), linear_1/hline.c (1.11), linear_1/lin1lib.h
	(1.1), linear_1/pixel.c (1.11), linear_1/pixela.c (1.1),
	linear_1/visual.c (1.17), linear_1/vline.c (1.10),
	linear_16/fillscreen.c (1.12), linear_1_r/Makefile.am (1.5),
	linear_1_r/gtext.c (1.5), linear_1_r/lin1rlib.h (1.1),
	linear_1_r/pixel.c (1.6), linear_1_r/pixela.c (1.1),
	linear_1_r/visual.c (1.8), linear_2/Makefile.am (1.5),
	linear_2/lin2lib.h (1.1), linear_2/pixel.c (1.5), linear_2/pixela.c
	(1.1), linear_2/visual.c (1.8), linear_24/Makefile.am (1.7),
	linear_24/box.c (1.3), linear_24/copybox.c (1.11),
	linear_24/fillscreen.c (1.11), linear_24/hline.c (1.11),
	linear_24/lin24lib.h (1.3), linear_24/pixela.c (1.1),
	linear_24/visual.c (1.17), linear_24/vline.c (1.12),
	linear_32/Makefile.am (1.7), linear_32/box.c (1.5),
	linear_32/copybox.c (1.11), linear_32/crossblit.c (1.14),
	linear_32/fillscreen.c (1.11), linear_32/hline.c (1.11),
	linear_32/lin32lib.h (1.4), linear_32/pixela.c (1.1),
	linear_32/visual.c (1.22), linear_32/vline.c (1.12),
	linear_4/Makefile.am (1.5), linear_4/copybox.c (1.11),
	linear_4/fillscreen.c (1.12), linear_4/hline.c (1.14),
	linear_4/lin4lib.h (1.3), linear_4/pixela.c (1.1),
	linear_4/visual.c (1.16), linear_4/vline.c (1.13),
	linear_8/Makefile.am (1.7), linear_8/box.c (1.4),
	linear_8/copybox.c (1.12), linear_8/crossblit.c (1.2),
	linear_8/fillscreen.c (1.12), linear_8/gtext.c (1.9),
	linear_8/hline.c (1.13), linear_8/lin8lib.h (1.6),
	linear_8/pixela.c (1.1), linear_8/visual.c (1.20), linear_8/vline.c
	(1.13), planar/Makefile.am (1.5), planar/pixel.c (1.6),
	planar/pixela.c (1.1), planar/pllib.h (1.1), planar/visual.c (1.9),
	text_16/Makefile.am (1.5), text_16/color.c (1.13), text_16/gtext.c
	(1.11), text_16/pixel.c (1.11), text_16/pixela.c (1.1),
	text_16/t16lib.h (1.1), text_16/visual.c (1.18),
	text_32/Makefile.am (1.5), text_32/color.c (1.12), text_32/gtext.c
	(1.11), text_32/pixel.c (1.11), text_32/pixela.c (1.1),
	text_32/t32lib.h (1.1), text_32/visual.c (1.18): Use the new
	PREPARE_FB() macro.  Made all exported function names unique.

1999-03-23 01:12  Marcus Sundberg [marcus@ggi-project.org]

	* default/linear_24/crossblit.c (1.2): Fixed bug when blitting from
	32-bit visuals.  Use the new PREPARE_FB() macro.

1999-03-23 01:10  Marcus Sundberg [marcus@ggi-project.org]

	* programs/demos/demo.c (1.10): Delete the full virtual width in
	TestName().

1999-03-23 00:08  Andreas Beck [becka@ggi-project.org]

	* ggi/visual.c (1.6): Fixed small bug introduced while fixing the
	linker problem for X ...

1999-03-20 02:04  Marcus Sundberg [marcus@ggi-project.org]

	* default/: common/linear-line.c (1.12), linear_16/Makefile.am
	(1.7), linear_16/box.c (1.6), linear_16/copybox.c (1.11),
	linear_16/crossblit.c (1.6), linear_16/fillscreen.c (1.11),
	linear_16/hline.c (1.13), linear_16/lin16lib.h (1.4),
	linear_16/pixela.c (1.1), linear_16/visual.c (1.21),
	linear_16/vline.c (1.12): Use the new PREPARE_FB() macro.

1999-03-20 02:02  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/stubs.c (1.5): Added _ggiIdleAccel() internal function.

1999-03-20 02:02  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/visual.c (1.5): Set vis->needidleaccel and vis->accelactive
	to 0.

1999-03-20 02:01  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/structs.h (1.22): New members in ggi_visual
	- needidleaccel and accelactive.  New opdisplay function idleaccel.

1999-03-20 02:00  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/internal.h (1.27): Added _ggiIdleAccel()
	internal function, and LIBGGIIdleAccel() macro for fast access.

1999-03-20 02:00  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/ggi-dl.h (1.7): Added PREPARE_FB() macro to
	prepare a visual for direct FB access.

1999-03-20 02:00  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/dltypes.h (1.10): Added ggifunc_idleaccel.

1999-03-18 23:28  Andreas Beck [becka@ggi-project.org]

	* ggi/: init.c (1.10), visual.c (1.4): Fixed DLL problem, changed
	variable name mangling.

1999-03-18 00:45  Andreas Beck [becka@ggi-project.org]

	* ggi/init.c (1.9): Added variable name mangling. Removed
	GGI_FILTER* variables.

1999-03-16 04:07  Steve Cheng [steve@ggi-project.org]

	* doc/: docbook/libggi-api.sgml (1.5), man/Makefile.am (1.4),
	man/ggiSetColorfulPalette.3ggi (1.1), man/ggiSetPalette.3ggi (1.6):
	Added documentation,manpage for ggiSetColorfulPalette(3)

1999-03-11 18:50  Marcus Sundberg [marcus@ggi-project.org]

	* programs/util/giik2str.c (1.5): Added dead keys.

1999-03-10 19:56  Marcus Sundberg [marcus@ggi-project.org]

	* default/fbdev/mga/2164w/: Makefile.am (1.2), box.c (1.1),
	copybox.c (1.1), hline.c (1.1), line.c (1.1), mmio.h (1.1), regs.h
	(1.1), visual.c (1.1), vline.c (1.1), m2164w.h (1.1): Checked in
	initial version of fbdev Millennium II acceleration sublib. 
	Beware! It is not functional!

1999-03-10 19:51  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.63), libggi.conf.in (1.6),
	default/kgi/Makefile.am (1.5), default/kgi/genkgi.h (1.3),
	default/kgi/visual.c (1.5), display/fbdev/Makefile.am (1.6),
	display/fbdev/fbdev.conf.in (1.1), display/fbdev/mode.c (1.59),
	display/fbdev/visual.c (1.57), include/ggi/display/fbdev.h (1.6):
	Added new infrastructure for accelerated fbdev sublibs, and changed
	the generic-kgi sublib to use this.

1999-03-08 19:55  Marcus Sundberg [marcus@ggi-project.org]

	* default/fbdev/: .cvsignore (1.1), Makefile.am (1.1),
	mga/.cvsignore (1.1), mga/Makefile.am (1.1), mga/2164w/.cvsignore
	(1.1), mga/2164w/EXPSYMS (1.1), mga/2164w/Makefile.am (1.1):
	Checked in directory structure for fbdev acceleration.

1999-03-07 01:34  Marcus Sundberg [marcus@ggi-project.org]

	* doc/targets.txt (1.12): Somehow GGI_DGA_FBDEV ended up with the X
	target instead of DGA.

1999-03-06 20:38  Marcus Sundberg [marcus@ggi-project.org]

	* display/fbdev/visual.c (1.56), display/glide/visual.c (1.33),
	doc/env.txt (1.6): Added GGI_NEWVT environment variable which will
	cause a new VT to be allocated.

1999-03-05 19:34  Marcus Sundberg [marcus@ggi-project.org]

	* display/: fbdev/visual.c (1.55), glide/visual.c (1.32),
	svgalib/visual.c (1.29), vcsa/visual.c (1.14): Changed linux-mouse
	protocol from "file" to "auto".

1999-03-04 03:18  Marcus Sundberg [marcus@ggi-project.org]

	* default/: color/color.c (1.9), color/pack.c (1.7),
	linear_16/Makefile.am (1.6), linear_16/box.c (1.5),
	linear_16/copybox.c (1.10), linear_16/crossblit.c (1.5),
	linear_16/hline.c (1.12), linear_16/lin16lib.h (1.3),
	linear_16/visual.c (1.20), linear_16/vline.c (1.11),
	linear_24/Makefile.am (1.6), linear_24/box.c (1.2),
	linear_24/copybox.c (1.10), linear_24/crossblit.c (1.1),
	linear_24/hline.c (1.10), linear_24/lin24lib.h (1.2),
	linear_24/visual.c (1.16), linear_24/vline.c (1.11),
	linear_32/Makefile.am (1.6), linear_32/box.c (1.4),
	linear_32/copybox.c (1.10), linear_32/crossblit.c (1.13),
	linear_32/hline.c (1.10), linear_32/lin32lib.h (1.3),
	linear_32/visual.c (1.21), linear_32/vline.c (1.11),
	linear_4/copybox.c (1.10), linear_4/hline.c (1.13),
	linear_4/vline.c (1.12), linear_8/Makefile.am (1.6), linear_8/box.c
	(1.3), linear_8/copybox.c (1.11), linear_8/crossblit.c (1.1),
	linear_8/hline.c (1.12), linear_8/lin8lib.h (1.5),
	linear_8/visual.c (1.19), linear_8/vline.c (1.12),
	stubs/crossblit.c (1.10), stubs/hline.c (1.12), stubs/line.c
	(1.12), stubs/pixel.c (1.8), stubs/vline.c (1.13): Cleanups and
	optimizations.	Added optimized crossblit to linear 8/16/24/32
	libs.

1999-03-04 03:15  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/internal.h (1.26): Added macros for quickly
	accessing some LibGGI drawing primitives.

1999-03-04 03:14  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/ggi-dl.h (1.6): Check for no-op case in all
	clipping macros.

1999-03-04 03:12  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/stubs.c (1.4): Cosmetic change in ggiCrossBlit().

1999-03-04 03:11  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/internal.c (1.6): Use less accurate but slightly faster
	algorithm in _ggi_match_palette.

1999-03-04 01:16  Andreas Beck [becka@ggi-project.org]

	* programs/demos/textdemo.c (1.3): Made textdemo fall back to
	terminfo if appropriate.

1999-03-02 03:08  Marcus Sundberg [marcus@ggi-project.org]

	* extensions/misc/display/: X/Makefile.am (1.5),
	svgalib/Makefile.am (1.5): Use <sublib>_LDFLAGS, not LDFLAGS,
	because LDFLAGS might be set in configure.

1999-03-02 02:54  Marcus Sundberg [marcus@ggi-project.org]

	* default/: color/Makefile.am (1.5), ilbm/Makefile.am (1.4),
	ioctl/Makefile.am (1.4), iplanar_2p/Makefile.am (1.4),
	kgi/Makefile.am (1.4), linear_1/Makefile.am (1.5),
	linear_16/Makefile.am (1.5), linear_1_r/Makefile.am (1.4),
	linear_2/Makefile.am (1.4), linear_24/Makefile.am (1.5),
	linear_32/Makefile.am (1.5), linear_4/Makefile.am (1.4),
	linear_8/Makefile.am (1.5), linmm_banked/Makefile.am (1.4),
	planar/Makefile.am (1.4), ramdac/Makefile.am (1.4),
	stubs/Makefile.am (1.4), text_16/Makefile.am (1.4),
	text_32/Makefile.am (1.4): Use <sublib>_LDFLAGS, not LDFLAGS,
	because LDFLAGS might be set in configure.

1999-03-02 01:34  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.62): Added --with-uninst-gii option.	Rearranged
	some options so the important ones are more visible.  Usage of
	$extra_includes in CPPFLAGS moved to GGI_EXTRA_PATHS.

1999-03-02 01:34  Marcus Sundberg [marcus@ggi-project.org]

	* acinclude.m4 (1.2): Use $extra_includes in CPPFLAGS.

1999-03-02 01:24  Marcus Sundberg [marcus@ggi-project.org]

	* ltconfig (1.6): Default deplibs_check_method to 'pass_all'.

1999-03-01 21:18  Marcus Sundberg [marcus@ggi-project.org]

	* display/fbdev/color.c (1.19), display/fbdev/mode.c (1.58),
	display/fbdev/pan.c (1.22), display/fbdev/visual.c (1.54),
	include/ggi/display/fbdev.h (1.5): Added support for devfs.  Fixed
	bug which caused a too small region to be mmap()ed when virtual x
	!= visible x.  General cleanup.

1999-03-01 21:15  Marcus Sundberg [marcus@ggi-project.org]

	* display/: glide/visual.c (1.31), linvtsw/visual.c (1.7),
	vcsa/visual.c (1.13): Added support for devfs.

1999-03-01 06:27  Marcus Sundberg [marcus@ggi-project.org]

	* default/linear_16/box.c (1.4): Fixed stupid bug.

1999-03-01 04:02  Marcus Sundberg [marcus@ggi-project.org]

	* display/: X/Makefile.am (1.8), Xlib/Makefile.am (1.8),
	aa/Makefile.am (1.5), fbdev/Makefile.am (1.5), file/Makefile.am
	(1.5), glide/Makefile.am (1.5), kgi/Makefile.am (1.4),
	linvtsw/Makefile.am (1.5), mansync/Makefile.am (1.7),
	memory/Makefile.am (1.5), monotext/Makefile.am (1.5),
	multi/Makefile.am (1.5), palemu/Makefile.am (1.5), sub/Makefile.am
	(1.4), suidkgi/Makefile.am (1.5), svgalib/Makefile.am (1.5),
	tele/Makefile.am (1.7), tele/Makefile.server (1.5),
	terminfo/Makefile.am (1.7), tile/Makefile.am (1.5),
	trueemu/Makefile.am (1.5), vcsa/Makefile.am (1.5),
	vgagl/Makefile.am (1.4), xf86dga/Makefile.am (1.9): Use
	<sublib>_LDFLAGS, not LDFLAGS, because LDFLAGS might be set in
	configure.

1999-03-01 04:01  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.61): Fixed bug which caused warning about missing
	LibGII to always be displayed.

1999-03-01 03:56  Marcus Sundberg [marcus@ggi-project.org]

	* default/linear_16/hline.c (1.11): Fixed a warning.

1999-03-01 03:15  Marcus Sundberg [marcus@ggi-project.org]

	* default/: linear_16/box.c (1.3), linear_16/copybox.c (1.9),
	linear_16/fillscreen.c (1.10), linear_16/hline.c (1.10),
	linear_16/lin16lib.h (1.2), linear_16/line.c (1.5),
	linear_16/pixel.c (1.10), linear_16/visual.c (1.19),
	linear_16/vline.c (1.10), linear_24/Makefile.am (1.4),
	linear_24/box.c (1.1), linear_24/copybox.c (1.9),
	linear_24/fillscreen.c (1.10), linear_24/hline.c (1.9),
	linear_24/lin24lib.h (1.1), linear_24/pixel.c (1.10),
	linear_24/visual.c (1.15), linear_24/vline.c (1.10),
	linear_32/box.c (1.3), linear_32/copybox.c (1.9),
	linear_32/fillscreen.c (1.10), linear_32/hline.c (1.9),
	linear_32/lin32lib.h (1.2), linear_32/line.c (1.5),
	linear_32/pixel.c (1.10), linear_32/visual.c (1.20),
	linear_32/vline.c (1.10), linear_4/copybox.c (1.9),
	linear_4/hline.c (1.12), linear_4/vline.c (1.11), linear_8/box.c
	(1.2), linear_8/copybox.c (1.10), linear_8/hline.c (1.11),
	linear_8/lin8lib.h (1.4), linear_8/visual.c (1.18),
	linear_8/vline.c (1.11): Use the readframe as source for copybox. 
	Optimizations and cleanups.

1999-03-01 03:13  Marcus Sundberg [marcus@ggi-project.org]

	* default/kgi/: box.c (1.4), copybox.c (1.3), line.c (1.3): Handle
	multiframe visuals properly.

1999-03-01 03:04  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/ggi-dl.h (1.5): Added working clipping
	macros.

1999-03-01 01:42  Marcus Sundberg [marcus@ggi-project.org]

	* default/common/visual.c (1.11): Removed unused file.

1999-02-28 22:16  Marcus Sundberg [marcus@ggi-project.org]

	* default/linear_1/: Makefile.am (1.4), copybox.c (1.7): Removed
	unused file.

1999-02-27 03:22  Andrew Apted [andrew@ggi-project.org]

	* display/fbdev/pan.c (1.21): Removed the tests against ywrapstep,
	which seemed bogus.

1999-02-25 21:21  Marcus Sundberg [marcus@ggi-project.org]

	* display/: X/Makefile.am (1.7), Xlib/Makefile.am (1.7),
	aa/Makefile.am (1.4), file/Makefile.am (1.4), glide/Makefile.am
	(1.4), linvtsw/Makefile.am (1.4), mansync/Makefile.am (1.6),
	memory/Makefile.am (1.4), multi/Makefile.am (1.4),
	palemu/Makefile.am (1.4), suidkgi/Makefile.am (1.4),
	svgalib/Makefile.am (1.4), tele/Makefile.am (1.6),
	terminfo/Makefile.am (1.6), tile/Makefile.am (1.4),
	trueemu/Makefile.am (1.4), vcsa/Makefile.am (1.4),
	xf86dga/Makefile.am (1.8): Explicitly link to -lgii and/or -lgg
	when we use it.

1999-02-25 16:06  Marcus Sundberg [marcus@ggi-project.org]

	* display/monotext/mode.c (1.31), display/monotext/visual.c (1.27),
	doc/targets.txt (1.11): Cleaned up code and synced docs with
	implementation.

1999-02-25 16:05  Marcus Sundberg [marcus@ggi-project.org]

	* display/monotext/Makefile.am (1.4): Added missing text.c and link
	with -lgii -lgg

1999-02-25 16:05  Marcus Sundberg [marcus@ggi-project.org]

	* display/fbdev/Makefile.am (1.4): Link with -lgii -lgg

1999-02-24 23:37  Marcus Sundberg [marcus@ggi-project.org]

	* display/aa/giievents.c (1.9), display/aa/visual.c (1.32),
	include/ggi/display/aa.h (1.2): Fixed up event code so that it is
	functional at least, still needs more work though.

1999-02-24 18:46  Marcus Sundberg [marcus@ggi-project.org]

	* display/xf86dga/visual.c (1.36): Set gglock in xwin_args struct.

1999-02-22 22:29  Andreas Beck [becka@ggi-project.org]

	* display/sub/mode.c (1.19): Fixed sub modesetting to give correct
	values.

1999-02-22 21:34  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.60): Bail out when trying to compile against an
	old LibGII.  No need to check for AC_STRUCT_ST_RDEV here.

1999-02-22 21:32  Marcus Sundberg [marcus@ggi-project.org]

	* programs/util/inputdump.c (1.4): Use ggiEventsQueued() so we
	don't have to ggiFlush() for every single event

1999-02-22 21:32  Marcus Sundberg [marcus@ggi-project.org]

	* display/fbdev/visual.c (1.53): Don't send more switch request
	events if there's a switch pending.

1999-02-22 21:30  Marcus Sundberg [marcus@ggi-project.org]

	* display/linvtsw/visual.c (1.6): Make sure the signal we're
	waiting for is not blocked.

1999-02-21 22:47  Marcus Sundberg [marcus@ggi-project.org]

	* display/fbdev/visual.c (1.52), display/glide/visual.c (1.30),
	display/linvtsw/visual.c (1.5), include/ggi/types.h (1.8),
	include/ggi/display/fbdev.h (1.4), include/ggi/display/glide.h
	(1.5), include/ggi/display/linvtsw.h (1.3),
	include/ggi/internal/dltypes.h (1.9),
	include/ggi/internal/structs.h (1.21): Added API for requesting the
	target not to halt application on switch away.	See
	include/ggi/types.h for API definitions.

1999-02-21 22:38  Marcus Sundberg [marcus@ggi-project.org]

	* display/: aa/giievents.c (1.8), tele/events.c (1.20),
	terminfo/input.c (1.5): Updated for new _giiEventBlank().

1999-02-21 22:36  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.59): Added palemu and trueemu as mansync
	dependent targets.

1999-02-21 22:34  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/EXPSYMS (1.4), ggi/events.c (1.4), include/ggi/ggi.h (1.39):
	Added ggiEventsQueued() and ggiEventSend().

1999-02-20 20:55  Marcus Sundberg [marcus@ggi-project.org]

	* doc/env.txt (1.5): GGI_FILTER is obsoleted by GII_GLOBAL_FILTERS.

1999-02-20 20:13  Marcus Sundberg [marcus@ggi-project.org]

	* display/aa/giievents.c (1.7), display/fbdev/visual.c (1.51),
	display/file/mode.c (1.16), display/memory/visual.c (1.22),
	display/tele/events.c (1.19), display/terminfo/input.c (1.4),
	include/ggi/display/tele.h (1.2): Fixed for new LibGII and new
	ggiFlush().

1999-02-20 20:12  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/init.c (1.8): Updated input and filter stuff for new LibGII.

1999-02-20 20:11  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/debug.h (1.8): Don't put double colons after
	"LibGGI".

1999-02-19 19:00  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/stubs.c (1.3): Fixed typo in ggiFlushRegion().

1999-02-18 15:31  Andrew Apted [andrew@ggi-project.org]

	* display/fbdev/visual.c (1.50): Fix the association between the
	option names (-nokbd etc..) with their flag counterparts
	(FBDEV_INP_KBD etc..), which had gotten out of whack.

1999-02-17 17:03  Marcus Sundberg [marcus@ggi-project.org]

	* display/svgalib/mode.c (1.38): Fixed flush prototype

1999-02-17 01:10  Marcus Sundberg [marcus@ggi-project.org]

	* display/X/mode.c (1.40), display/Xlib/mode.c (1.18),
	display/aa/mode.c (1.31), display/glide/mode.c (1.30),
	display/mansync/child.c (1.13), display/monotext/mode.c (1.30),
	display/multi/mode.c (1.16), display/palemu/mode.c (1.23),
	display/sub/mode.c (1.18), display/tele/visual.c (1.14),
	display/terminfo/mode.c (1.28), display/tile/mode.c (1.44),
	display/tile/stubs.c (1.14), display/trueemu/mode.c (1.34),
	display/vcsa/visual.c (1.12), ggi/mode.c (1.8), ggi/stubs.c (1.2),
	include/ggi/ggi.h (1.38), include/ggi/display/vcsa.h (1.3),
	include/ggi/display/xlib.h (1.6), include/ggi/internal/dltypes.h
	(1.8), include/ggi/internal/internal.h (1.25): Added
	ggiFlushRegion(). Changed ggifunc_flush prototype to handle this.

1999-02-17 01:08  Marcus Sundberg [marcus@ggi-project.org]

	* ltconfig (1.5): Hopefully fixed to work out of the box on
	FreeBSD.

1999-02-17 01:07  Marcus Sundberg [marcus@ggi-project.org]

	* programs/util/giik2str.c (1.4): Minor update to keep up with
	LibGII.

1999-02-17 01:06  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/unix.c (1.2): Include <gii-unix.h>

1999-02-16 20:31  Marcus Sundberg [marcus@ggi-project.org]

	* default/kgi/: box.c (1.3), visual.c (1.4): Added some debugging
	messages.

1999-02-16 19:23  Marcus Sundberg [marcus@ggi-project.org]

	* display/linvtsw/visual.c (1.4): Fixed to work when SA_NOMASK
	doesn't exist, and with glibc 2.1.

1999-02-15 16:48  Marcus Sundberg [marcus@ggi-project.org]

	* programs/util/monitest/monitest.c (1.8): Fixed to compile without
	KGI.

1999-02-14 22:19  Marcus Sundberg [marcus@ggi-project.org]

	* display/tele/events.c (1.18), display/tele/teleserver.c (1.10),
	display/terminfo/input.c (1.3), programs/demos/demo.c (1.9),
	programs/demos/pageflip.c (1.4), programs/util/giik2str.c (1.3),
	programs/util/inputdump.c (1.3): Updated to current LibGII keyboard
	code.

1999-02-14 22:11  Marcus Sundberg [marcus@ggi-project.org]

	* display/terminfo/events.c (1.22), programs/demos/inputdump.c
	(1.3): Removed old files.

1999-02-14 18:34  Marcus Sundberg [marcus@ggi-project.org]

	* programs/util/giik2str.c (1.2): Updated for new keyboard.

1999-02-14 18:31  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/display/: x.h (1.5), xlib.h (1.5): Added cursor
	member to private struct.

1999-02-14 13:24  Andreas Beck [becka@ggi-project.org]

	* display/sub/mode.c (1.17): Implemented GetMode for Sub target.

1999-02-13 02:52  Marcus Sundberg [marcus@ggi-project.org]

	* display/: X/visual.c (1.47), Xlib/visual.c (1.31): Set X cursor
	to a small dot when in the GGI-on-X window.

1999-02-12 22:48  Marcus Sundberg [marcus@ggi-project.org]

	* programs/util/monitest/: Makefile.am (1.5), kgitune.c (1.1),
	kgitune.h (1.1), monitest.c (1.7): Added code to tune the timings
	of the KGIcon generic monitor driver.  Not very functional yet
	though.

1999-02-11 23:03  Andreas Beck [becka@ggi-project.org]

	* include/ggi/internal/Makefile.am (1.2): Added dlprotos.h to
	installed headers.

1999-02-11 15:00  Marcus Sundberg [marcus@ggi-project.org]

	* programs/util/: Makefile.am (1.3), giik2str.c (1.1), inputdump.c
	(1.2): Made inputdump print strings instead of numeric values for
	key labels and syms.

1999-02-11 02:13  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.58): Added code for tunemode functionality of
	monitest.

1999-02-11 01:52  Marcus Sundberg [marcus@ggi-project.org]

	* default/stubs/gtext.c (1.12): Removed a pretty useless check from
	GGI_stubs_putc(), for more speed.

1999-02-11 01:50  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/display/xlib.h (1.4): Added some yet non-functional
	code for text drawing.

1999-02-11 01:45  Marcus Sundberg [marcus@ggi-project.org]

	* display/Xlib/gtext.c (1.10): Added some yet non-functional code
	for text drawing.

1999-02-11 01:45  Marcus Sundberg [marcus@ggi-project.org]

	* display/Xlib/visual.c (1.30): Updated to use gglock argument of
	input-xwin.  Added some yet non-functional code for text drawing.

1999-02-11 01:43  Marcus Sundberg [marcus@ggi-project.org]

	* display/X/visual.c (1.46): Updated to use gglock argument of
	input-xwin.

1999-02-11 01:39  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/mode.c (1.7): Improved debug output for mode setting.

1999-02-11 01:37  Marcus Sundberg [marcus@ggi-project.org]

	* display/glide/mode.c (1.29): Fixed to work with some older glide
	libs.

1999-02-10 10:52  Andrew Apted [andrew@ggi-project.org]

	* display/fbdev/mode.c (1.57): Fixed, since fix.line_length is
	allowed in the FB API.

1999-02-10 00:12  Rodolphe Ortalo [ortalo@laas.fr]

	* ggi/events.c (1.3): Corrected typo on ggi_event_mask <-
	gii_event_mask.

1999-02-07 04:27  Marcus Sundberg [marcus@ggi-project.org]

	* ltconfig (1.4): Fixed bug when building symbol table on SunOS.

1999-02-07 00:40  Marcus Sundberg [marcus@ggi-project.org]

	* display/xf86dga/Makefile.am (1.7): Much nicer system to handle
	conditional compiling of files. Thanks to Thomas Tanner for showing
	me this.

1999-02-07 00:40  Marcus Sundberg [marcus@ggi-project.org]

	* Makefile.am (1.4): Added checks for correct versions of
	autoconf/automake.

1999-02-07 00:40  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.57): Added checks for correct versions of
	autoconf/automake.  Much nicer system to handle conditional
	compiling of files. Thanks to Thomas Tanner for showing me this.

1999-02-04 21:14  Marcus Sundberg [marcus@ggi-project.org]

	* display/: fbdev/visual.c (1.49), glide/visual.c (1.29): Updated
	for the new linux-vtswitch args.

1999-02-04 21:09  Marcus Sundberg [marcus@ggi-project.org]

	* display/linvtsw/Makefile.am (1.3), display/linvtsw/visual.c
	(1.3), include/ggi/display/linvtsw.h (1.2): Added new 'forcenew'
	flag in the arg struct. If this is set a new VT will always be
	allocated.  Improved code to allocate new VTs.	Open all devices
	O_WRONLY as that's all we need.

1999-02-03 18:27  Marcus Sundberg [marcus@ggi-project.org]

	* acconfig.h (1.7), configure.in (1.56),
	display/terminfo/Makefile.am (1.5), display/terminfo/TIvisual.h
	(1.13): Updated terminfo target to use normal curses if ncurses is
	not available.

1999-02-03 18:25  Marcus Sundberg [marcus@ggi-project.org]

	* ltconfig (1.3): Made need_lib_prefix and need_version default to
	"no".

1999-02-03 17:47  Steve Cheng [steve@ggi-project.org]

	* doc/docbook/DOC-STYLE (1.2): Kill tag minimization.

1999-02-03 17:13  Steve Cheng [steve@ggi-project.org]

	* doc/docbook/libggi-api.sgml (1.4): Normalized libggi-api.sgml to
	avoid troubles with OMITTAG.

1999-02-02 21:21  Andreas Beck [becka@ggi-project.org]

	* ggi/dl.c (1.4): One more %s/NULL fix.

1999-02-02 01:11  Marcus Sundberg [marcus@ggi-project.org]

	* display/X/mode.c (1.39), display/X/visual.c (1.45),
	display/Xlib/visual.c (1.29), display/xf86dga/visual.c (1.35),
	include/ggi/display/x.h (1.4): Updated to handle the new exposefunc
	stuff in input-xwin.

1999-02-02 01:09  Marcus Sundberg [marcus@ggi-project.org]

	* programs/util/monitest/: drawlib.c (1.2), drawlib.h (1.2),
	flatpanel.c (1.2), ggicolors.h (1.2), ggitext.c (1.2), ggitext.h
	(1.2), menu.c (1.2), menu.h (1.2), monitest.c (1.6), monitest.h
	(1.2), mousedemo.c (1.2), pattern.c (1.2), resolution.c (1.2),
	window.c (1.2), window.h (1.2): Cleaned up the code a bit.  Don't
	poll for unused pointer events in the menu loop.  You can now break
	an ongoing test by pressing Escape or 'b'.

1999-02-01 19:17  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.55): Added linear_2 to DEFAULTSUBDIRS

1999-02-01 19:15  Marcus Sundberg [marcus@ggi-project.org]

	* ltconfig (1.2), ltmain.sh (1.3), default/color/Makefile.am (1.4),
	default/ilbm/Makefile.am (1.3), default/ioctl/Makefile.am (1.3),
	default/iplanar_2p/Makefile.am (1.3), default/kgi/Makefile.am
	(1.3), default/linear_1/Makefile.am (1.3),
	default/linear_16/Makefile.am (1.4), default/linear_1_r/Makefile.am
	(1.3), default/linear_2/Makefile.am (1.3),
	default/linear_24/Makefile.am (1.3), default/linear_32/Makefile.am
	(1.4), default/linear_4/Makefile.am (1.3),
	default/linear_8/Makefile.am (1.4),
	default/linmm_banked/Makefile.am (1.3), default/planar/Makefile.am
	(1.3), default/ramdac/Makefile.am (1.3), default/stubs/Makefile.am
	(1.3), default/text_16/Makefile.am (1.3),
	default/text_32/Makefile.am (1.3), display/X/Makefile.am (1.6),
	display/Xlib/Makefile.am (1.6), display/aa/Makefile.am (1.3),
	programs/demos/Makefile.am (1.5), display/fbdev/Makefile.am (1.3),
	display/file/Makefile.am (1.3), display/glide/Makefile.am (1.3),
	display/kgi/Makefile.am (1.3), display/linvtsw/Makefile.am (1.2),
	display/mansync/Makefile.am (1.5), display/memory/Makefile.am
	(1.3), display/monotext/Makefile.am (1.3),
	display/multi/Makefile.am (1.3), display/palemu/Makefile.am (1.3),
	display/sub/Makefile.am (1.3), display/suidkgi/Makefile.am (1.3),
	display/svgalib/Makefile.am (1.3), display/tele/Makefile.am (1.5),
	display/terminfo/Makefile.am (1.4), display/tile/Makefile.am (1.3),
	display/trueemu/Makefile.am (1.3), display/vcsa/Makefile.am (1.3),
	display/vgagl/Makefile.am (1.3), display/xf86dga/Makefile.am (1.6),
	extensions/misc/display/X/Makefile.am (1.4),
	extensions/misc/display/svgalib/Makefile.am (1.4),
	extensions/misc/ggimisc/Makefile.am (1.3): Upgraded to current
	libtool and changed Makefiles accordingly.  Now libggi.so gets
	linked properly into all sublibs.

1999-02-01 02:54  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/EXPSYMS (1.3), ggi/Makefile.am (1.3), ggi/unix.c (1.1),
	include/ggi/Makefile.am (1.3), include/ggi/ggi-unix.h (1.1): Added
	UNIX-specific ggiEventSelect() function.

1999-01-31 14:37  Andreas Beck [becka@ggi-project.org]

	* ggi/: dl.c (1.3), init.c (1.7): A few NULL pointer problems with
	%s fixed

1999-01-31 13:06  Andrew Apted [andrew@ggi-project.org]

	* doc/targets.txt (1.10): Update the VCSA entry.

1999-01-31 13:05  Andrew Apted [andrew@ggi-project.org]

	* display/vcsa/color.c (1.7), display/vcsa/visual.c (1.11),
	include/ggi/display/vcsa.h (1.2): Added the VCSA_FLAG_SHADE, turned
	on by the "-shade" option, and made shading NOT be the default
	since it screws up the colormapping for normal text.

1999-01-31 02:46  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/events.c (1.2), include/ggi/ggi.h (1.37): Removed
	ggiGetSelectFdSet()

1999-01-30 01:51  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/debug.h (1.7): Fixed bug in gcc DPRINT
	variant

1999-01-29 23:58  Marcus Sundberg [marcus@ggi-project.org]

	* default/: linear_1/hline.c (1.10), linear_4/hline.c (1.11):
	Portability fixes.

1999-01-29 23:40  Marcus Sundberg [marcus@ggi-project.org]

	* display/X/Makefile.am (1.5), display/Xlib/Makefile.am (1.5),
	display/xf86dga/Makefile.am (1.5),
	extensions/misc/display/X/Makefile.am (1.3): Added X_EXTRA_LIBS
	when linking X stuff

1999-01-29 23:39  Marcus Sundberg [marcus@ggi-project.org]

	* programs/check/showaccel2.c (1.6): include config.h for inline

1999-01-29 23:29  Marcus Sundberg [marcus@ggi-project.org]

	* GOALS (1.28), default/color/color.c (1.8), default/ioctl/visual.c
	(1.13), default/linear_16/crossblit.c (1.4),
	default/linear_32/crossblit.c (1.12), default/linear_4/fillscreen.c
	(1.11), default/linear_8/fillscreen.c (1.11),
	default/linmm_banked/visual.c (1.17), default/ramdac/visual.c
	(1.14), default/stubs/gtext.c (1.11), display/X/mode.c (1.38),
	display/X/visual.c (1.44), display/Xlib/visual.c (1.28),
	display/aa/color.c (1.14), display/aa/giievents.c (1.6),
	display/aa/mode.c (1.30), display/aa/visual.c (1.31),
	display/common/modelist.inc (1.7), display/fbdev/color.c (1.18),
	display/fbdev/mode.c (1.56), display/fbdev/pan.c (1.20),
	display/fbdev/visual.c (1.48), display/file/mode.c (1.15),
	display/file/visual.c (1.11), display/glide/mode.c (1.28),
	display/glide/visual.c (1.28), display/kgi/events.c (1.8),
	display/kgi/mode.c (1.14), display/linvtsw/visual.c (1.2),
	display/mansync/alarm.c (1.7), display/mansync/child.c (1.12),
	display/mansync/pthread.c (1.12), display/memory/mode.c (1.27),
	display/memory/visual.c (1.21), display/monotext/color.c (1.19),
	display/monotext/mode.c (1.29), display/monotext/monotext.c (1.20),
	display/monotext/visual.c (1.26), display/multi/stubs.c (1.17),
	display/multi/visual.c (1.25), display/palemu/color.c (1.13),
	display/palemu/mode.c (1.22), display/palemu/palemu.c (1.12),
	display/palemu/visual.c (1.26), display/suidkgi/mode.c (1.20),
	display/suidkgi/visual.c (1.23), display/svgalib/mode.c (1.37),
	display/tele/color.c (1.9), display/tele/events.c (1.17),
	display/tele/mode.c (1.12), display/tele/visual.c (1.13),
	display/terminfo/events.c (1.21), display/terminfo/input.c (1.2),
	display/terminfo/mode.c (1.27), display/terminfo/visual.c (1.21),
	display/tile/mode.c (1.43), display/tile/visual.c (1.37),
	display/trueemu/mode.c (1.33), display/trueemu/trueemu.c (1.20),
	display/trueemu/visual.c (1.33), display/vcsa/draw.c (1.6),
	display/vcsa/mode.c (1.7), display/vcsa/visual.c (1.10),
	display/xf86dga/mode.c (1.37), display/xf86dga/visual.c (1.34),
	doc/env.txt (1.4), doc/man/libggi.7ggi (1.2),
	extensions/misc/display/X/crt.c (1.6),
	extensions/misc/ggimisc/init.c (1.2), ggi/dl.c (1.2), ggi/init.c
	(1.6), ggi/internal.c (1.5), ggi/mode.c (1.6), ggi/visual.c (1.3),
	include/ggi/internal/debug.h (1.6): Fixed the DPRINT stuff for
	non-GCC compilers.  Changed DPRINT* into GIIDPRINT* and GGIDPRINT
	respectively.

1999-01-29 20:09  Andreas Beck [becka@ggi-project.org]

	* ggi/: gc.c (1.3), init.c (1.5): Small fixes.

1999-01-29 14:20  Marcus Sundberg [marcus@ggi-project.org]

	* programs/demos/demo.c (1.8): Draw boxes over the whole screen.

1999-01-29 00:21  Marcus Sundberg [marcus@ggi-project.org]

	* default/linmm_banked/visual.c (1.16), display/sub/stubs.c (1.14),
	display/suidkgi/mode.c (1.19), display/suidkgi/suidbridge.c (1.9),
	display/suidkgi/visual.c (1.22), display/tele/teleserver.c (1.9),
	programs/demos/slimy.c (1.5): Fixed C++ comments

1999-01-28 22:41  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.54): Fixed --disable-vgagl

1999-01-28 19:44  Marcus Sundberg [marcus@ggi-project.org]

	* doc/targets.txt (1.9): Updated to document GGI_DGA_FBDEV.

1999-01-28 19:36  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.53), display/xf86dga/Makefile.am (1.4),
	display/xf86dga/XF86DGA.c (1.2), display/xf86dga/XF86VMode.c (1.1),
	display/xf86dga/mode.c (1.36), display/xf86dga/visual.c (1.33),
	include/ggi/display/xf86dga.h (1.3): Added support for mmap()ing
	/dev/fb? - now you don't need root privs anymore.

1999-01-28 19:33  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/ggi.h (1.36): Fixed broken GGI_BITREV4 macro.

1999-01-27 00:19  Marcus Sundberg [marcus@ggi-project.org]

	* display/fbdev/visual.c (1.47): Fall back to input-stdin if
	input-linux-kbd doesn't work.

1999-01-26 03:23  Andrew Apted [andrew@ggi-project.org]

	* display/palemu/visual.c (1.25): Removed the 'C' from the default
	"-parent" option, so that palemu can run on the VCSA target (etc)
	without having to override it.

1999-01-26 03:21  Andrew Apted [andrew@ggi-project.org]

	* display/fbdev/visual.c (1.46), include/ggi/display/fbdev.h (1.3):
	Added a flag (FBDEV_INP_VT) so that the VT switching code can be
	disabled independently from linux-kbd, and a corresponding option
	"-novt".  Not fully implemented yet.

1999-01-25 00:19  Andrew Apted [andrew@ggi-project.org]

	* display/vcsa/color.c (1.6): Vastly improved the color mapping
	algorithm.

1999-01-24 22:41  Marcus Sundberg [marcus@ggi-project.org]

	* display/fbdev/visual.c (1.45): Only use VT switching helper if we
	use the keyboard.

1999-01-24 22:39  Marcus Sundberg [marcus@ggi-project.org]

	* display/fbdev/mode.c (1.55): Don't include lin_kbd.h

1999-01-24 22:15  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.52), libggi.conf.in (1.5), display/fbdev/mode.c
	(1.54), display/fbdev/visual.c (1.44), display/glide/visual.c
	(1.27), display/linvtsw/.cvsignore (1.1), display/linvtsw/EXPSYMS
	(1.1), display/linvtsw/Makefile.am (1.1), display/linvtsw/visual.c
	(1.1), include/ggi/display/Makefile.am (1.3),
	include/ggi/display/linvtsw.h (1.1): Moved vtswitching code (again)
	to a separate helper library.  Added code to switch to a new VT if
	we're not running on one.

1999-01-24 21:46  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/display/glide.h (1.4): Check if we should include
	glide.h or glide/glide.h

1999-01-24 04:22  Marcus Sundberg [marcus@ggi-project.org]

	* display/fbdev/mode.c (1.53), display/fbdev/visual.c (1.43),
	display/glide/mode.c (1.27), display/glide/visual.c (1.26),
	include/ggi/display/fbdev.h (1.2), include/ggi/display/glide.h
	(1.3): Moved VT switching code into LibGII's linux-kbd inputlib.

1999-01-24 04:19  Marcus Sundberg [marcus@ggi-project.org]

	* doc/: env.txt (1.3), targets.txt (1.8): Added
	GGI_GLIDE_HALTONSWITCH

1999-01-24 02:02  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/internal.h (1.24): Put macro arguments
	inside parentheses.

1999-01-23 02:13  Marcus Sundberg [marcus@ggi-project.org]

	* display/xf86dga/Makefile.am (1.3), display/xf86dga/XF86DGA.c
	(1.1), display/xf86dga/color.c (1.13), display/xf86dga/extutil.h
	(1.1), display/xf86dga/mode.c (1.35), display/xf86dga/visual.c
	(1.32), include/ggi/display/xf86dga.h (1.2): Changed the DGA target
	to use an internal (improved) version of the DGA client code.

1999-01-23 02:12  Marcus Sundberg [marcus@ggi-project.org]

	* acconfig.h (1.6), configure.in (1.51): Added framework for
	choosing between internal and exteernal XF86DGA if it should prove
	necessary.

1999-01-23 01:44  Marcus Sundberg [marcus@ggi-project.org]

	* programs/demos/stars.c (1.4): Modified so it tries to switch to
	the DGA target when space is pressed.

1999-01-22 22:27  Marcus Sundberg [marcus@ggi-project.org]

	* programs/: check/findleaks.c (1.3), demos/textdemo.c (1.2):
	ggiOpen returns ggi_visual_t not ggi_visual_t *

1999-01-21 08:31  Andrew Apted [andrew@ggi-project.org]

	* ggi/internal.c (1.4): Slight tweaking.

1999-01-21 08:26  Andrew Apted [andrew@ggi-project.org]

	* programs/demos/: demo.c (1.7), flying_ggis.c (1.4), inputdump.c
	(1.2), pageflip.c (1.3), shmdemo.c (1.2): Updated for
	ggiSetColorfulPalette().

1999-01-21 08:23  Andrew Apted [andrew@ggi-project.org]

	* ggi/EXPSYMS (1.2), ggi/gc.c (1.2), include/ggi/ggi.h (1.35):
	Implemented ggiSetColorfulPalette().

1999-01-20 23:20  Marcus Sundberg [marcus@ggi-project.org]

	* display/svgalib/visual.c (1.28): Make sure we only open SVGAlib
	target once.

1999-01-20 01:24  Marcus Sundberg [marcus@ggi-project.org]

	* display/glide/mode.c (1.26), display/glide/visual.c (1.25),
	include/ggi/display/glide.h (1.2): Much improved handling of
	GGI_AUTO and mode up/down grading More resolutions supported
	Support for more than one 3DFX card Added simple timing
	calculations Now actually checks if there is any 3DFX card
	available before trying to use it

1999-01-20 01:22  Marcus Sundberg [marcus@ggi-project.org]

	* doc/targets.txt (1.7): Better structure, added DGA target,
	updated glide section

1999-01-20 01:21  Marcus Sundberg [marcus@ggi-project.org]

	* doc/env.txt (1.2): Updated target specific environment vars.

1999-01-19 00:44  Andreas Beck [becka@ggi-project.org]

	* display/file/mode.c (1.14), display/file/visual.c (1.10),
	doc/targets.txt (1.6), include/ggi/display/file.h (1.3): Added
	movie grabbing support to file target.

1999-01-18 08:53  Andrew Apted [andrew@ggi-project.org]

	* include/ggi/internal/internal.h (1.23): Added prototypes for
	_ggi_build_palette() and _ggi_smart_match_palettes().

1999-01-18 08:23  Andrew Apted [andrew@ggi-project.org]

	* programs/demos/demo.c (1.6): Made the initial ggiSetPalette() use
	GGI_PALETTE_DONTCARE.

1999-01-18 08:19  Andrew Apted [andrew@ggi-project.org]

	* programs/demos/flying_ggis.c (1.3): Made the palette setup code
	use GGI_PALETTE_DONTCARE.

1999-01-18 08:18  Andrew Apted [andrew@ggi-project.org]

	* ggi/internal.c (1.3): Implemented two new functions,
	_ggi_build_palette() for building default palettes, and
	_ggi_smart_match_palettes() for rearranging a palette to match as
	close as possible another palette (esp. X's).

1999-01-16 20:06  Andreas Beck [becka@ggi-project.org]

	* display/file/fileio.c (1.4), display/file/mode.c (1.13),
	display/file/visual.c (1.9), include/ggi/display/file.h (1.2): File
	target.

1999-01-16 02:55  Andreas Beck [becka@ggi-project.org]

	* libggi.conf.in (1.4), include/ggi/display/Makefile.am (1.2):
	Slight fixes. Include support for libwmh.

1999-01-15 04:00  Marcus Sundberg [marcus@ggi-project.org]

	* display/: X/mode.c (1.37), X/visual.c (1.43), Xlib/box.c (1.10),
	Xlib/hline.c (1.10), Xlib/pixel.c (1.14), Xlib/visual.c (1.27),
	Xlib/vline.c (1.10): X cleanup:  Use _ggi_global_lock mutex instead
	of stupid intlocks.   Much improved system for matching graphtypes
	with X-visuals.   Added support for GT_STATIC_PALETTE/StaticColor  
	Allocate XImages of proper size.

1999-01-15 03:53  Marcus Sundberg [marcus@ggi-project.org]

	* default/color/visual.c (1.10), include/ggi/types.h (1.7): Added
	GT_STATIC_PALETTE

1999-01-15 03:24  Marcus Sundberg [marcus@ggi-project.org]

	* default/linear_16/hline.c (1.9): Optimized drawhline and cleaned
	up file.

1999-01-15 03:20  Marcus Sundberg [marcus@ggi-project.org]

	* default/: linear_16/box.c (1.2), linear_32/box.c (1.2): Fixed
	stupid bug in putbox.

1999-01-15 03:19  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/display/: x.h (1.3), xlib.h (1.3): Added defsize
	member to hold the defaultsize of the window.

1999-01-15 03:17  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/init.c (1.4), include/ggi/internal/internal.h (1.22): Added
	_ggi_global_lock mutex.

1999-01-12 21:57  Thomas Tanner [tanner@ggi-project.org]

	* libggi.conf.in (1.3): 
	replaced CONFDIR with @ggi_confdir@

1999-01-12 13:43  Marcus Sundberg [marcus@ggi-project.org]

	* programs/util/monitest/monitest.c (1.5): It's 1280x1024, not
	1200x1024

1999-01-12 13:42  Marcus Sundberg [marcus@ggi-project.org]

	* display/svgalib/mode.c (1.36): Added missing include

1999-01-12 00:04  Marcus Sundberg [marcus@ggi-project.org]

	* display/: X/visual.c (1.42), Xlib/visual.c (1.26): Started
	cleanup of X code.  Added initial support for running in already
	existing window.  Don't close/reopen window if not necessary.

1999-01-11 23:58  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/display/: x.h (1.2), xcommon.h (1.1), xlib.h (1.2):
	Added hooks for running in already existing windows.  Cleanup.

1999-01-11 21:24  Andreas Beck [becka@ggi-project.org]

	* display/terminfo/visual.c (1.20): Patches from Mentalguy ...

1999-01-11 19:29  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/internal.h (1.21): Added _ggi_mask2shift()
	prototype.

1999-01-10 07:15  Andrew Apted [andrew@ggi-project.org]

	* display/mansync/alarm.c (1.6): Updated since "mansync.h" got
	moved somewhere else.

1999-01-10 07:12  Andrew Apted [andrew@ggi-project.org]

	* display/svgalib/mode.c (1.35): Fixed the "return key causes quit"
	problem, by surrounding the call to vga_setmode() with a termios
	save/restore pair.

1999-01-08 22:19  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/mode.c (1.5): When using multiple frames we need to clear all
	of them in setmode

1999-01-08 22:10  Marcus Sundberg [marcus@ggi-project.org]

	* default/stubs/box.c (1.13): Fixed clipping bug in putbox

1999-01-08 22:09  Marcus Sundberg [marcus@ggi-project.org]

	* default/: linear_16/Makefile.am (1.3), linear_16/box.c (1.1),
	linear_16/lin16lib.h (1.1), linear_16/visual.c (1.18),
	linear_32/Makefile.am (1.3), linear_32/box.c (1.1),
	linear_32/lin32lib.h (1.1), linear_32/visual.c (1.19),
	linear_8/Makefile.am (1.3), linear_8/box.c (1.1),
	linear_8/lin8lib.h (1.3), linear_8/visual.c (1.17): Added putbox
	primitive to linear 8/16/32 libs

1999-01-08 22:07  Marcus Sundberg [marcus@ggi-project.org]

	* display/svgalib/mode.c (1.34): 32 bit mode is named "16M32" not
	"16M4"

1999-01-05 01:08  Jim Ursetto [ursetto@uiuc.edu]

	* display/glide/gtext.c (1.4): Rewrote putc() functions; clipping
	works now.

1999-01-04 03:04  Jim Ursetto [ursetto@uiuc.edu]

	* display/glide/: box.c (1.7), line.c (1.7), pixel.c (1.7): Correct
	off-by-one error in lfb operations that could cause program to hang
	or system to crash.

1999-01-02 23:36  Steve Cheng [steve@ggi-project.org]

	* doc/man/libggi.7ggi (1.1): This is basically a dump of env.txt,
	plus bits of descriptions and plugs for LibGGI :-).  It's not
	finished yet, but install it if you want.

1999-01-01 19:30  Steve Cheng [steve@ggi-project.org]

	* doc/man/Makefile.am (1.3): echo `ls *.3ggi` eat flaming death!

1999-01-01 19:26  Steve Cheng [steve@ggi-project.org]

	* GOALS (1.27): Manpage status update -- it works pretty well now.

1999-01-01 19:18  Steve Cheng [steve@ggi-project.org]

	* doc/man/: ggiCopyBox.3ggi (1.5), ggiCrossBlit.3ggi (1.5),
	ggiDBGetBuffer.3ggi (1.5), ggiDrawBox.3ggi (1.5), ggiDrawHLine.3ggi
	(1.5), ggiDrawLine.3ggi (1.5), ggiDrawPixel.3ggi (1.5),
	ggiDrawVLine.3ggi (1.5), ggiFillscreen.3ggi (1.5), ggiFlush.3ggi
	(1.5), ggiGetGCClipping.3ggi (1.2), ggiGetPixelFormat.3ggi (1.5),
	ggiInit.3ggi (1.5), ggiMapColor.3ggi (1.5), ggiOpen.3ggi (1.5),
	ggiPanic.3ggi (1.5), ggiParseMode.3ggi (1.5), ggiPrintMode.3ggi
	(1.5), ggiPutc.3ggi (1.2), ggiSetDisplayFrame.3ggi (1.5),
	ggiSetFlags.3ggi (1.5), ggiSetGCClipping.3ggi (1.5),
	ggiSetGCForeground.3ggi (1.5), ggiSetGamma.3ggi (1.5),
	ggiSetGraphMode.3ggi (1.5), ggiSetMode.3ggi (1.5),
	ggiSetOrigin.3ggi (1.5), ggiSetPalette.3ggi (1.5), ggiAddFlags.3ggi
	(1.1), ggiCheckSimpleMode.3ggi (1.1), ggiFPrintMode.3ggi (1.1),
	ggiGetFlags.3ggi (1.1), ggiGetGammaMap.3ggi (1.1),
	ggiGetOrigin.3ggi (1.1), ggiRemoveFlags.3ggi (1.1),
	ggiSPrintMode.3ggi (1.1), ggiSetGammaMap.3ggi (1.1),
	ggiSetSimpleMode.3ggi (1.1): Fixed up manpages

1998-12-30 00:39  Steve Cheng [steve@ggi-project.org]

	* doc/docbook/libggi-api.sgml (1.3): Fixed some errors

1998-12-24 22:44  Steve Cheng [steve@ggi-project.org]

	* doc/docbook/libggi-api.sgml (1.2): Diked out outdated/incorrect
	sections.  In particular see LibGII documention for
	ggiGetSelectFdset.

1998-12-24 22:41  Steve Cheng [steve@ggi-project.org]

	* display/tile/visual.c (1.36): Fixed bug trying to pass opmansync
	as an arg rather than argptr.

1998-12-24 03:53  Marcus Sundberg [marcus@ggi-project.org]

	* README (1.1), doc/README (1.4): Updated docs

1998-12-24 02:44  Marcus Sundberg [marcus@ggi-project.org]

	* display/glide/mode.c (1.25): Fixed a checkmode bug.

1998-12-24 02:09  Marcus Sundberg [marcus@ggi-project.org]

	* programs/check/structs.c (1.5): Moved pixelformat printing into a
	separate function

1998-12-24 01:59  Marcus Sundberg [marcus@ggi-project.org]

	* display/: aa/mode.c (1.29), fbdev/mode.c (1.52), file/mode.c
	(1.12), glide/mode.c (1.24), memory/mode.c (1.26), palemu/mode.c
	(1.21), svgalib/mode.c (1.33), tele/mode.c (1.11), terminfo/mode.c
	(1.26), trueemu/mode.c (1.32), xf86dga/mode.c (1.34): Updated
	targets to use _ggi_build_pixfmt

1998-12-24 01:58  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/ggi.h (1.34): Cleaned up the pixelformat stuff.

1998-12-24 01:56  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/internal.h (1.20): Added _ggi_build_pixfmt

1998-12-24 01:52  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/internal.c (1.2): Added _ggi_mask2shift and _ggi_build_pixfmt

1998-12-24 01:51  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/visual.c (1.2): Use _ggi_calloc instead of _ggi_malloc

1998-12-24 01:45  Marcus Sundberg [marcus@ggi-project.org]

	* INSTALL (1.4): Small fix

1998-12-24 01:35  Andreas Beck [becka@ggi-project.org]

	* INSTALL (1.3): More installation instructions

1998-12-24 01:22  Andreas Beck [becka@ggi-project.org]

	* INSTALL (1.2): Updated version.

1998-12-24 00:50  Andreas Beck [becka@ggi-project.org]

	* INSTALL (1.1): Added INSTALL file

1998-12-24 00:08  Marcus Sundberg [marcus@ggi-project.org]

	* INSTALL.autoconf (1.1): Added generic docs on building autoconf
	packages

1998-12-23 18:42  Andreas Beck [becka@ggi-project.org]

	* doc/targets.txt (1.5): Updated targets.txt for sub and memory
	targets.

1998-12-23 00:21  Steve Cheng [steve@ggi-project.org]

	* doc/man/: ggiCopyBox.3ggi (1.4), ggiCrossBlit.3ggi (1.4),
	ggiDBGetBuffer.3ggi (1.4), ggiDrawBox.3ggi (1.4), ggiDrawHLine.3ggi
	(1.4), ggiDrawLine.3ggi (1.4), ggiDrawPixel.3ggi (1.4),
	ggiDrawVLine.3ggi (1.4), ggiFillscreen.3ggi (1.4), ggiFlush.3ggi
	(1.4), ggiGetPixelFormat.3ggi (1.4), ggiGetSelectFdset.3ggi (1.1),
	ggiInit.3ggi (1.4), ggiMapColor.3ggi (1.4), ggiOpen.3ggi (1.4),
	ggiPanic.3ggi (1.4), ggiParseMode.3ggi (1.4), ggiPrintMode.3ggi
	(1.4), ggiPutc.3ggi (1.1), ggiPuts.3ggi (1.1),
	ggiSetDisplayFrame.3ggi (1.4), ggiSetFlags.3ggi (1.4),
	ggiSetGCClipping.3ggi (1.4), ggiSetGCForeground.3ggi (1.4),
	ggiSetGamma.3ggi (1.4), ggiSetGraphMode.3ggi (1.4), ggiSetMode.3ggi
	(1.4), ggiSetOrigin.3ggi (1.4), ggiSetPalette.3ggi (1.4): Fixed
	manpage citation bug.  Date now December 1998.	Added char output. 
	Added ggiGetSelectFdset.

1998-12-23 00:05  Marcus Sundberg [marcus@ggi-project.org]

	* .cvsignore (1.10), aclocal.m4 (1.5), config.h.in (1.5),
	mkinstalldirs (1.2): [no log message]

1998-12-22 23:58  Marcus Sundberg [marcus@ggi-project.org]

	* .cvsignore (1.9), Makefile.in (1.27), configure (1.48),
	default/.cvsignore (1.3), default/Makefile.in (1.10),
	default/color/.cvsignore (1.3), default/color/Makefile.in (1.11),
	default/ilbm/.cvsignore (1.3), default/ilbm/Makefile.in (1.10),
	default/ioctl/.cvsignore (1.3), default/ioctl/Makefile.in (1.10),
	default/iplanar_2p/.cvsignore (1.3), default/iplanar_2p/Makefile.in
	(1.10), default/kgi/.cvsignore (1.3), default/kgi/Makefile.in
	(1.10), default/linear_1/.cvsignore (1.3),
	default/linear_1/Makefile.in (1.10), default/linear_16/.cvsignore
	(1.3), default/linear_16/Makefile.in (1.11),
	default/linear_1_r/.cvsignore (1.3), default/linear_1_r/Makefile.in
	(1.10), default/linear_2/.cvsignore (1.3),
	default/linear_2/Makefile.in (1.10), default/linear_24/.cvsignore
	(1.3), default/linear_24/Makefile.in (1.10),
	default/linear_32/.cvsignore (1.3), default/linear_32/Makefile.in
	(1.11), default/linear_4/.cvsignore (1.3),
	default/linear_4/Makefile.in (1.10), default/linear_8/.cvsignore
	(1.3), default/linear_8/Makefile.in (1.10),
	default/linmm_banked/.cvsignore (1.3),
	default/linmm_banked/Makefile.in (1.10), default/planar/.cvsignore
	(1.3), default/planar/Makefile.in (1.10), default/ramdac/.cvsignore
	(1.3), default/ramdac/Makefile.in (1.11), default/stubs/.cvsignore
	(1.3), default/stubs/Makefile.in (1.10), default/text_16/.cvsignore
	(1.3), default/text_16/Makefile.in (1.10),
	default/text_32/.cvsignore (1.3), default/text_32/Makefile.in
	(1.10), display/.cvsignore (1.4), display/Makefile.in (1.10),
	display/X/.cvsignore (1.3), display/X/Makefile.in (1.16),
	display/Xlib/.cvsignore (1.3), display/Xlib/Makefile.in (1.15),
	display/aa/.cvsignore (1.3), display/aa/Makefile.in (1.12),
	display/fbdev/.cvsignore (1.3), display/fbdev/Makefile.in (1.11),
	display/file/.cvsignore (1.3), display/file/Makefile.in (1.11),
	display/glide/.cvsignore (1.3), display/glide/Makefile.in (1.13),
	display/kgi/.cvsignore (1.3), display/kgi/Makefile.in (1.2),
	display/mansync/.cvsignore (1.3), display/mansync/Makefile.in
	(1.12), display/memory/.cvsignore (1.3), display/memory/Makefile.in
	(1.10), display/monotext/.cvsignore (1.3),
	display/monotext/Makefile.in (1.13), display/multi/.cvsignore
	(1.3), display/multi/Makefile.in (1.11), display/palemu/.cvsignore
	(1.3), display/palemu/Makefile.in (1.12), display/sub/.cvsignore
	(1.3), display/sub/Makefile.in (1.10), display/suidkgi/.cvsignore
	(1.3), display/suidkgi/Makefile.in (1.13),
	display/svgalib/.cvsignore (1.3), display/svgalib/Makefile.in
	(1.12), display/tele/.cvsignore (1.4), display/tele/Makefile.in
	(1.12), display/terminfo/.cvsignore (1.3),
	display/terminfo/Makefile.in (1.13), display/tile/.cvsignore (1.3),
	display/tile/Makefile.in (1.11), display/trueemu/.cvsignore (1.3),
	display/trueemu/Makefile.in (1.12), display/vcsa/.cvsignore (1.3),
	display/vcsa/Makefile.in (1.10), display/vgagl/.cvsignore (1.3),
	display/vgagl/Makefile.in (1.11), display/xf86dga/.cvsignore (1.3),
	display/xf86dga/Makefile.in (1.13), doc/.cvsignore (1.1),
	doc/Makefile.in (1.9), doc/man/.cvsignore (1.1),
	doc/man/Makefile.in (1.9), extensions/.cvsignore (1.3),
	extensions/Makefile.in (1.10), extensions/misc/.cvsignore (1.6),
	extensions/misc/Makefile.in (1.14),
	extensions/misc/demos/.cvsignore (1.3),
	extensions/misc/demos/Makefile.in (1.10),
	extensions/misc/display/.cvsignore (1.3),
	extensions/misc/display/Makefile.in (1.10),
	extensions/misc/display/X/.cvsignore (1.3),
	extensions/misc/display/X/Makefile.in (1.11),
	extensions/misc/display/svgalib/.cvsignore (1.3),
	extensions/misc/display/svgalib/Makefile.in (1.11),
	extensions/misc/ggimisc/.cvsignore (1.1),
	extensions/misc/ggimisc/Makefile.in (1.9),
	extensions/test/.cvsignore (1.4), extensions/test/Makefile.in
	(1.12), ggi/.cvsignore (1.1), ggi/Makefile.in (1.9),
	include/.cvsignore (1.1), include/Makefile.in (1.9),
	include/ggi/.cvsignore (1.3), include/ggi/Makefile.in (1.9),
	include/ggi/display/.cvsignore (1.1),
	include/ggi/display/Makefile.in (1.3),
	include/ggi/internal/.cvsignore (1.1),
	include/ggi/internal/Makefile.in (1.9), programs/.cvsignore (1.1),
	programs/Makefile.in (1.6), programs/check/.cvsignore (1.1),
	programs/check/Makefile.in (1.6), programs/demos/.cvsignore (1.1),
	programs/demos/Makefile.in (1.8),
	programs/demos/warp-ggi/.cvsignore (1.1),
	programs/demos/warp-ggi/Makefile.in (1.6), programs/util/.cvsignore
	(1.1), programs/util/Makefile.in (1.6),
	programs/util/monitest/.cvsignore (1.1),
	programs/util/monitest/Makefile.in (1.8): Cleaning up autogenerated
	files for the release.

1998-12-22 21:39  Steve Cheng [steve@ggi-project.org]

	* doc/man/: ggiCopyBox.3ggi (1.3), ggiCrossBlit.3ggi (1.3),
	ggiDBGetBuffer.3ggi (1.3), ggiDrawBox.3ggi (1.3), ggiDrawHLine.3ggi
	(1.3), ggiDrawLine.3ggi (1.3), ggiDrawPixel.3ggi (1.3),
	ggiDrawVLine.3ggi (1.3), ggiFillscreen.3ggi (1.3), ggiFlush.3ggi
	(1.3), ggiGetPixelFormat.3ggi (1.3), ggiInit.3ggi (1.3),
	ggiMapColor.3ggi (1.3), ggiOpen.3ggi (1.3), ggiPanic.3ggi (1.3),
	ggiParseMode.3ggi (1.3), ggiPrintMode.3ggi (1.3),
	ggiSetDisplayFrame.3ggi (1.3), ggiSetFlags.3ggi (1.3),
	ggiSetGCClipping.3ggi (1.3), ggiSetGCForeground.3ggi (1.3),
	ggiSetGamma.3ggi (1.3), ggiSetGraphMode.3ggi (1.3), ggiSetMode.3ggi
	(1.3), ggiSetOrigin.3ggi (1.3), ggiSetPalette.3ggi (1.3): Updated
	manpages for newer libggi-api.sgml

1998-12-22 21:34  Steve Cheng [steve@ggi-project.org]

	* doc/docbook/libggi.sgml (1.8): Renamed libggi.sgml to
	libggi-api.sgml.  Might be a libggi-user.sgml coming..

1998-12-22 21:33  Steve Cheng [steve@ggi-project.org]

	* doc/docbook/libggi-api.sgml (1.1): A little-restructured libggi
	API documentation

1998-12-22 21:02  Marcus Sundberg [marcus@ggi-project.org]

	* doc/targets.txt (1.4): Added aalib target. Added note about tile
	acceleration.

1998-12-22 20:41  Marcus Sundberg [marcus@ggi-project.org]

	* doc/REQUIRED_SOFTWARE (1.3): This is not relevant as we're using
	autoconf/automake now

1998-12-22 20:11  Marcus Sundberg [marcus@ggi-project.org]

	* doc/docbook/libggi.sgml (1.7): Added the SimpleMode functions

1998-12-22 15:25  Jason McMullan [jmcc@ggi-project.org]

	* display/fbdev/visual.c (1.42): Minor: Added #include <errno.h>

1998-12-22 03:12  Marcus Sundberg [marcus@ggi-project.org]

	* display/: aa/giievents.c (1.5), fbdev/mode.c (1.51),
	fbdev/visual.c (1.41), tele/libtele.c (1.8): Added missing includes

1998-12-22 00:06  Marcus Sundberg [marcus@ggi-project.org]

	* extensions/misc/demos/misctest.c (1.9),
	extensions/test/exttest1.c (1.8), ggi/mode.c (1.4),
	include/ggi/ggi.h (1.33), programs/check/consistency.c (1.4),
	programs/check/showaccel.c (1.4), programs/check/showaccel2.c
	(1.5), programs/check/speed.c (1.4), programs/check/structs.c
	(1.4), programs/demos/demo.c (1.5), programs/demos/saver.c (1.4),
	programs/demos/slimy.c (1.4), programs/demos/stars.c (1.3),
	programs/demos/warp-ggi/main.c (1.5), programs/util/tunemode.c
	(1.3), programs/util/monitest/monitest.c (1.4): Changed SimpleMode
	functions to follow the naming scheme.

1998-12-22 00:03  Marcus Sundberg [marcus@ggi-project.org]

	* doc/docbook/libggi.sgml (1.6): Added ggiSet|CheckSimpleMode() +
	minor updates.

1998-12-21 06:44  Marcus Sundberg [marcus@ggi-project.org]

	* doc/docbook/libggi.sgml (1.5): Minor updates.

1998-12-21 06:42  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/mode.c (1.3): Pass GGI_AUTO in dpp entries - not 1 Fixed
	DPRINT message in ggiSimpleSetMode

1998-12-21 05:55  Marcus Sundberg [marcus@ggi-project.org]

	* display/terminfo/color.c (1.19): Fixed a typo

1998-12-21 05:55  Marcus Sundberg [marcus@ggi-project.org]

	* configure (1.47), configure.in (1.50): Enabled terminfo target
	again Add the extra_includes to CPPFLAGS while configuring

1998-12-20 23:33  Marcus Sundberg [marcus@ggi-project.org]

	* Makefile.in (1.26), acinclude.m4 (1.1), aclocal.m4 (1.4),
	configure (1.46), configure.in (1.49), default/Makefile.in (1.9),
	default/color/Makefile.am (1.3), default/color/Makefile.in (1.10),
	default/ilbm/Makefile.am (1.2), default/ilbm/Makefile.in (1.9),
	default/ioctl/Makefile.am (1.2), default/ioctl/Makefile.in (1.9),
	default/iplanar_2p/Makefile.am (1.2),
	default/iplanar_2p/Makefile.in (1.9), default/kgi/Makefile.am
	(1.2), default/kgi/Makefile.in (1.9), default/linear_1/Makefile.am
	(1.2), default/linear_1/Makefile.in (1.9),
	default/linear_16/Makefile.am (1.2), default/linear_16/Makefile.in
	(1.10), default/linear_1_r/Makefile.am (1.2),
	default/linear_1_r/Makefile.in (1.9), default/linear_2/Makefile.am
	(1.2), default/linear_2/Makefile.in (1.9),
	default/linear_24/Makefile.am (1.2), default/linear_24/Makefile.in
	(1.9), default/linear_32/Makefile.am (1.2),
	default/linear_32/Makefile.in (1.10), default/linear_4/Makefile.am
	(1.2), default/linear_4/Makefile.in (1.9),
	default/linear_8/Makefile.am (1.2), default/linear_8/Makefile.in
	(1.9), default/linmm_banked/Makefile.am (1.2),
	default/linmm_banked/Makefile.in (1.9), default/planar/Makefile.am
	(1.2), default/planar/Makefile.in (1.9), default/ramdac/Makefile.am
	(1.2), default/ramdac/Makefile.in (1.10), default/stubs/Makefile.am
	(1.2), default/stubs/Makefile.in (1.9), default/text_16/Makefile.am
	(1.2), default/text_16/Makefile.in (1.9),
	default/text_32/Makefile.am (1.2), default/text_32/Makefile.in
	(1.9), display/Makefile.in (1.9), display/X/Makefile.am (1.4),
	display/X/Makefile.in (1.15), display/Xlib/Makefile.am (1.4),
	display/Xlib/Makefile.in (1.14), display/aa/Makefile.am (1.2),
	display/aa/Makefile.in (1.11), display/fbdev/Makefile.am (1.2),
	display/fbdev/Makefile.in (1.10), display/file/Makefile.am (1.2),
	display/file/Makefile.in (1.10), display/glide/Makefile.am (1.2),
	display/glide/Makefile.in (1.12), display/kgi/Makefile.am (1.2),
	display/mansync/Makefile.am (1.4), display/mansync/Makefile.in
	(1.11), display/memory/Makefile.am (1.2),
	display/memory/Makefile.in (1.9), display/monotext/Makefile.am
	(1.2), display/monotext/Makefile.in (1.12),
	display/multi/Makefile.am (1.2), display/multi/Makefile.in (1.10),
	display/palemu/Makefile.am (1.2), display/palemu/Makefile.in
	(1.11), display/sub/Makefile.am (1.2), display/sub/Makefile.in
	(1.9), display/suidkgi/Makefile.am (1.2),
	display/suidkgi/Makefile.in (1.12), display/svgalib/Makefile.am
	(1.2), display/svgalib/Makefile.in (1.11), display/tele/Makefile.am
	(1.4), display/tele/Makefile.in (1.11),
	display/terminfo/Makefile.am (1.3), display/terminfo/Makefile.in
	(1.12), display/tile/Makefile.am (1.2), display/tile/Makefile.in
	(1.10), display/trueemu/Makefile.am (1.2),
	display/trueemu/Makefile.in (1.11), display/vcsa/Makefile.am (1.2),
	display/vcsa/Makefile.in (1.9), display/vgagl/Makefile.am (1.2),
	display/vgagl/Makefile.in (1.10), display/xf86dga/Makefile.am
	(1.2), display/xf86dga/Makefile.in (1.12), doc/Makefile.in (1.8),
	doc/man/Makefile.in (1.8), extensions/Makefile.in (1.9),
	extensions/misc/Makefile.in (1.13),
	extensions/misc/demos/Makefile.am (1.2),
	extensions/misc/demos/Makefile.in (1.9),
	extensions/misc/display/Makefile.in (1.9),
	extensions/misc/display/X/Makefile.am (1.2),
	extensions/misc/display/X/Makefile.in (1.10),
	extensions/misc/display/svgalib/Makefile.am (1.3),
	extensions/misc/display/svgalib/Makefile.in (1.10),
	extensions/misc/ggimisc/Makefile.am (1.2),
	extensions/misc/ggimisc/Makefile.in (1.8),
	extensions/test/Makefile.am (1.2), extensions/test/Makefile.in
	(1.11), ggi/Makefile.am (1.2), ggi/Makefile.in (1.8),
	include/Makefile.in (1.8), include/ggi/Makefile.in (1.8),
	include/ggi/display/Makefile.in (1.2),
	include/ggi/internal/Makefile.in (1.8), programs/Makefile.in (1.5),
	programs/check/Makefile.am (1.2), programs/check/Makefile.in (1.5),
	programs/demos/Makefile.am (1.4), programs/demos/Makefile.in (1.7),
	programs/demos/warp-ggi/Makefile.am (1.2),
	programs/demos/warp-ggi/Makefile.in (1.5),
	programs/util/Makefile.am (1.2), programs/util/Makefile.in (1.5),
	programs/util/monitest/Makefile.am (1.4),
	programs/util/monitest/Makefile.in (1.7): Added
	--with-extra-includes/libs flags

1998-12-20 22:43  Marcus Sundberg [marcus@ggi-project.org]

	* display/tele/libtele.c (1.7): Oops, we need errno.h here

1998-12-20 22:30  Marcus Sundberg [marcus@ggi-project.org]

	* default/ioctl/box.c (1.13), default/ioctl/copybox.c (1.11),
	default/ioctl/line.c (1.12), display/fbdev/color.c (1.17),
	display/fbdev/mode.c (1.50), display/fbdev/pan.c (1.19),
	display/fbdev/visual.c (1.40), display/kgi/mode.c (1.13),
	display/mansync/pthread.c (1.11), display/suidkgi/mode.c (1.18),
	display/svgalib/mode.c (1.32), display/tele/color.c (1.8),
	display/tele/libtele.c (1.6), display/tele/text.c (1.7),
	display/trueemu/mode.c (1.31), display/vcsa/mode.c (1.6),
	display/vcsa/visual.c (1.9): Cleaned up includes and removed the
	-E* stuff

1998-12-20 22:29  Marcus Sundberg [marcus@ggi-project.org]

	* display/terminfo/: color.c (1.18), mode.c (1.25): Removed -E* and
	alloca junk

1998-12-20 22:07  Marcus Sundberg [marcus@ggi-project.org]

	* display/: terminfo/mode.c (1.24), tile/frames.c (1.7),
	tile/mode.c (1.42): Removed erroneous ggiFlush() from targets.

1998-12-20 22:02  Marcus Sundberg [marcus@ggi-project.org]

	* libggi.conf.in (1.2): [no log message]

1998-12-20 21:49  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/mode.c (1.2), include/ggi/ggi.h (1.32): Added
	ggiSimpleCheckMode() and ggiSimpleSetMode() Changed declaration for
	ggiCheckGraphMode()

1998-12-20 21:47  Marcus Sundberg [marcus@ggi-project.org]

	* extensions/test/exttest1.c (1.7): Updated to new
	ggiSimpleSetMode()

1998-12-20 21:47  Marcus Sundberg [marcus@ggi-project.org]

	* extensions/misc/demos/misctest.c (1.8): Cleaned up and commented.

1998-12-20 21:43  Marcus Sundberg [marcus@ggi-project.org]

	* display/tile/mode.c (1.41): Fixed a comment

1998-12-20 21:42  Marcus Sundberg [marcus@ggi-project.org]

	* programs/: check/checkmode.c (1.2), check/consistency.c (1.3),
	check/showaccel.c (1.3), check/showaccel2.c (1.4), check/speed.c
	(1.3), check/structs.c (1.3), demos/demo.c (1.4), demos/pageflip.c
	(1.2), demos/saver.c (1.3), demos/slimy.c (1.3), demos/stars.c
	(1.2), demos/warp-ggi/main.c (1.4), util/tunemode.c (1.2),
	util/monitest/monitest.c (1.3): Updated demos to new
	ggiSimpleSetMode() Some cleanups

1998-12-20 18:43  Marcus Sundberg [marcus@ggi-project.org]

	* display/X/Makefile.in (1.14), programs/demos/Makefile.in (1.6),
	programs/util/monitest/Makefile.in (1.6), display/Xlib/Makefile.in
	(1.13), display/mansync/Makefile.in (1.10),
	display/tele/Makefile.in (1.10), display/terminfo/Makefile.in
	(1.11): [no log message]

1998-12-20 02:00  Andreas Beck [becka@ggi-project.org]

	* display/terminfo/Makefile.am (1.2), display/terminfo/Makefile.in
	(1.10), display/terminfo/TIvisual.h (1.12),
	display/terminfo/input.c (1.1), display/terminfo/mode.c (1.23),
	display/terminfo/ncurses.c (1.1), display/terminfo/visual.c (1.19),
	programs/demos/demo.c (1.3): Commited MentalGuys new terminfo
	target. Nice work.  Fixed demo.c not to use stdout. Looks ugly with
	the terminfo thing.  Now you can pipe away the stderr and be happy.

1998-12-20 01:57  Marcus Sundberg [marcus@ggi-project.org]

	* display/X/mode.c (1.36): Don't flush in SetDisplayFrame.

1998-12-20 01:56  Marcus Sundberg [marcus@ggi-project.org]

	* programs/util/monitest/: Makefile.am (1.3), Makefile.in (1.5):
	Fixed little bug

1998-12-19 18:32  Marcus Sundberg [marcus@ggi-project.org]

	* display/X/Makefile.am (1.3), display/Xlib/Makefile.am (1.3),
	display/mansync/Makefile.am (1.3), display/tele/Makefile.am (1.3),
	programs/demos/Makefile.am (1.3): Removed evilness

1998-12-18 22:36  Marcus Sundberg [marcus@ggi-project.org]

	* Makefile.in (1.25), aclocal.m4 (1.3), default/Makefile.in (1.8),
	default/color/Makefile.in (1.9), default/common/clip.c (1.8),
	default/ilbm/Makefile.in (1.8), default/ioctl/Makefile.in (1.8),
	default/ioctl/box.c (1.12), default/ioctl/copybox.c (1.10),
	default/ioctl/line.c (1.11), default/ioctl/visual.c (1.12),
	default/iplanar_2p/Makefile.in (1.8), default/kgi/Makefile.in
	(1.8), default/linear_1/Makefile.in (1.8),
	default/linear_1/copybox.c (1.6), default/linear_16/Makefile.in
	(1.9), default/linear_16/line.c (1.4),
	default/linear_1_r/Makefile.in (1.8), default/linear_2/Makefile.in
	(1.8), default/linear_24/Makefile.in (1.8),
	default/linear_32/Makefile.in (1.9), default/linear_32/line.c
	(1.4), default/linear_4/Makefile.in (1.8), default/linear_4/color.c
	(1.9), default/linear_8/Makefile.in (1.8),
	default/linmm_banked/Makefile.in (1.8),
	default/linmm_banked/hline.c (1.11), default/linmm_banked/pixel.c
	(1.11), default/linmm_banked/visual.c (1.15),
	default/linmm_banked/vline.c (1.10), default/planar/Makefile.in
	(1.8), default/ramdac/Makefile.in (1.9), default/stubs/Makefile.in
	(1.8), default/text_16/Makefile.in (1.8), default/text_16/color.c
	(1.12), default/text_32/Makefile.in (1.8), default/text_32/color.c
	(1.11), display/Makefile.in (1.8), display/X/Makefile.in (1.13),
	display/X/Xvisual.h (1.22), display/X/color.c (1.8),
	display/X/mode.c (1.35), display/X/visual.c (1.41),
	display/Xlib/Makefile.in (1.12), display/Xlib/Xvisual.h (1.14),
	display/Xlib/box.c (1.9), display/Xlib/color.c (1.8),
	display/Xlib/fillscreen.c (1.8), display/Xlib/gtext.c (1.9),
	display/Xlib/hline.c (1.9), display/Xlib/line.c (1.7),
	display/Xlib/mode.c (1.17), display/Xlib/pixel.c (1.13),
	display/Xlib/visual.c (1.25), display/Xlib/vline.c (1.9),
	display/aa/Makefile.in (1.10), display/aa/aavisual.h (1.19),
	display/aa/color.c (1.13), display/aa/giievents.c (1.4),
	display/aa/mode.c (1.28), display/aa/visual.c (1.30),
	display/common/modelist.h (1.5), display/fbdev/Makefile.in (1.9),
	display/fbdev/color.c (1.16), display/fbdev/fbdev.h (1.23),
	display/fbdev/mode.c (1.49), display/fbdev/pan.c (1.18),
	display/fbdev/visual.c (1.39), display/file/Makefile.in (1.9),
	display/file/filehook.h (1.7), display/file/fileio.c (1.3),
	display/file/mode.c (1.11), display/file/ppm.c (1.3),
	display/file/visual.c (1.8), display/glide/Makefile.in (1.11),
	display/glide/box.c (1.6), display/glide/fb.c (1.5),
	display/glide/glidevisual.h (1.15), display/glide/gtext.c (1.3),
	display/glide/line.c (1.6), display/glide/mode.c (1.23),
	display/glide/pixel.c (1.6), display/glide/visual.c (1.24),
	display/mansync/Makefile.in (1.9), display/mansync/child.c (1.11),
	display/mansync/mansync.c (1.3), display/mansync/mansync.h (1.8),
	display/mansync/pthread.c (1.10), display/mansync/visual.c (1.7),
	display/memory/Makefile.in (1.8), display/memory/memvisual.h (1.8),
	display/memory/mode.c (1.25), display/memory/visual.c (1.20),
	display/monotext/Makefile.in (1.11), display/monotext/color.c
	(1.18), display/monotext/draw.c (1.18), display/monotext/mode.c
	(1.28), display/monotext/monotext.c (1.19),
	display/monotext/monotext.h (1.14), display/monotext/text.c (1.15),
	display/monotext/visual.c (1.25), display/multi/Makefile.in (1.9),
	display/multi/mode.c (1.15), display/multi/multi_defs.h (1.9),
	display/multi/stubs.c (1.16), display/multi/visual.c (1.24),
	display/palemu/Makefile.in (1.10), display/palemu/color.c (1.12),
	display/palemu/draw.c (1.8), display/palemu/frames.c (1.4),
	display/palemu/mode.c (1.20), display/palemu/palemu.c (1.11),
	display/palemu/palemu.h (1.13), display/palemu/text.c (1.9),
	display/palemu/visual.c (1.24), display/sub/Makefile.in (1.8),
	display/sub/mode.c (1.16), display/sub/stubs.c (1.13),
	display/sub/subtarget.h (1.4), display/sub/visual.c (1.19),
	display/suidkgi/Makefile.in (1.11), display/suidkgi/mode.c (1.17),
	display/suidkgi/suidbridge.c (1.8), display/suidkgi/visual.c
	(1.21), display/svgalib/Makefile.in (1.10), display/svgalib/box.c
	(1.10), display/svgalib/color.c (1.12), display/svgalib/hline.c
	(1.13), display/svgalib/mode.c (1.31), display/svgalib/pixel.c
	(1.11), display/svgalib/vgavisual.h (1.14),
	display/svgalib/visual.c (1.27), display/svgalib/vline.c (1.10),
	display/tele/Makefile.in (1.9), display/tele/box.c (1.6),
	display/tele/color.c (1.7), display/tele/draw.c (1.6),
	display/tele/events.c (1.16), display/tele/mode.c (1.10),
	display/tele/telehook.h (1.8), display/tele/text.c (1.6),
	display/tele/visual.c (1.12), display/terminfo/Makefile.in (1.9),
	display/tile/Makefile.in (1.9), display/tile/color.c (1.9),
	display/tile/frames.c (1.6), display/tile/line.c (1.5),
	display/tile/mode.c (1.40), display/tile/stubs.c (1.13),
	display/tile/tilevisual.h (1.18), display/tile/visual.c (1.35),
	display/trueemu/Makefile.in (1.10), display/trueemu/blit24.c (1.9),
	display/trueemu/blit32.c (1.9), display/trueemu/frames.c (1.3),
	display/trueemu/mode.c (1.30), display/trueemu/stubs.c (1.17),
	display/trueemu/trueemu.c (1.19), display/trueemu/trueemu.h (1.17),
	display/trueemu/visual.c (1.32), display/vcsa/Makefile.in (1.8),
	display/vcsa/color.c (1.5), display/vcsa/draw.c (1.5),
	display/vcsa/mode.c (1.5), display/vcsa/vcsahook.h (1.7),
	display/vcsa/visual.c (1.8), display/vgagl/Makefile.in (1.9),
	display/xf86dga/Makefile.in (1.11), display/xf86dga/Xvisual.h
	(1.20), display/xf86dga/color.c (1.12), display/xf86dga/mode.c
	(1.33), display/xf86dga/visual.c (1.31), extensions/Makefile.in
	(1.8), extensions/misc/Makefile.in (1.12),
	extensions/misc/demos/Makefile.in (1.8),
	extensions/misc/display/Makefile.in (1.8),
	extensions/misc/display/X/Makefile.in (1.9),
	extensions/misc/display/X/crt.c (1.5),
	extensions/misc/display/X/init.c (1.7),
	extensions/misc/display/svgalib/Makefile.am (1.2),
	extensions/misc/display/svgalib/Makefile.in (1.9),
	extensions/misc/display/svgalib/mode.c (1.9),
	extensions/misc/display/svgalib/svgamisc.h (1.4),
	extensions/misc/display/svgalib/visual.c (1.9),
	extensions/misc/ggimisc/Makefile.in (1.7),
	extensions/test/Makefile.in (1.10), ggi/Makefile.in (1.7),
	include/Makefile.in (1.7), include/ggi/Makefile.am (1.2),
	include/ggi/Makefile.in (1.7), include/ggi/display/Makefile.am
	(1.1), include/ggi/display/Makefile.in (1.1),
	include/ggi/display/aa.h (1.1), include/ggi/display/fbdev.h (1.1),
	include/ggi/display/file.h (1.1), include/ggi/display/glide.h
	(1.1), include/ggi/display/mansync.h (1.1),
	include/ggi/display/memory.h (1.1), include/ggi/display/modelist.h
	(1.1), include/ggi/display/monotext.h (1.1),
	include/ggi/display/multi.h (1.1), include/ggi/display/palemu.h
	(1.1), include/ggi/display/sub.h (1.1),
	include/ggi/display/svgalib.h (1.1), include/ggi/display/tele.h
	(1.1), include/ggi/display/tile.h (1.1),
	include/ggi/display/trueemu.h (1.1), include/ggi/display/vcsa.h
	(1.1), include/ggi/display/x.h (1.1), include/ggi/display/xf86dga.h
	(1.1), include/ggi/display/xlib.h (1.1),
	include/ggi/internal/Makefile.in (1.7),
	include/ggi/internal/structs.h (1.20), programs/Makefile.in (1.4),
	programs/check/Makefile.in (1.4), programs/check/showaccel.c (1.2),
	programs/check/showaccel2.c (1.3), programs/demos/Makefile.in
	(1.5), programs/demos/warp-ggi/Makefile.in (1.4),
	programs/demos/warp-ggi/readtga.c (1.3), programs/util/Makefile.in
	(1.4), programs/util/monitest/Makefile.am (1.2),
	programs/util/monitest/Makefile.in (1.4): Moved target headers to
	include/ggi/display/ Cleaned up some file heads.

1998-12-18 22:35  Marcus Sundberg [marcus@ggi-project.org]

	* configure (1.45), configure.in (1.48): Removed -Werror flag

1998-12-18 22:35  Marcus Sundberg [marcus@ggi-project.org]

	* doc/: Makefile.in (1.7), README_IRIX (1.3), man/Makefile.in
	(1.7): Remobed innacurate and old file.

1998-12-17 22:48  Jason McMullan [jmcc@ggi-project.org]

	* display/X/Makefile.am (1.2), display/X/Makefile.in (1.12),
	display/Xlib/Makefile.am (1.2), display/Xlib/Makefile.in (1.11),
	display/mansync/Makefile.am (1.2), display/tele/Makefile.am (1.2),
	display/tele/Makefile.in (1.8), display/vcsa/draw.c (1.4),
	programs/check/showaccel2.c (1.2), programs/demos/Makefile.am
	(1.2), programs/demos/Makefile.in (1.4): Minor: Modified to include
	../libgii/include so that a `make' from        degas/lib will work.

1998-12-17 03:16  Marcus Sundberg [marcus@ggi-project.org]

	* Makefile.in (1.24), acconfig.h (1.5), aclocal.m4 (1.2),
	config.h.in (1.4), configure (1.44), configure.in (1.47),
	patchlib.c (1.4), default/Makefile.in (1.7),
	default/color/Makefile.in (1.8), default/ilbm/Makefile.in (1.7),
	default/ioctl/Makefile.in (1.7), default/iplanar_2p/Makefile.in
	(1.7), default/kgi/Makefile.in (1.7), default/linear_1/Makefile.in
	(1.7), default/linear_16/Makefile.in (1.8),
	default/linear_1_r/Makefile.in (1.7), default/linear_2/Makefile.in
	(1.7), default/linear_24/Makefile.in (1.7),
	default/linear_32/Makefile.in (1.8), default/linear_4/Makefile.in
	(1.7), default/linear_8/Makefile.in (1.7),
	default/linmm_banked/Makefile.in (1.7), default/planar/Makefile.in
	(1.7), default/ramdac/Makefile.in (1.8), default/stubs/Makefile.in
	(1.7), default/text_16/Makefile.in (1.7),
	default/text_32/Makefile.in (1.7), display/Makefile.in (1.7),
	display/X/Makefile.in (1.11), display/Xlib/Makefile.in (1.10),
	display/aa/Makefile.in (1.9), display/fbdev/Makefile.in (1.8),
	display/file/Makefile.in (1.8), display/glide/Makefile.in (1.10),
	display/mansync/Makefile.in (1.8), display/memory/Makefile.in
	(1.7), display/monotext/Makefile.in (1.10),
	display/multi/Makefile.in (1.8), display/palemu/Makefile.in (1.9),
	display/sub/Makefile.in (1.7), display/suidkgi/Makefile.in (1.10),
	display/svgalib/Makefile.in (1.9), display/tele/Makefile.in (1.7),
	display/terminfo/Makefile.in (1.8), display/tile/Makefile.in (1.8),
	display/trueemu/Makefile.in (1.9), display/vcsa/Makefile.in (1.7),
	display/vgagl/Makefile.in (1.8), display/xf86dga/Makefile.in
	(1.10), doc/Makefile.in (1.6), doc/man/Makefile.in (1.6),
	extensions/Makefile.in (1.7), extensions/misc/Makefile.in (1.11),
	extensions/misc/demos/Makefile.in (1.7),
	extensions/misc/display/Makefile.in (1.7),
	extensions/misc/display/X/Makefile.in (1.8),
	extensions/misc/display/svgalib/Makefile.in (1.8),
	extensions/misc/ggimisc/Makefile.in (1.6),
	extensions/test/Makefile.in (1.9), ggi/Makefile.in (1.6),
	include/Makefile.in (1.6), include/ggi/Makefile.in (1.6),
	include/ggi/internal/Makefile.in (1.6), programs/Makefile.in (1.3),
	programs/check/Makefile.in (1.3), programs/demos/Makefile.in (1.3),
	programs/demos/warp-ggi/Makefile.in (1.3),
	programs/util/Makefile.in (1.3), programs/util/monitest/Makefile.in
	(1.3): Improved the PATHTAG code a bit.

1998-12-17 03:08  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/init.c (1.3): Moved memdebug stuff into LibGG

1998-12-17 00:57  Andrew Apted [andrew@ggi-project.org]

	* programs/demos/slimy.c (1.2): Added check for a suitable
	DirectBuffer, and fixed things so it doesn't crash when there's no
	DB.  Made sure that the errors performed the necessary ggiClose()
	and ggiExit().

1998-12-17 00:45  Andrew Apted [andrew@ggi-project.org]

	* programs/demos/flying_ggis.c (1.2): Added relative mouse handling
	-- only useful with the --cluster option.

1998-12-16 22:21  Marcus Sundberg [marcus@ggi-project.org]

	* Makefile.in (1.23), configure (1.43), default/Makefile.in (1.6),
	default/color/Makefile.in (1.7), default/ilbm/Makefile.in (1.6),
	default/ioctl/Makefile.in (1.6), default/iplanar_2p/Makefile.in
	(1.6), default/kgi/Makefile.in (1.6), default/linear_1/Makefile.in
	(1.6), default/linear_16/Makefile.in (1.7),
	default/linear_1_r/Makefile.in (1.6), default/linear_2/Makefile.in
	(1.6), default/linear_24/Makefile.in (1.6),
	default/linear_32/Makefile.in (1.7), default/linear_4/Makefile.in
	(1.6), default/linear_8/Makefile.in (1.6),
	default/linmm_banked/Makefile.in (1.6), default/planar/Makefile.in
	(1.6), default/ramdac/Makefile.in (1.7), default/stubs/Makefile.in
	(1.6), default/text_16/Makefile.in (1.6),
	default/text_32/Makefile.in (1.6), display/Makefile.in (1.6),
	display/X/Makefile.in (1.10), display/Xlib/Makefile.in (1.9),
	display/aa/Makefile.in (1.8), display/fbdev/Makefile.in (1.7),
	display/file/Makefile.in (1.7), display/glide/Makefile.in (1.9),
	display/mansync/Makefile.in (1.7), display/memory/Makefile.in
	(1.6), display/monotext/Makefile.in (1.9),
	display/multi/Makefile.in (1.7), display/palemu/Makefile.in (1.8),
	display/sub/Makefile.in (1.6), display/suidkgi/Makefile.in (1.9),
	display/svgalib/Makefile.in (1.8), display/tele/Makefile.in (1.6),
	display/terminfo/Makefile.in (1.7), display/tile/Makefile.in (1.7),
	display/trueemu/Makefile.in (1.8), display/vcsa/Makefile.in (1.6),
	display/vgagl/Makefile.in (1.7), display/xf86dga/Makefile.in (1.9),
	doc/Makefile.in (1.5), doc/man/Makefile.in (1.5),
	extensions/Makefile.in (1.6), extensions/misc/Makefile.in (1.10),
	extensions/misc/demos/Makefile.in (1.6),
	extensions/misc/display/Makefile.in (1.6),
	extensions/misc/display/X/Makefile.in (1.7),
	extensions/misc/display/svgalib/Makefile.in (1.7),
	extensions/misc/ggimisc/Makefile.in (1.5),
	extensions/test/Makefile.in (1.8), ggi/Makefile.in (1.5),
	include/Makefile.in (1.5), include/ggi/Makefile.in (1.5),
	include/ggi/internal/Makefile.in (1.5), programs/Makefile.in (1.2),
	programs/check/Makefile.in (1.2), programs/demos/Makefile.in (1.2),
	programs/demos/warp-ggi/Makefile.in (1.2),
	programs/util/Makefile.in (1.2), programs/util/monitest/Makefile.in
	(1.2): [no log message]

1998-12-16 06:04  Andrew Apted [andrew@ggi-project.org]

	* display/vcsa/: color.c (1.4), vcsahook.h (1.6), visual.c (1.7):
	Improved the mapping from color -> text pixel (using the VGA chars
	0xb0..0xb2).  Added an `-ascii' option to use ASCII chars instead.

1998-12-16 00:35  Andreas Beck [becka@ggi-project.org]

	* programs/: check/consistency.c (1.2), check/speed.c (1.2),
	check/speed.sh (1.2), check/structs.c (1.2), demos/demo.c (1.2),
	demos/saver.c (1.2): Added quite some comments.

1998-12-15 04:13  Marcus Sundberg [marcus@ggi-project.org]

	* configure (1.42), configure.in (1.46): We need to add GII
	includes to CPPFLAGS too

1998-12-15 04:11  Marcus Sundberg [marcus@ggi-project.org]

	* default/color/Makefile.am (1.2): LDADD does not work for
	libraries

1998-12-15 04:10  Marcus Sundberg [marcus@ggi-project.org]

	* display/tele/libtele.c (1.5): Fixed typo

1998-12-15 04:09  Marcus Sundberg [marcus@ggi-project.org]

	* ggi/init.c (1.2): Nicer error messages

1998-12-15 04:08  Marcus Sundberg [marcus@ggi-project.org]

	* programs/: check/findleaks.c (1.2), demos/warp-ggi/main.c (1.3),
	demos/warp-ggi/readtga.c (1.2): Fixed warnings

1998-12-15 04:08  Marcus Sundberg [marcus@ggi-project.org]

	* programs/util/monitest/monitest.c (1.2): Clear screen to black
	properly

1998-12-15 04:03  Marcus Sundberg [marcus@ggi-project.org]

	* ltmain.sh (1.2): For now, set a dummy version string on sublibs.

1998-12-15 01:19  Marcus Sundberg [marcus@ggi-project.org]

	* programs/demos/warp-ggi/main.c (1.2): Applied bugfix from Jaromir
	Koutek

1998-12-14 00:27  Andreas Beck [becka@ggi-project.org]

	* Makefile.in (1.22), configure (1.41), configure.in (1.45),
	default/Makefile.in (1.5), default/color/Makefile.in (1.6),
	default/ilbm/Makefile.in (1.5), default/ioctl/Makefile.in (1.5),
	default/iplanar_2p/Makefile.in (1.5), default/kgi/Makefile.in
	(1.5), default/linear_1/Makefile.in (1.5),
	default/linear_16/Makefile.in (1.6), default/linear_1_r/Makefile.in
	(1.5), default/linear_2/Makefile.in (1.5),
	default/linear_24/Makefile.in (1.5), default/linear_32/Makefile.in
	(1.6), default/linear_4/Makefile.in (1.5),
	default/linear_8/Makefile.in (1.5),
	default/linmm_banked/Makefile.in (1.5), default/planar/Makefile.in
	(1.5), default/ramdac/Makefile.in (1.6), default/stubs/Makefile.in
	(1.5), default/text_16/Makefile.in (1.5),
	default/text_32/Makefile.in (1.5), display/Makefile.in (1.5),
	display/X/Makefile.in (1.9), display/Xlib/Makefile.in (1.8),
	display/aa/Makefile.in (1.7), display/fbdev/Makefile.in (1.6),
	display/file/Makefile.in (1.6), display/glide/Makefile.in (1.8),
	display/mansync/Makefile.in (1.6), display/memory/Makefile.in
	(1.5), display/monotext/Makefile.in (1.8),
	display/multi/Makefile.in (1.6), display/palemu/Makefile.in (1.7),
	display/sub/Makefile.in (1.5), display/suidkgi/Makefile.in (1.8),
	display/svgalib/Makefile.in (1.7), display/tele/Makefile.in (1.5),
	display/terminfo/Makefile.in (1.6), display/tile/Makefile.in (1.6),
	display/trueemu/Makefile.in (1.7), display/vcsa/Makefile.in (1.5),
	display/vgagl/Makefile.in (1.6), display/xf86dga/Makefile.in (1.8),
	doc/Makefile.in (1.4), doc/man/Makefile.in (1.4),
	extensions/Makefile.in (1.5), extensions/misc/Makefile.in (1.9),
	extensions/misc/demos/Makefile.in (1.5),
	extensions/misc/display/Makefile.in (1.5),
	extensions/misc/display/X/Makefile.in (1.6),
	extensions/misc/display/svgalib/Makefile.in (1.6),
	extensions/misc/ggimisc/Makefile.in (1.4),
	extensions/test/Makefile.in (1.7), ggi/Makefile.in (1.4),
	include/Makefile.in (1.4), include/ggi/Makefile.in (1.4),
	include/ggi/internal/Makefile.in (1.4): Added new subdir programs

1998-12-14 00:26  Andreas Beck [becka@ggi-project.org]

	* programs/: Makefile.in (1.1), check/Makefile.am (1.1),
	check/Makefile.in (1.1), check/checkmode.c (1.1),
	check/consistency.c (1.1), check/findleaks.c (1.1),
	check/showaccel.c (1.1), check/showaccel2.c (1.1), check/speed.c
	(1.1), check/speed.sh (1.1), check/structs.c (1.1),
	demos/Makefile.am (1.1), demos/Makefile.in (1.1), demos/demo.c
	(1.1), demos/flying_ggis.c (1.1), demos/inputdump.c (1.1),
	demos/pageflip.c (1.1), demos/saver.c (1.1), demos/shmdemo.c (1.1),
	demos/slimy.c (1.1), demos/stars.c (1.1), demos/textdemo.c (1.1),
	demos/warp-ggi/Makefile.am (1.1), demos/warp-ggi/Makefile.in (1.1),
	demos/warp-ggi/README (1.1), demos/warp-ggi/color.c (1.1),
	demos/warp-ggi/dowarp.c (1.1), demos/warp-ggi/main.c (1.1),
	demos/warp-ggi/rawpict.h (1.1), demos/warp-ggi/readpcx.c (1.1),
	demos/warp-ggi/readtga.c (1.1), demos/warp-ggi/warp.h (1.1),
	util/Makefile.am (1.1), util/Makefile.in (1.1), util/inputdump.c
	(1.1), util/mycircle.inc (1.1), util/tunemode.c (1.1),
	util/monitest/Makefile.am (1.1), util/monitest/Makefile.in (1.1),
	util/monitest/drawlib.c (1.1), util/monitest/drawlib.h (1.1),
	util/monitest/flatpanel.c (1.1), util/monitest/ggicolors.h (1.1),
	util/monitest/ggitext.c (1.1), util/monitest/ggitext.h (1.1),
	util/monitest/menu.c (1.1), util/monitest/menu.h (1.1),
	util/monitest/monitest.c (1.1), util/monitest/monitest.h (1.1),
	util/monitest/monitest.sgml (1.1), util/monitest/mousedemo.c (1.1),
	util/monitest/pattern.c (1.1), util/monitest/resolution.c (1.1),
	util/monitest/window.c (1.1), util/monitest/window.h (1.1): Added
	new programs subdir

1998-12-13 18:36  Andreas Beck [becka@ggi-project.org]

	* programs/Makefile.am (1.1): Added new demo subdir

1998-12-13 18:35  Andreas Beck [becka@ggi-project.org]

	* Makefile.am (1.3): Moved demos into a new subdirectory, sorted
	them, removed old cruft

1998-12-12 23:20  Marcus Sundberg [marcus@ggi-project.org]

	* Makefile.in (1.21), config.h.in (1.3), configure (1.40),
	configure.in (1.44), default/Makefile.in (1.4),
	default/color/Makefile.in (1.5), default/ilbm/Makefile.in (1.4),
	default/ioctl/Makefile.in (1.4), default/iplanar_2p/Makefile.in
	(1.4), default/kgi/Makefile.in (1.4), default/linear_1/Makefile.in
	(1.4), default/linear_16/Makefile.in (1.5),
	default/linear_1_r/Makefile.in (1.4), default/linear_2/Makefile.in
	(1.4), default/linear_24/Makefile.in (1.4),
	default/linear_32/Makefile.in (1.5), default/linear_4/Makefile.in
	(1.4), default/linear_8/Makefile.in (1.4),
	default/linmm_banked/Makefile.in (1.4), default/planar/Makefile.in
	(1.4), default/ramdac/Makefile.in (1.5), default/stubs/Makefile.in
	(1.4), default/text_16/Makefile.in (1.4),
	default/text_32/Makefile.in (1.4), display/Makefile.in (1.4),
	display/X/Makefile.in (1.8), display/Xlib/Makefile.in (1.7),
	display/Xlib/pixel.c (1.12), display/aa/Makefile.in (1.6),
	display/common/evqueue.inc (1.14), display/fbdev/Makefile.in (1.5),
	display/file/Makefile.in (1.5), display/glide/Makefile.in (1.7),
	display/mansync/Makefile.in (1.5), display/mansync/child.c (1.10),
	display/mansync/pthread.c (1.9), display/memory/Makefile.in (1.4),
	display/monotext/Makefile.in (1.7), display/multi/Makefile.in
	(1.5), display/palemu/Makefile.in (1.6), display/sub/Makefile.in
	(1.4), display/suidkgi/Makefile.in (1.7), display/suidkgi/visual.c
	(1.20), display/svgalib/Makefile.in (1.6), display/tele/Makefile.in
	(1.4), display/tele/Makefile.server (1.4), display/tele/events.c
	(1.15), display/tele/teleserver.c (1.8),
	display/terminfo/Makefile.in (1.5), display/tile/Makefile.in (1.5),
	display/trueemu/Makefile.in (1.6), display/vcsa/Makefile.in (1.4),
	display/vgagl/Makefile.in (1.5), display/xf86dga/Makefile.in (1.7),
	doc/Makefile.in (1.3), doc/man/Makefile.in (1.3),
	extensions/Makefile.in (1.4), extensions/misc/Makefile.in (1.8),
	extensions/misc/demos/Makefile.in (1.4),
	extensions/misc/display/Makefile.in (1.4),
	extensions/misc/display/X/Makefile.in (1.5),
	extensions/misc/display/svgalib/Makefile.in (1.5),
	extensions/misc/ggimisc/Makefile.in (1.3),
	extensions/test/Makefile.in (1.6), ggi/Makefile.in (1.3),
	include/Makefile.in (1.3), include/ggi/Makefile.in (1.3),
	include/ggi/internal/Makefile.in (1.3), include/ggi/internal/plat.h
	(1.5): Changed usleep() to ggUSleep()

1998-12-10 21:54  Marcus Sundberg [marcus@ggi-project.org]

	* display/svgalib/: hline.c (1.12), mode.c (1.30), vgavisual.h
	(1.13): Removed GGI_svga_gethline as it didn't work correct, and
	used a function which doesn't exist in older svgalibs.

1998-12-09 22:50  Marcus Sundberg [marcus@ggi-project.org]

	* configure (1.39), configure.in (1.43): Remove reference to
	default/common/Makefile

1998-12-09 22:19  Andreas Beck [becka@ggi-project.org]

	* Makefile.in (1.20), configure (1.38), default/Makefile.in (1.3),
	default/color/Makefile.in (1.4), default/ilbm/Makefile.in (1.3),
	default/ioctl/Makefile.in (1.3), default/iplanar_2p/Makefile.in
	(1.3), default/kgi/Makefile.in (1.3), default/linear_1/Makefile.in
	(1.3), default/linear_16/Makefile.in (1.4),
	default/linear_1_r/Makefile.in (1.3), default/linear_2/Makefile.in
	(1.3), default/linear_24/Makefile.in (1.3),
	default/linear_32/Makefile.in (1.4), default/linear_4/Makefile.in
	(1.3), default/linear_8/Makefile.in (1.3),
	default/linmm_banked/Makefile.in (1.3), default/planar/Makefile.in
	(1.3), default/ramdac/Makefile.in (1.4), default/stubs/Makefile.in
	(1.3), default/text_16/Makefile.in (1.3),
	default/text_32/Makefile.in (1.3), display/Makefile.in (1.3),
	display/X/Makefile.in (1.7), display/Xlib/Makefile.in (1.6),
	display/aa/Makefile.in (1.5), display/fbdev/Makefile.in (1.4),
	display/file/Makefile.in (1.4), display/glide/Makefile.in (1.6),
	display/mansync/Makefile.in (1.4), display/memory/Makefile.in
	(1.3), display/monotext/Makefile.in (1.6),
	display/multi/Makefile.in (1.4), display/palemu/Makefile.in (1.5),
	display/sub/Makefile.in (1.3), display/suidkgi/Makefile.in (1.6),
	display/svgalib/Makefile.in (1.5), display/tele/Makefile.in (1.3),
	display/terminfo/Makefile.in (1.4), display/tile/Makefile.in (1.4),
	display/trueemu/Makefile.in (1.5), display/vcsa/Makefile.in (1.3),
	display/vgagl/Makefile.in (1.4), display/xf86dga/Makefile.in (1.6),
	doc/Makefile.in (1.2), doc/man/Makefile.am (1.2),
	doc/man/Makefile.in (1.2), doc/man/ggiGetGCClipping.3ggi (1.1),
	extensions/Makefile.in (1.3), extensions/misc/Makefile.in (1.7),
	extensions/misc/demos/Makefile.in (1.3),
	extensions/misc/display/Makefile.in (1.3),
	extensions/misc/display/X/Makefile.in (1.4),
	extensions/misc/display/svgalib/Makefile.in (1.4),
	extensions/misc/ggimisc/Makefile.in (1.2),
	extensions/test/Makefile.in (1.5), ggi/Makefile.in (1.2),
	include/Makefile.in (1.2), include/ggi/Makefile.in (1.2),
	include/ggi/internal/Makefile.in (1.2): Fixed slight Make problems
	in doc/man.

1998-12-09 19:57  Marcus Sundberg [marcus@ggi-project.org]

	* Makefile.am (1.2), Makefile.in (1.19), configure (1.37),
	configure.in (1.42), default/common/Makefile.am (1.2),
	default/common/Makefile.in (1.3), doc/Makefile.am (1.1),
	doc/Makefile.in (1.1), doc/man/Makefile.am (1.1),
	doc/man/Makefile.in (1.1), doc/man/ggiCheckGraphMode.3ggi (1.1),
	doc/man/ggiCheckMode.3ggi (1.1), doc/man/ggiCheckTextMode.3ggi
	(1.1), doc/man/ggiDBGetNumBuffers.3ggi (1.1),
	doc/man/ggiGetBox.3ggi (1.1), doc/man/ggiGetDisplayFrame.3ggi
	(1.1), doc/man/ggiGetGCBackground.3ggi (1.1),
	doc/man/ggiGetGCForeground.3ggi (1.1), doc/man/ggiGetGamma.3ggi
	(1.1), doc/man/ggiGetHLine.3ggi (1.1), doc/man/ggiGetMode.3ggi
	(1.1), doc/man/ggiGetPalette.3ggi (1.1), doc/man/ggiGetPixel.3ggi
	(1.1), doc/man/ggiGetReadFrame.3ggi (1.1),
	doc/man/ggiGetSelectFD.3ggi (1.3), doc/man/ggiGetVLine.3ggi (1.1),
	doc/man/ggiGetWriteFrame.3ggi (1.1), doc/man/ggiPackColors.3ggi
	(1.1), doc/man/ggiPutBox.3ggi (1.1), doc/man/ggiPutHLine.3ggi
	(1.1), doc/man/ggiPutPixel.3ggi (1.1), doc/man/ggiPutVLine.3ggi
	(1.1), doc/man/ggiSetGCBackground.3ggi (1.1),
	doc/man/ggiSetReadFrame.3ggi (1.1), doc/man/ggiSetTextMode.3ggi
	(1.1), doc/man/ggiSetWriteFrame.3ggi (1.1),
	doc/man/ggiUnmapPixel.3ggi (1.1), doc/man/ggiUnpackPixels.3ggi
	(1.1): Added man-pages to installation. Added more man-pages.

1998-12-09 05:53  Marcus Sundberg [marcus@ggi-project.org]

	* .version (1.3): Removed

1998-12-09 05:27  Marcus Sundberg [marcus@ggi-project.org]

	* .cvsignore (1.8), EXPSYMS (1.15), Makefile.am (1.1), Makefile.in
	(1.18), Makerules.in (1.15), aclocal.m4 (1.1), autogen.sh (1.1),
	config.guess (1.1), config.h.in (1.2), config.sub (1.1), configure
	(1.36), configure.in (1.41), db.c (1.19), dl.c (1.29), events.c
	(1.16), gc.c (1.10), init.c (1.44), libggi.conf.in (1.1), ltconfig
	(1.1), ltmain.sh (1.1), mode.c (1.35), stubs.c (1.30), visual.c
	(1.30), default/.cvsignore (1.2), default/Makefile.am (1.1),
	default/Makefile.in (1.2), default/color/.cvsignore (1.2),
	default/color/Makefile.am (1.1), default/color/Makefile.in (1.3),
	default/common/Makefile.am (1.1), default/common/Makefile.in (1.2),
	default/common/clip.c (1.7), default/common/frames.c (1.7),
	default/common/linear-line.c (1.11), default/common/match-color.c
	(1.6), default/ilbm/.cvsignore (1.2), default/ilbm/Makefile.am
	(1.1), default/ilbm/Makefile.in (1.2), default/ilbm/visual.c (1.7),
	default/ioctl/.cvsignore (1.2), default/ioctl/Makefile.am (1.1),
	default/ioctl/Makefile.in (1.2), default/iplanar_2p/.cvsignore
	(1.2), default/iplanar_2p/Makefile.am (1.1),
	default/iplanar_2p/Makefile.in (1.2), default/iplanar_2p/visual.c
	(1.7), default/kgi/.cvsignore (1.2), default/kgi/Makefile.am (1.1),
	default/kgi/Makefile.in (1.2), default/linear_1/.cvsignore (1.2),
	default/linear_1/Makefile.am (1.1), default/linear_1/Makefile.in
	(1.2), default/linear_1/visual.c (1.16),
	default/linear_16/.cvsignore (1.2), default/linear_16/Makefile.am
	(1.1), default/linear_16/Makefile.in (1.3),
	default/linear_16/visual.c (1.17), default/linear_1_r/.cvsignore
	(1.2), default/linear_1_r/Makefile.am (1.1),
	default/linear_1_r/Makefile.in (1.2), default/linear_1_r/visual.c
	(1.7), default/linear_2/.cvsignore (1.2),
	default/linear_2/Makefile.am (1.1), default/linear_2/Makefile.in
	(1.2), default/linear_2/visual.c (1.7),
	default/linear_24/.cvsignore (1.2), default/linear_24/Makefile.am
	(1.1), default/linear_24/Makefile.in (1.2),
	default/linear_24/visual.c (1.14), default/linear_32/.cvsignore
	(1.2), default/linear_32/Makefile.am (1.1),
	default/linear_32/Makefile.in (1.3), default/linear_32/visual.c
	(1.18), default/linear_4/.cvsignore (1.2),
	default/linear_4/Makefile.am (1.1), default/linear_4/Makefile.in
	(1.2), default/linear_4/visual.c (1.15),
	default/linear_8/.cvsignore (1.2), default/linear_8/Makefile.am
	(1.1), default/linear_8/Makefile.in (1.2),
	default/linear_8/visual.c (1.16), default/linmm_banked/.cvsignore
	(1.2), default/linmm_banked/Makefile.am (1.1),
	default/linmm_banked/Makefile.in (1.2), default/planar/.cvsignore
	(1.2), default/planar/Makefile.am (1.1), default/planar/Makefile.in
	(1.2), default/planar/visual.c (1.8), default/ramdac/.cvsignore
	(1.2), default/ramdac/Makefile.am (1.1), default/ramdac/Makefile.in
	(1.3), default/stubs/.cvsignore (1.2), default/stubs/Makefile.am
	(1.1), default/stubs/Makefile.in (1.2), default/stubs/crossblit.c
	(1.9), default/stubs/line.c (1.11), default/text_16/.cvsignore
	(1.2), default/text_16/Makefile.am (1.1),
	default/text_16/Makefile.in (1.2), default/text_16/visual.c (1.17),
	default/text_32/.cvsignore (1.2), default/text_32/Makefile.am
	(1.1), default/text_32/Makefile.in (1.2), default/text_32/visual.c
	(1.17), display/.cvsignore (1.3), display/Makefile.am (1.1),
	display/Makefile.in (1.2), display/X/.cvsignore (1.2),
	display/X/Makefile.am (1.1), display/X/Makefile.in (1.6),
	display/Xlib/.cvsignore (1.2), display/Xlib/Makefile.am (1.1),
	display/Xlib/Makefile.in (1.5), display/aa/.cvsignore (1.2),
	display/aa/Makefile.am (1.1), display/aa/Makefile.in (1.4),
	display/fbdev/.cvsignore (1.2), display/fbdev/Makefile.am (1.1),
	display/fbdev/Makefile.in (1.3), display/file/.cvsignore (1.2),
	display/file/Makefile.am (1.1), display/file/Makefile.in (1.3),
	display/glide/.cvsignore (1.2), display/glide/Makefile.am (1.1),
	display/glide/Makefile.in (1.5), display/kgi/.cvsignore (1.2),
	display/kgi/Makefile.am (1.1), display/mansync/.cvsignore (1.2),
	display/mansync/Makefile.am (1.1), display/mansync/Makefile.in
	(1.3), display/memory/.cvsignore (1.2), display/memory/Makefile.am
	(1.1), display/memory/Makefile.in (1.2),
	display/monotext/.cvsignore (1.2), display/monotext/Makefile.am
	(1.1), display/monotext/Makefile.in (1.5), display/multi/.cvsignore
	(1.2), display/multi/Makefile.am (1.1), display/multi/Makefile.in
	(1.3), display/palemu/.cvsignore (1.2), display/palemu/Makefile.am
	(1.1), display/palemu/Makefile.in (1.4), display/sub/.cvsignore
	(1.2), display/sub/Makefile.am (1.1), display/sub/Makefile.in
	(1.2), display/suidkgi/.cvsignore (1.2),
	display/suidkgi/Makefile.am (1.1), display/suidkgi/Makefile.in
	(1.5), display/svgalib/.cvsignore (1.2),
	display/svgalib/Makefile.am (1.1), display/svgalib/Makefile.in
	(1.4), display/tele/.cvsignore (1.3), display/tele/Makefile.am
	(1.1), display/tele/Makefile.in (1.2), display/terminfo/.cvsignore
	(1.2), display/terminfo/Makefile.am (1.1),
	display/terminfo/Makefile.in (1.3), display/tile/.cvsignore (1.2),
	display/tile/EXPSYMS (1.1), display/tile/Makefile.am (1.1),
	display/tile/Makefile.in (1.3), display/trueemu/.cvsignore (1.2),
	display/trueemu/Makefile.am (1.1), display/trueemu/Makefile.in
	(1.4), display/vcsa/.cvsignore (1.2), display/vcsa/Makefile.am
	(1.1), display/vcsa/Makefile.in (1.2), display/vcsa/color.c (1.3),
	display/vgagl/.cvsignore (1.2), display/vgagl/Makefile.am (1.1),
	display/vgagl/Makefile.in (1.3), display/xf86dga/.cvsignore (1.2),
	display/xf86dga/Makefile.am (1.1), display/xf86dga/Makefile.in
	(1.5), extensions/.cvsignore (1.2), extensions/Makefile.am (1.1),
	extensions/Makefile.in (1.2), extensions/misc/.cvsignore (1.5),
	extensions/misc/EXPSYMS (1.2), extensions/misc/Makefile.am (1.1),
	extensions/misc/Makefile.in (1.6), extensions/misc/init.c (1.11),
	extensions/misc/libggimisc.conf.in (1.1), extensions/misc/misc.h
	(1.3), extensions/misc/misc_int.h (1.5), extensions/misc/stubs.c
	(1.8), extensions/misc/demos/.cvsignore (1.2),
	extensions/misc/demos/Makefile.am (1.1),
	extensions/misc/demos/Makefile.in (1.2),
	extensions/misc/demos/misctest.c (1.7),
	extensions/misc/display/.cvsignore (1.2),
	extensions/misc/display/Makefile.am (1.1),
	extensions/misc/display/Makefile.in (1.2),
	extensions/misc/display/X/.cvsignore (1.2),
	extensions/misc/display/X/EXPSYMS (1.1),
	extensions/misc/display/X/Makefile.am (1.1),
	extensions/misc/display/X/Makefile.in (1.3),
	extensions/misc/display/X/crt.c (1.4),
	extensions/misc/display/X/init.c (1.6),
	extensions/misc/display/svgalib/.cvsignore (1.2),
	extensions/misc/display/svgalib/EXPSYMS (1.1),
	extensions/misc/display/svgalib/Makefile.am (1.1),
	extensions/misc/display/svgalib/Makefile.in (1.3),
	extensions/misc/ggimisc/EXPSYMS (1.1),
	extensions/misc/ggimisc/Makefile.am (1.1),
	extensions/misc/ggimisc/Makefile.in (1.1),
	extensions/misc/ggimisc/init.c (1.1),
	extensions/misc/ggimisc/misc.h (1.1),
	extensions/misc/ggimisc/misc_int.h (1.1),
	extensions/misc/ggimisc/stubs.c (1.1), extensions/test/.cvsignore
	(1.3), extensions/test/Makefile.am (1.1),
	extensions/test/Makefile.in (1.4), ggi/EXPSYMS (1.1),
	ggi/Makefile.am (1.1), ggi/Makefile.in (1.1), ggi/db.c (1.1),
	ggi/dl.c (1.1), ggi/events.c (1.1), ggi/gc.c (1.1), ggi/init.c
	(1.1), ggi/internal.c (1.1), ggi/mode.c (1.1), ggi/stubs.c (1.1),
	ggi/visual.c (1.1), include/Makefile.am (1.1), include/Makefile.in
	(1.1), include/ggi/.cvsignore (1.2), include/ggi/Makefile.am (1.1),
	include/ggi/Makefile.in (1.1), include/ggi/internal/Makefile.am
	(1.1), include/ggi/internal/Makefile.in (1.1),
	include/ggi/internal/internal.h (1.19): Moved to automake/libtool

1998-12-08 23:42  Marcus Sundberg [marcus@ggi-project.org]

	* init.c (1.43): Cleaned up ggiClose() a bit

1998-12-08 22:39  Andreas Beck [becka@ggi-project.org]

	* GOALS (1.26): Updated GOALS. Heading for release ...

1998-12-08 22:34  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.40): Removed check for dlopen

1998-12-05 12:50  Andreas Beck [becka@ggi-project.org]

	* .cvsignore (1.7), default/ioctl/.cvsignore (1.1),
	default/ramdac/.cvsignore (1.1): added some .cvsignores

1998-12-04 22:34  Andreas Beck [becka@ggi-project.org]

	* configure.in (1.39), default/ioctl/box.c (1.11),
	default/ioctl/copybox.c (1.9), default/ioctl/ioctllib.h (1.1),
	default/ioctl/line.c (1.10), default/ioctl/visual.c (1.11),
	default/linmm_banked/hline.c (1.10), default/linmm_banked/pixel.c
	(1.10), default/linmm_banked/visual.c (1.14),
	default/linmm_banked/vline.c (1.9), display/suidkgi/mode.c (1.16),
	display/suidkgi/suidbridge.c (1.7), display/suidkgi/visual.c
	(1.19), extensions/misc/Makefile.in (1.5),
	extensions/misc/display/svgalib/Makefile.in (1.2): Some fixes as
	described by Debian maintainer.  Suidkgi updated.

1998-12-03 23:52  Andreas Beck [becka@ggi-project.org]

	* configure (1.35), configure.in (1.38), default/ioctl/box.c
	(1.10), default/ioctl/copybox.c (1.8), default/ioctl/line.c (1.9),
	default/ioctl/visual.c (1.10), default/linmm_banked/visual.c
	(1.13), default/ramdac/Makefile.in (1.2), default/ramdac/color.c
	(1.13), default/ramdac/visual.c (1.13), display/suidkgi/Makefile.in
	(1.4), display/suidkgi/mode.c (1.15), display/suidkgi/visual.c
	(1.18): Suidkgi target.

1998-12-03 19:48  Andreas Beck [becka@ggi-project.org]

	* GOALS (1.25): Updated GOALS.

1998-12-03 00:15  Andreas Beck [becka@ggi-project.org]

	* GOALS (1.24), Makefile.in (1.17): Added dlopen pthread locking. 
	Updated a few demos.  Fixed some compilation warnings Added make
	test

1998-12-01 23:46  Andreas Beck [becka@ggi-project.org]

	* GOALS (1.23): Updated speed.c. Made recursive configure for /lib

1998-11-29 02:33  Andrew Apted [andrew@ggi-project.org]

	* display/fbdev/mode.c (1.48): Removed the code in checkmode which
	limited frames to 1.

1998-11-28 03:56  Marcus Sundberg [marcus@ggi-project.org]

	* GOALS (1.22): Update

1998-11-28 03:53  Marcus Sundberg [marcus@ggi-project.org]

	* configure (1.34): Update

1998-11-28 02:56  Andrew Apted [andrew@ggi-project.org]

	* GOALS (1.21): Updated.

1998-11-28 02:40  Andrew Apted [andrew@ggi-project.org]

	* configure.in (1.37): Display-tele is no longer one of the
	`shunned ones' ;).

1998-11-28 02:38  Andrew Apted [andrew@ggi-project.org]

	* display/tele/: Makefile.server (1.3), events.c (1.14), libtele.h
	(1.6), mode.c (1.9), telehook.h (1.7), teleserver.c (1.7), visual.c
	(1.11): Moved over to GII.

1998-11-27 22:40  Andrew Apted [andrew@ggi-project.org]

	* display/: fbdev/fbdev.h (1.22), fbdev/mode.c (1.47),
	fbdev/visual.c (1.38), vcsa/vcsahook.h (1.5), vcsa/visual.c (1.6):
	Added -nokbd and -nomouse options (and -noinput to vcsa).

1998-11-27 03:54  Marcus Sundberg [marcus@ggi-project.org]

	* visual.c (1.29): Removed references to SELECT_FD and EVMASK

1998-11-27 02:06  Steve Cheng [steve@ggi-project.org]

	* doc/README (1.3): Installation doc. (from libggi.sgml.)

1998-11-26 03:27  Marcus Sundberg [marcus@ggi-project.org]

	* events.c (1.15): Removed old LibGGI event stuff.

1998-11-26 03:22  Marcus Sundberg [marcus@ggi-project.org]

	* display/: multi/events.c (1.7), tile/events.c (1.8): Removed
	unused files

1998-11-26 03:18  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/: dltypes.h (1.7), internal.h (1.18),
	structs.h (1.19): Removed old LibGGI event system and restructured
	struct ggi_visual

1998-11-26 03:17  Marcus Sundberg [marcus@ggi-project.org]

	* configure (1.33), configure.in (1.36): Disabled tele and terminfo
	targets until they are converted to GII

1998-11-26 03:17  Marcus Sundberg [marcus@ggi-project.org]

	* init.c (1.42): Add input-null to visuals that doesn't have any
	other inputs (for sendevent)

1998-11-26 03:14  Marcus Sundberg [marcus@ggi-project.org]

	* display/monotext/monotext.h (1.13): Removed old LibGGI event
	system

1998-11-26 03:13  Marcus Sundberg [marcus@ggi-project.org]

	* display/: fbdev/fbdev.h (1.21), fbdev/visual.c (1.37),
	multi/Makefile.in (1.2), multi/multi_defs.h (1.8), palemu/palemu.h
	(1.12), sub/SubVisual.h (1.7), sub/mode.c (1.15), sub/stubs.c
	(1.12), sub/subtarget.h (1.3), sub/visual.c (1.18),
	trueemu/trueemu.h (1.16), X/visual.c (1.40), Xlib/visual.c (1.24),
	multi/visual.c (1.23), suidkgi/visual.c (1.17), tele/events.c
	(1.13), tele/libtele.h (1.5), tele/teleserver.c (1.6),
	tile/Makefile.in (1.2), tile/tilevisual.h (1.17), tile/visual.c
	(1.34): Removed old LibGGI event system.

1998-11-26 00:58  Marcus Sundberg [marcus@ggi-project.org]

	* display/terminfo/events.c (1.20): Changed GIIK_Remove ->
	GIIK_Delete

1998-11-25 20:34  Marcus Sundberg [marcus@ggi-project.org]

	* doc/docbook/README.first (1.2): Minor update

1998-11-25 20:32  Marcus Sundberg [marcus@ggi-project.org]

	* doc/env.txt (1.1): Added description of env variables

1998-11-25 19:14  Marcus Sundberg [marcus@ggi-project.org]

	* init.c (1.41): Fix portability - 0 != '\0'

1998-11-25 19:13  Marcus Sundberg [marcus@ggi-project.org]

	* display/glide/visual.c (1.23): Only try to open linux-mouse if
	we're running on the console.

1998-11-25 19:09  Marcus Sundberg [marcus@ggi-project.org]

	* doc/: REQUIRED_SOFTWARE (1.2), targets.txt (1.3): Some updates

1998-11-25 19:08  Marcus Sundberg [marcus@ggi-project.org]

	* TODO (1.4), doc/README (1.2), doc/TODO (1.2): Removed ancient
	files.

1998-11-25 02:27  Marcus Sundberg [marcus@ggi-project.org]

	* display/: X/Xvisual.h (1.21), Xlib/Xvisual.h (1.13),
	monotext/monotext.h (1.12), palemu/palemu.h (1.11),
	svgalib/vgavisual.h (1.12), trueemu/trueemu.h (1.15),
	xf86dga/Xvisual.h (1.19): Cleaned out old event junk

1998-11-25 02:22  Marcus Sundberg [marcus@ggi-project.org]

	* display/: fbdev/visual.c (1.36), glide/visual.c (1.22),
	svgalib/visual.c (1.26), vcsa/visual.c (1.5): Try to add
	'linux-mouse:file' inputlib if possible

1998-11-25 02:08  Marcus Sundberg [marcus@ggi-project.org]

	* display/aa/: aavisual.h (1.18), events.c (1.17): Events cleanup

1998-11-25 02:05  Marcus Sundberg [marcus@ggi-project.org]

	* GOALS (1.20): Update

1998-11-25 02:02  Marcus Sundberg [marcus@ggi-project.org]

	* display/xf86dga/mode.c (1.32): Removed XF86DGADirectKeyb in order
	for autorepeat to work correct

1998-11-24 19:14  Marcus Sundberg [marcus@ggi-project.org]

	* GOALS (1.19): Update

1998-11-24 18:54  Marcus Sundberg [marcus@ggi-project.org]

	* events.c (1.14): Fixed a bug in ggiJoinInputs()

1998-11-24 18:53  Marcus Sundberg [marcus@ggi-project.org]

	* display/: palemu/visual.c (1.23), trueemu/visual.c (1.31),
	xf86dga/visual.c (1.30): Don't mess with vis->*fd without reason

1998-11-24 18:33  Marcus Sundberg [marcus@ggi-project.org]

	* display/xf86dga/: Makefile.in (1.4), Xvisual.h (1.18), events.c
	(1.10), mode.c (1.31), visual.c (1.29): Updated DGA target to use
	xwin inputlib

1998-11-23 23:16  Marcus Sundberg [marcus@ggi-project.org]

	* extensions/misc/Makefile.in (1.4): Fixed linking flags

1998-11-23 23:16  Marcus Sundberg [marcus@ggi-project.org]

	* mode.c (1.34): Fixed a few warnings

1998-11-23 23:15  Marcus Sundberg [marcus@ggi-project.org]

	* Makefile.in (1.16), Makerules.in (1.14), configure (1.32),
	configure.in (1.35): Added --with-gii flag

1998-11-23 04:40  Steve Cheng [steve@ggi-project.org]

	* doc/docbook/libggi.sgml (1.4): Formatting cleanups.

1998-11-23 04:20  Steve Cheng [steve@ggi-project.org]

	* GOALS (1.18): Updated manpage status

1998-11-23 04:13  Steve Cheng [steve@ggi-project.org]

	* doc/man/: ggiCopyBox.3ggi (1.2), ggiCrossBlit.3ggi (1.2),
	ggiDBGetBuffer.3ggi (1.2), ggiDrawBox.3ggi (1.2), ggiDrawHLine.3ggi
	(1.2), ggiDrawLine.3ggi (1.2), ggiDrawPixel.3ggi (1.2),
	ggiDrawVLine.3ggi (1.2), ggiFillscreen.3ggi (1.2), ggiFlush.3ggi
	(1.2), ggiGetPixelFormat.3ggi (1.2), ggiGetSelectFD.3ggi (1.2),
	ggiInit.3ggi (1.2), ggiMapColor.3ggi (1.2), ggiOpen.3ggi (1.2),
	ggiPanic.3ggi (1.2), ggiParseMode.3ggi (1.2), ggiPrintMode.3ggi
	(1.2), ggiSetDisplayFrame.3ggi (1.2), ggiSetFlags.3ggi (1.2),
	ggiSetGCClipping.3ggi (1.2), ggiSetGCForeground.3ggi (1.2),
	ggiSetGamma.3ggi (1.2), ggiSetGraphMode.3ggi (1.2), ggiSetMode.3ggi
	(1.2), ggiSetOrigin.3ggi (1.2), ggiSetPalette.3ggi (1.2): Some
	minor changes.	I'm still searching for a good solution for
	docbook-to-man conversion, so bigger changes are on hold for now.

1998-11-23 02:56  Marcus Sundberg [marcus@ggi-project.org]

	* display/: X/Xvisual.h (1.20), X/visual.c (1.39), Xlib/Xvisual.h
	(1.12), Xlib/visual.c (1.23): Use xwin inputlib

1998-11-23 02:55  Marcus Sundberg [marcus@ggi-project.org]

	* display/aa/giievents.c (1.3): Removed unused variable

1998-11-23 02:54  Marcus Sundberg [marcus@ggi-project.org]

	* init.c (1.40): Don't try to attach input sources to a NULL
	visual.

1998-11-23 02:53  Marcus Sundberg [marcus@ggi-project.org]

	* dl.c (1.28): Changed ggLoadModule to ggMLoadModule

1998-11-22 16:04  Andreas Beck [becka@ggi-project.org]

	* display/memory/visual.c (1.19): Added flags to gii_input.
	HASPOLLED.

1998-11-21 21:35  Andreas Beck [becka@ggi-project.org]

	* dl.c (1.27), include/ggi/internal/structs.h (1.18): Added
	Mentalguys generic loading patch.

1998-11-21 19:46  Andreas Beck [becka@ggi-project.org]

	* display/: X/Xvisual.h (1.19), X/visual.c (1.38), Xlib/Xvisual.h
	(1.11), Xlib/visual.c (1.22): Added Wouter's X keyrepeat code.

1998-11-20 20:07  Andreas Beck [becka@ggi-project.org]

	* GOALS (1.17): GOALS updated.

1998-11-20 13:52  Andrew Apted [andrew@ggi-project.org]

	* display/fbdev/: fbdev.h (1.20), mode.c (1.46), pan.c (1.17),
	visual.c (1.35): Implemented a `-noinput' option so that
	display-fbdev can be run via telnet.  Fixed the checkmode algorithm
	when scheme == GT_AUTO to work better.	Added some code to handle
	xpanstep,ypanstep,ywrapstep being 0 and to take (I hope) the
	appropriate action; also removed the #ifdef VESAFB_NOT_BROKEN
	thingies.

1998-11-20 13:47  Andrew Apted [andrew@ggi-project.org]

	* GOALS (1.16): Updated.

1998-11-19 02:37  Marcus Sundberg [marcus@ggi-project.org]

	* default/color/color.h (1.3), default/kgi/genkgi.h (1.2),
	default/linear_4/lin4lib.h (1.2), default/linear_8/lin8lib.h (1.2),
	default/linmm_banked/linmm_banked.h (1.3), default/stubs/stublib.h
	(1.2), display/X/Xvisual.h (1.18), display/Xlib/Xvisual.h (1.10),
	display/aa/aavisual.h (1.17), display/common/evqueue.inc (1.13),
	display/common/ggi-auto.inc (1.3), display/common/gt-auto.inc
	(1.3), display/common/modelist.h (1.4), display/common/modelist.inc
	(1.6), display/common/pixfmt-setup.inc (1.7), display/fbdev/fbdev.h
	(1.19), display/file/filehook.h (1.6), display/glide/glidevisual.h
	(1.14), display/mansync/mansync.h (1.7), display/memory/memvisual.h
	(1.7), display/monotext/font_data.h (1.2),
	display/monotext/monotext.h (1.11), display/multi/multi_defs.h
	(1.7), display/palemu/palemu.h (1.10), display/sub/SubVisual.h
	(1.6), display/sub/subtarget.h (1.2), display/suidkgi/suidhook.h
	(1.4), display/svgalib/vgavisual.h (1.11), display/tele/libtele.c
	(1.4), display/tele/libtele.h (1.4), display/tele/telehook.h (1.6),
	display/terminfo/TIvisual.h (1.11), display/tile/tilevisual.h
	(1.16), display/trueemu/trueemu.h (1.14), display/vcsa/vcsahook.h
	(1.4), display/vgagl/vgaglvis.h (1.4), display/xf86dga/Xvisual.h
	(1.17), extensions/misc/display/svgalib/svgamisc.h (1.3),
	include/ggi/ggi.h (1.31), include/ggi/ggi_ext.h (1.2),
	include/ggi/types.h (1.6), include/ggi/internal/debug.h (1.5),
	include/ggi/internal/dlprotos.h (1.4),
	include/ggi/internal/dltypes.h (1.6),
	include/ggi/internal/internal.h (1.17), include/ggi/internal/plat.h
	(1.4), include/ggi/internal/structs.h (1.17), scripts/configure
	(1.19): License change

1998-11-19 02:35  Marcus Sundberg [marcus@ggi-project.org]

	* missing (1.2): This stupid program was GPLed. Replace with a
	non-GPLed variant.

1998-11-19 02:06  Marcus Sundberg [marcus@ggi-project.org]

	* db.c (1.18), dl.c (1.26), events.c (1.13), gc.c (1.9), init.c
	(1.39), mode.c (1.33), patchlib.c (1.3), stubs.c (1.29), visual.c
	(1.28), default/color/color.c (1.7), default/color/gamma.c (1.6),
	default/color/pack.c (1.6), default/color/visual.c (1.9),
	default/common/clip.c (1.6), default/common/frames.c (1.6),
	default/common/linear-line.c (1.10), default/common/match-color.c
	(1.5), default/common/visual.c (1.10), default/ilbm/pixel.c (1.4),
	default/ilbm/visual.c (1.6), default/ioctl/box.c (1.9),
	default/ioctl/copybox.c (1.7), default/ioctl/line.c (1.8),
	default/ioctl/visual.c (1.9), default/iplanar_2p/pixel.c (1.5),
	default/iplanar_2p/visual.c (1.6), default/kgi/box.c (1.2),
	default/kgi/copybox.c (1.2), default/kgi/line.c (1.2),
	default/kgi/visual.c (1.3), default/linear_1/color.c (1.8),
	default/linear_1/copybox.c (1.5), default/linear_1/fillscreen.c
	(1.8), default/linear_1/gtext.c (1.8), default/linear_1/hline.c
	(1.9), default/linear_1/pixel.c (1.10), default/linear_1/visual.c
	(1.15), default/linear_1/vline.c (1.9), default/linear_16/copybox.c
	(1.8), default/linear_16/crossblit.c (1.3),
	default/linear_16/fillscreen.c (1.9), default/linear_16/hline.c
	(1.8), default/linear_16/line.c (1.3), default/linear_16/pixel.c
	(1.9), default/linear_16/visual.c (1.16), default/linear_16/vline.c
	(1.9), default/linear_1_r/gtext.c (1.4), default/linear_1_r/pixel.c
	(1.5), default/linear_1_r/visual.c (1.6), default/linear_2/pixel.c
	(1.4), default/linear_2/visual.c (1.6), default/linear_24/copybox.c
	(1.8), default/linear_24/fillscreen.c (1.9),
	default/linear_24/hline.c (1.8), default/linear_24/pixel.c (1.9),
	default/linear_24/visual.c (1.13), default/linear_24/vline.c (1.9),
	default/linear_32/copybox.c (1.8), default/linear_32/crossblit.c
	(1.11), default/linear_32/fillscreen.c (1.9),
	default/linear_32/hline.c (1.8), default/linear_32/line.c (1.3),
	default/linear_32/pixel.c (1.9), default/linear_32/visual.c (1.17),
	default/linear_32/vline.c (1.9), default/linear_4/color.c (1.8),
	default/linear_4/copybox.c (1.8), default/linear_4/fillscreen.c
	(1.10), default/linear_4/hline.c (1.10), default/linear_4/pixel.c
	(1.10), default/linear_4/visual.c (1.14), default/linear_4/vline.c
	(1.10), default/linear_8/copybox.c (1.9),
	default/linear_8/fillscreen.c (1.10), default/linear_8/gtext.c
	(1.8), default/linear_8/hline.c (1.10), default/linear_8/line.c
	(1.4), default/linear_8/pixel.c (1.10), default/linear_8/visual.c
	(1.15), default/linear_8/vline.c (1.10),
	default/linmm_banked/hline.c (1.9), default/linmm_banked/pixel.c
	(1.9), default/linmm_banked/visual.c (1.12),
	default/linmm_banked/vline.c (1.8), default/planar/pixel.c (1.5),
	default/planar/visual.c (1.7), default/ramdac/color.c (1.12),
	default/ramdac/visual.c (1.12), default/stubs/box.c (1.12),
	default/stubs/copybox.c (1.9), default/stubs/crossblit.c (1.8),
	default/stubs/fillscreen.c (1.8), default/stubs/gtext.c (1.10),
	default/stubs/hline.c (1.11), default/stubs/line.c (1.10),
	default/stubs/pixel.c (1.7), default/stubs/visual.c (1.16),
	default/stubs/vline.c (1.12), default/text_16/color.c (1.11),
	default/text_16/gtext.c (1.10), default/text_16/pixel.c (1.10),
	default/text_16/visual.c (1.16), default/text_32/color.c (1.10),
	default/text_32/gtext.c (1.10), default/text_32/pixel.c (1.10),
	default/text_32/visual.c (1.16), display/X/color.c (1.7),
	display/X/mode.c (1.34), display/X/visual.c (1.37),
	display/Xlib/box.c (1.8), display/Xlib/color.c (1.7),
	display/Xlib/fillscreen.c (1.7), display/Xlib/gtext.c (1.8),
	display/Xlib/hline.c (1.8), display/Xlib/line.c (1.6),
	display/Xlib/mode.c (1.16), display/Xlib/pixel.c (1.11),
	display/Xlib/visual.c (1.21), display/Xlib/vline.c (1.8),
	display/aa/color.c (1.12), display/aa/events.c (1.16),
	display/aa/giievents.c (1.2), display/aa/mode.c (1.27),
	display/aa/visual.c (1.29), display/fbdev/color.c (1.15),
	display/fbdev/mode.c (1.45), display/fbdev/pan.c (1.16),
	display/fbdev/visual.c (1.34), display/file/fileio.c (1.2),
	display/file/mode.c (1.10), display/file/ppm.c (1.2),
	display/file/visual.c (1.7), display/glide/box.c (1.5),
	display/glide/fb.c (1.4), display/glide/gtext.c (1.2),
	display/glide/line.c (1.5), display/glide/mode.c (1.22),
	display/glide/pixel.c (1.5), display/glide/visual.c (1.21),
	display/kgi/events.c (1.7), display/kgi/mode.c (1.12),
	display/kgi/visual.c (1.13), display/mansync/alarm.c (1.5),
	display/mansync/child.c (1.9), display/mansync/mansync.c (1.2),
	display/mansync/pthread.c (1.8), display/mansync/visual.c (1.6),
	display/memory/mode.c (1.24), display/memory/visual.c (1.18),
	display/monotext/color.c (1.17), display/monotext/draw.c (1.17),
	display/monotext/mode.c (1.27), display/monotext/monotext.c (1.18),
	display/monotext/text.c (1.14), display/monotext/visual.c (1.24),
	display/multi/events.c (1.6), display/multi/mode.c (1.14),
	display/multi/stubs.c (1.15), display/multi/visual.c (1.22),
	display/palemu/color.c (1.11), display/palemu/draw.c (1.7),
	display/palemu/frames.c (1.3), display/palemu/mode.c (1.19),
	display/palemu/palemu.c (1.10), display/palemu/text.c (1.8),
	display/palemu/visual.c (1.22), display/sub/mode.c (1.14),
	display/sub/stubs.c (1.11), display/sub/visual.c (1.17),
	display/suidkgi/mode.c (1.14), display/suidkgi/suidbridge.c (1.6),
	display/suidkgi/visual.c (1.16), display/svgalib/box.c (1.9),
	display/svgalib/color.c (1.11), display/svgalib/hline.c (1.11),
	display/svgalib/mode.c (1.29), display/svgalib/pixel.c (1.10),
	display/svgalib/visual.c (1.25), display/svgalib/vline.c (1.9),
	display/tele/box.c (1.5), display/tele/color.c (1.6),
	display/tele/draw.c (1.5), display/tele/events.c (1.12),
	display/tele/mode.c (1.8), display/tele/teleserver.c (1.5),
	display/tele/text.c (1.5), display/tele/visual.c (1.10),
	display/terminfo/color.c (1.17), display/terminfo/events.c (1.19),
	display/terminfo/mode.c (1.22), display/terminfo/visual.c (1.18),
	display/tile/color.c (1.8), display/tile/events.c (1.7),
	display/tile/frames.c (1.5), display/tile/line.c (1.4),
	display/tile/mode.c (1.39), display/tile/stubs.c (1.12),
	display/tile/visual.c (1.33), display/trueemu/blit24.c (1.8),
	display/trueemu/blit32.c (1.8), display/trueemu/frames.c (1.2),
	display/trueemu/genblit.c (1.5), display/trueemu/mode.c (1.29),
	display/trueemu/stubs.c (1.16), display/trueemu/trueemu.c (1.18),
	display/trueemu/visual.c (1.30), display/vcsa/color.c (1.2),
	display/vcsa/draw.c (1.3), display/vcsa/mode.c (1.4),
	display/vcsa/visual.c (1.4), display/vgagl/box.c (1.9),
	display/vgagl/copybox.c (1.9), display/vgagl/fillscreen.c (1.7),
	display/vgagl/hline.c (1.10), display/vgagl/pixel.c (1.10),
	display/vgagl/visual.c (1.11), display/vgagl/vline.c (1.10),
	display/xf86dga/color.c (1.11), display/xf86dga/events.c (1.9),
	display/xf86dga/mode.c (1.30), display/xf86dga/visual.c (1.28),
	extensions/misc/init.c (1.10), extensions/misc/stubs.c (1.7),
	extensions/misc/demos/misctest.c (1.6),
	extensions/misc/display/X/crt.c (1.3),
	extensions/misc/display/X/init.c (1.5),
	extensions/misc/display/svgalib/mode.c (1.8),
	extensions/misc/display/svgalib/visual.c (1.8),
	extensions/test/exttest1.c (1.6), extensions/test/test1.c (1.9),
	extensions/test/test2.c (1.9): License change

1998-11-19 00:04  Andreas Beck [becka@ggi-project.org]

	* configure (1.31), configure.in (1.34): Fixed small bug in
	configure. Better default for mouse filter.

1998-11-17 22:50  Andreas Beck [becka@ggi-project.org]

	* display/suidkgi/mode.c (1.13), display/suidkgi/visual.c (1.15),
	doc/docbook/libggi.sgml (1.3): Lib sgml updated suidkgi changes ...

1998-11-17 07:28  Andrew Apted [andrew@ggi-project.org]

	* display/: monotext/visual.c (1.23), multi/visual.c (1.21),
	palemu/visual.c (1.21), tile/visual.c (1.32), trueemu/visual.c
	(1.29): Updated to use ggiOpen("auto") instead of ggiOpen(NULL).

1998-11-16 23:36  Marcus Sundberg [marcus@ggi-project.org]

	* configure (1.30), configure.in (1.33): Added required check for
	vcsa target

1998-11-16 21:36  Andreas Beck [becka@ggi-project.org]

	* GOALS (1.15), display/suidkgi/mode.c (1.12),
	display/suidkgi/suidhook.h (1.3), display/suidkgi/visual.c (1.14):
	Small suidkgi fixes

1998-11-15 21:57  Marcus Sundberg [marcus@ggi-project.org]

	* dl.c (1.25): No reason to call _ggiZapDL with a NULL pointer.

1998-11-15 21:19  Steve Cheng [steve@ggi-project.org]

	* display/svgalib/visual.c (1.24): Minor code cleanups

1998-11-15 17:28  Andreas Beck [becka@ggi-project.org]

	* display/vcsa/.cvsignore (1.1), extensions/misc/.cvsignore (1.4):
	cvsignore fixes.

1998-11-15 14:45  Andreas Beck [becka@ggi-project.org]

	* default/kgi/.cvsignore (1.1), display/suidkgi/clut.inc (1.1),
	display/suidkgi/font.inc (1.1), display/suidkgi/ibm-cp437.08x08.inc
	(1.1), display/suidkgi/ibm-cp437.08x14.inc (1.1),
	display/suidkgi/ibm-cp437.09x16.inc (1.1),
	display/suidkgi/ibm-cp437.inc (1.1): A few extra files for suidkgi
	and some .cvsignore fixes.

1998-11-15 14:38  Andreas Beck [becka@ggi-project.org]

	* GOALS (1.14), configure (1.29), configure.in (1.32), init.c
	(1.38), display/suidkgi/Makefile.in (1.3), display/suidkgi/mode.c
	(1.11), display/suidkgi/suidbridge.c (1.5),
	display/suidkgi/suidhook.h (1.2), display/suidkgi/visual.c (1.13):
	auto hack. suidbridge compiles.

1998-11-14 23:19  Andreas Beck [becka@ggi-project.org]

	* init.c (1.37): Slight fixes to GII. Added GGI_FILTER*. Changed
	GGI_INPUT to GGI-INPUT*

1998-11-13 21:58  Stefan Mars [mars@lysator.liu.se]

	* configure (1.28), configure.in (1.31): Made sure the vgagl target
	can be disabled. Regenerated configure script

1998-11-12 00:43  Andreas Beck [becka@ggi-project.org]

	* configure (1.27): Some input fixes.

1998-11-12 00:29  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.30), configure (1.26): Added demos/monitest

1998-11-11 18:11  Jason McMullan [jmcc@ggi-project.org]

	* configure.in (1.29): Added demos/monitest/Makefile

1998-11-11 09:08  Andrew Apted [andrew@ggi-project.org]

	* GOALS (1.13): Updated.

1998-11-11 09:04  Andrew Apted [andrew@ggi-project.org]

	* display/svgalib/events.c (1.24): Removed. LibGII ate it - yum
	yum.

1998-11-11 08:56  Andrew Apted [andrew@ggi-project.org]

	* display/svgalib/: BUGS (1.2), Makefile.in (1.3), vgavisual.h
	(1.10), visual.c (1.23): Updated the svgalib target to use LibGII
	and input-linux-kbd (instead of the old way: using svgalib's own
	keyboard and mouse handlers).

1998-11-11 01:49  Andreas Beck [becka@ggi-project.org]

	* display/: aa/events.c (1.15), svgalib/events.c (1.23): Big bunch
	of mouse fixes and such ...

1998-11-11 01:23  Marcus Sundberg [marcus@ggi-project.org]

	* display/terminfo/events.c (1.18): Keeping up with the mouse
	button changes

1998-11-10 23:47  Marcus Sundberg [marcus@ggi-project.org]

	* display/X/visual.c (1.36): Added DPRINT when the cleanup function
	finishes

1998-11-10 23:46  Marcus Sundberg [marcus@ggi-project.org]

	* dl.c (1.24), visual.c (1.27): Fixed a bunch of unitialized
	pointers

1998-11-10 23:41  Marcus Sundberg [marcus@ggi-project.org]

	* GOALS (1.12): Update

1998-11-10 22:51  Andreas Beck [becka@ggi-project.org]

	* GOALS (1.11): Clarified mouse button mapping.

1998-11-10 20:05  Marcus Sundberg [marcus@ggi-project.org]

	* display/glide/: glidevisual.h (1.13), mode.c (1.21), visual.c
	(1.20): Use input-x if running from X

1998-11-10 20:04  Marcus Sundberg [marcus@ggi-project.org]

	* visual.c (1.26), display/palemu/visual.c (1.20),
	display/trueemu/visual.c (1.28): Added giiClose() call to
	_ggiDestroyVisual()

1998-11-10 20:02  Marcus Sundberg [marcus@ggi-project.org]

	* init.c (1.36): Fixed ancient comment

1998-11-10 13:01  Andrew Apted [andrew@ggi-project.org]

	* display/suidkgi/suidbridge.c (1.4): Removed the `extern
	_suidtarget_dev_mem' decl.

1998-11-10 12:56  Andrew Apted [andrew@ggi-project.org]

	* display/suidkgi/: Makefile.in (1.2), suidhook.h (1.1), mode.c
	(1.10), visual.c (1.12): Creaded suidhook.h, and moved most of the
	`extern' thingies into it (the LIBGGI_PRIVATE structure).  Renamed
	GGIsetmode to GGI_suidkgi_setmode (etc).  Added the GII support in
	visual.c (the old way using events.c kbd.c mouse.c files have been
	removed).  Made it use Linux_common/vtswitch.c code (the
	./vtswitch.c file removed as well).

1998-11-10 12:47  Andrew Apted [andrew@ggi-project.org]

	* display/suidkgi/: vtswitch.c (1.8), kbd.c (1.10), mouse.c (1.6),
	events.c (1.4): Removed. GII now.

1998-11-09 03:02  Marcus Sundberg [marcus@ggi-project.org]

	* display/aa/events.c (1.14): Updated for new event system

1998-11-09 03:02  Marcus Sundberg [marcus@ggi-project.org]

	* dl.c (1.23): Finally added code to use dlerror() when failing to
	open a library...

1998-11-09 02:59  Marcus Sundberg [marcus@ggi-project.org]

	* display/trueemu/trueemu.c (1.17): Comment out unused code

1998-11-09 02:42  Marcus Sundberg [marcus@ggi-project.org]

	* display/glide/: glidevisual.h (1.12), visual.c (1.19): Fixed to
	work again

1998-11-09 02:41  Marcus Sundberg [marcus@ggi-project.org]

	* display/fbdev/pan.c (1.15): Removed unused variable

1998-11-08 21:30  Steve Cheng [steve@ggi-project.org]

	* display/aa/: Makefile.in (1.3), giievents.c (1.1), aavisual.h
	(1.16), visual.c (1.28): GII input code for display-aa

1998-11-08 17:36  Andreas Beck [becka@ggi-project.org]

	* GOALS (1.10): Started suidkgi bridge again ...

1998-11-08 08:53  Andrew Apted [andrew@ggi-project.org]

	* display/: glide/Makefile.in (1.4), glide/events.c (1.12),
	monotext/Makefile.in (1.4), monotext/events.c (1.15),
	monotext/visual.c (1.22), palemu/Makefile.in (1.3), palemu/visual.c
	(1.19), palemu/events.c (1.12), trueemu/Makefile.in (1.3),
	trueemu/trueemu.c (1.16), trueemu/visual.c (1.27), trueemu/events.c
	(1.19): Moved completely to LibGII for events.	The old `events.c'
	files have been removed.

1998-11-08 08:46  Andrew Apted [andrew@ggi-project.org]

	* display/glide/: glidevisual.h (1.11), mode.c (1.20), visual.c
	(1.18): Changed over to GII, and most likely broke it.

1998-11-08 05:54  Andrew Apted [andrew@ggi-project.org]

	* display/fbdev/events.c (1.15): Removed (functionality now done
	via LibGII).

1998-11-08 05:52  Andrew Apted [andrew@ggi-project.org]

	* GOALS (1.9): Updated.

1998-11-08 05:37  Andrew Apted [andrew@ggi-project.org]

	* display/fbdev/visual.c (1.33): Added the evExpose code from
	events.c.

1998-11-07 19:45  Andreas Beck [becka@ggi-project.org]

	* GOALS (1.8): Some improvements to speed.c ...

1998-11-07 15:17  Andreas Beck [becka@ggi-project.org]

	* display/: aa/events.c (1.13), fbdev/events.c (1.14),
	suidkgi/kbd.c (1.9), suidkgi/mouse.c (1.5): Fixes due to GII_
	prefix addition.

1998-11-05 08:14  Andrew Apted [andrew@ggi-project.org]

	* mode.c (1.32): Improved the mode-string parsing code to:
	
	a) allow parts to be in any order.  b) allow e.g. 1024x768x16 as an
	alternative to 1024x768[16].  c) allow e.g. 640x400p8 as an
	alternative to 640x400[p8].  d) allow dots (`.') between parts.  e)
	allow an initial 'S' for the visible part (e.g. "S320x200x8").	f)
	the '#' has become a 'V' (although '#' still accepted).
	
	Also improved the mode-string display code to omit parts that are
	fully GGI_AUTO / GT_AUTO, and put a dot (`.') between parts.

1998-11-05 02:38  Andrew Apted [andrew@ggi-project.org]

	* display/: palemu/visual.c (1.18), trueemu/visual.c (1.26): Added
	giiClose() to the GGIdlcleanup functions.

1998-11-05 00:57  Marcus Sundberg [marcus@ggi-project.org]

	* display/terminfo/: TIvisual.h (1.10), color.c (1.16), events.c
	(1.17), mode.c (1.21), visual.c (1.17): Changed Mentalguy's name
	and email

1998-11-04 01:10  Andreas Beck [becka@ggi-project.org]

	* display/: svgalib/events.c (1.22), tele/events.c (1.11),
	terminfo/events.c (1.16): O.K. - I broke it, so I fix it ... Sorry.

1998-11-03 21:08  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/ggi.h (1.30): Removed broken typedef

1998-11-03 20:45  Marcus Sundberg [marcus@ggi-project.org]

	* display/svgalib/visual.c (1.22): Reenabled the check for our
	SVGAlib wrapper

1998-11-03 20:44  Marcus Sundberg [marcus@ggi-project.org]

	* init.c (1.35): Changed GGI_UNKNOWN to GGI_EUNKNOWN

1998-11-03 13:26  Hartmut Niemann [niemann@cip.e-technik.uni-erlangen.de]

	* init.c (1.34): replaced GGI_UNKNOWN by -42 and added a #warning

1998-11-03 12:41  Andrew Apted [andrew@ggi-project.org]

	* display/vcsa/: draw.c (1.2), mode.c (1.3), vcsahook.h (1.3),
	visual.c (1.3): Added implementations for ggiPutHLine, ggiGetHLine,
	ggiDrawHLineNC, and ggiPuts, which really speeds things up.

1998-11-03 10:48  Hartmut Niemann [niemann@cip.e-technik.uni-erlangen.de]

	* init.c (1.33): Error message fix.

1998-11-02 03:31  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/: internal.h (1.16), structs.h (1.16): Moved
	mutex stuff to LibGG

1998-11-02 03:00  Marcus Sundberg [marcus@ggi-project.org]

	* display/: trueemu/trueemu.h (1.13), trueemu/visual.c (1.25),
	xf86dga/Xvisual.h (1.16), xf86dga/visual.c (1.27): Moved mutex
	stuff to LibGG

1998-11-02 02:57  Marcus Sundberg [marcus@ggi-project.org]

	* Makefile.in (1.15), Makerules.in (1.13), configure (1.25),
	configure.in (1.28), init.c (1.32), mode.c (1.31), visual.c (1.25),
	display/X/Xvisual.h (1.17), display/X/mode.c (1.33),
	display/X/visual.c (1.35), display/Xlib/Xvisual.h (1.9),
	display/Xlib/mode.c (1.15), display/Xlib/visual.c (1.20),
	display/aa/aavisual.h (1.15), display/aa/mode.c (1.26),
	display/aa/visual.c (1.27), display/palemu/mode.c (1.18),
	display/palemu/palemu.h (1.9), display/palemu/visual.c (1.17),
	display/terminfo/TIvisual.h (1.9), display/terminfo/visual.c
	(1.16), display/tile/mode.c (1.38), display/trueemu/mode.c (1.28):
	Moved mutex stuff to LibGG

1998-11-02 02:55  Marcus Sundberg [marcus@ggi-project.org]

	* dl.c (1.22): Fixed error message

1998-10-30 06:13  Andrew Apted [andrew@ggi-project.org]

	* display/trueemu/events.c (1.18): Fixed for the label `uppercase
	is now the done thang' thang.

1998-10-30 06:09  Andrew Apted [andrew@ggi-project.org]

	* display/fbdev/: Makefile.in (1.2), fbdev.h (1.18), mode.c (1.44),
	visual.c (1.32): Switched to using GII for keyboard input.

1998-10-30 06:08  Andrew Apted [andrew@ggi-project.org]

	* init.c (1.31): Implemented `GGI_INPUT' handling.

1998-10-29 22:36  Andreas Beck [becka@ggi-project.org]

	* extensions/: misc/init.c (1.9), misc/stubs.c (1.6),
	misc/demos/misctest.c (1.5), test/exttest1.c (1.5), test/test1.c
	(1.8), test/test2.c (1.8): Fixed some Legal issues, started GII
	device identification stuff.

1998-10-29 14:20  Marcus Sundberg [marcus@ggi-project.org]

	* default/kgi/visual.c (1.2): Fixed a bug with _ggi_genkgi_prividx

1998-10-29 12:58  Andrew Apted [andrew@ggi-project.org]

	* display/: fbdev/events.c (1.13), glide/events.c (1.11),
	svgalib/events.c (1.21), suidkgi/kbd.c (1.8): key_trans: Moved the
	translation of shift keys into translate_{sym,label} because it is
	different between the two.  Added a `shift' parameter to both of
	those routines -- it may be needed one day in the conversion of
	certain keys from linux -> gii.  Changed DONTWANT_TRANSLATE_SHIFT
	to WANT_TRANSLATE_SHIFT.

1998-10-29 12:52  Andrew Apted [andrew@ggi-project.org]

	* configure (1.24): Committing this version of configure which
	contains the `vcsa' target.

1998-10-29 02:56  Marcus Sundberg [marcus@ggi-project.org]

	* mode.c (1.30): Fixed broken error message

1998-10-29 02:55  Marcus Sundberg [marcus@ggi-project.org]

	* display/svgalib/events.c (1.20): Updated to use new
	key_trans.incCVS:
	-------------------------------------------------------------------
	---

1998-10-29 02:54  Marcus Sundberg [marcus@ggi-project.org]

	* display/: X/Makefile.in (1.5), X/events.c (1.10),
	Xlib/Makefile.in (1.4), Xlib/events.c (1.8): Fixed broken keyboard
	handling and removed unused events.c files

1998-10-29 00:59  Andreas Beck [becka@ggi-project.org]

	* GOALS (1.7): ARGH. Fixed a big bunch of stupid bugs ...

1998-10-28 06:24  Andrew Apted [andrew@ggi-project.org]

	* doc/: targets.txt (1.2), CREDITS (1.6): Added a couple of things.

1998-10-28 02:55  Andrew Apted [andrew@ggi-project.org]

	* display/vcsa/: mode.c (1.2), vcsahook.h (1.2), visual.c (1.2):
	Removed some // crud.

1998-10-27 12:58  Andrew Apted [andrew@ggi-project.org]

	* display/vcsa/: EXPSYMS (1.1), color.c (1.1), draw.c (1.1), mode.c
	(1.1), vcsahook.h (1.1), visual.c (1.1), Makefile.in (1.1): Initial
	check-in of the `vcsa' LibGGI target.

1998-10-27 12:48  Andrew Apted [andrew@ggi-project.org]

	* display/fbdev/mode.c (1.43): Temporary workaround for VESAFB bug
	-- limit # frames to 1.

1998-10-27 12:44  Andrew Apted [andrew@ggi-project.org]

	* configure.in (1.27): Added the `vcsa' target.

1998-10-27 01:30  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.26), configure (1.23): Added the genkgi driver

1998-10-26 13:49  Marcus Sundberg [marcus@ggi-project.org]

	* default/kgi/: EXPSYMS (1.1), Makefile.in (1.1), box.c (1.1),
	copybox.c (1.1), genkgi.h (1.1), line.c (1.1), visual.c (1.1):
	First version of generic KGI accel functions

1998-10-26 13:46  Marcus Sundberg [marcus@ggi-project.org]

	* dl.c (1.21): Unload lib if GGIdlinit() fails

1998-10-26 13:34  Marcus Sundberg [marcus@ggi-project.org]

	* display/fbdev/: fbdev.h (1.17), mode.c (1.42), visual.c (1.31):
	Added support for kgicon acceleration

1998-10-26 13:09  Marcus Sundberg [marcus@ggi-project.org]

	* display/aa/events.c (1.12): Fixed for new event scheme

1998-10-26 13:00  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/internal.h (1.15),
	include/ggi/internal/structs.h (1.15), visual.c (1.24): Introduced
	new scheme for driver private data

1998-10-26 12:40  Andrew Apted [andrew@ggi-project.org]

	* GOALS (1.6): Minor stuff.

1998-10-26 05:11  Andrew Apted [andrew@ggi-project.org]

	* display/aa/events.c (1.11), display/monotext/events.c (1.14),
	display/palemu/events.c (1.11), display/suidkgi/kbd.c (1.7),
	display/svgalib/events.c (1.19), display/tele/events.c (1.10),
	display/tele/teleserver.c (1.4), display/terminfo/events.c (1.15),
	display/trueemu/events.c (1.17), include/ggi/ggi.h (1.29): Another
	big keyboard.h change.	Moved the KT_FN things that were in-between
	F20 and F21 into KT_SPEC.  Moved KT_CUR into KT_SPEC too.  Removed
	all KT_DEAD, KT_ASCII, STICKY and LOCKED things.  Renamed all key
	defines to 'Mmmm' style.  Improved the modifier handling (removed
	the stupid left/right distinction for ev.key.sym and
	ev.key.effect).  Removed the `normal', `sticky' and `locked' fields
	from MODIFIER_DATA (LibGGI/GII can just fool the application with
	the appropriate events).  Removed some cruft from events.h that was
	never used.

1998-10-25 21:18  Marcus Sundberg [marcus@ggi-project.org]

	* extensions/misc/Makefile.in (1.3): Fixed "make clean"

1998-10-25 13:02  Marcus Sundberg [marcus@ggi-project.org]

	* display/: glide/mode.c (1.19), aa/events.c (1.10), aa/mode.c
	(1.25), aa/visual.c (1.26): Updated for new GGIinitdl function

1998-10-25 02:48  Andrew Apted [andrew@ggi-project.org]

	* display/fbdev/pan.c (1.14): Workaround for VESAFB bug -- remove
	it as soon as VESAFB is fixed !

1998-10-24 06:03  Marcus Sundberg [marcus@ggi-project.org]

	* Makefile.in (1.14), Makerules.in (1.12), conf.c (1.12),
	config.h.in (1.1), configure (1.22), configure.in (1.25), debug.c
	(1.13), dl.c (1.20), init.c (1.30), display/X/visual.c (1.34),
	display/Xlib/visual.c (1.19), display/common/parse-options.inc
	(1.6), display/common/parse-target.inc (1.6),
	display/fbdev/visual.c (1.30), display/glide/visual.c (1.17),
	display/memory/visual.c (1.17), display/monotext/visual.c (1.21),
	display/multi/visual.c (1.20), display/palemu/visual.c (1.16),
	display/tile/visual.c (1.31), display/trueemu/visual.c (1.24),
	include/ggi/config.h.in (1.13), include/ggi/errno.h (1.2),
	include/ggi/types.h (1.5), include/ggi/internal/debug.h (1.4),
	include/ggi/internal/ggi-dl.h (1.4),
	include/ggi/internal/internal.h (1.14), include/ggi/internal/plat.h
	(1.3): Added LibGG into the LibGII tree, and made LibGII and LibGGI
	use it Big cleanup of includes Made it possible to build LibGGI
	without installing LibGII

1998-10-24 04:00  Marcus Sundberg [marcus@ggi-project.org]

	* display/X/Makefile.in (1.4): Go away evil crap! That should be
	autoconfed!

1998-10-24 02:11  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.24): Quick fix for circular dependencies

1998-10-24 01:59  Marcus Sundberg [marcus@ggi-project.org]

	* configure (1.21), include/ggi/config.h.in (1.12): Quick fix to
	remove

1998-10-22 23:58  Andreas Beck [becka@ggi-project.org]

	* display/terminfo/events.c (1.14): Fixed Keysym usage to new
	scheme.

1998-10-21 23:52  Andreas Beck [becka@ggi-project.org]

	* display/memory/: memvisual.h (1.6), visual.c (1.16): Added
	shmdemo event backpath ... ugly but works ...  Fixed typo in
	libgii/gii.c

1998-10-19 22:21  Andreas Beck [becka@ggi-project.org]

	* dl.c (1.19), display/monotext/events.c (1.13),
	display/palemu/events.c (1.10), display/terminfo/events.c (1.13),
	display/trueemu/events.c (1.16), include/ggi/ggi.h (1.28),
	include/ggi/internal/structs.h (1.14): Namespace fixes ...

1998-10-19 04:08  Marcus Sundberg [marcus@ggi-project.org]

	* doc/man/: ggiClose.3GGI (1.2), ggiClose.3ggi (1.1), ggiExit.3GGI
	(1.2), ggiExit.3ggi (1.1), ggiInit.3GGI (1.3), ggiOpen.3GGI (1.3),
	ggiPanic.3GGI (1.2): Removed old man pages

1998-10-19 02:40  Steve Cheng [steve@ggi-project.org]

	* doc/docbook/: DocBook.cheatsheet (1.2), libggi.sgml (1.2): Some
	DocBook source cleanups...

1998-10-19 01:38  Steve Cheng [steve@ggi-project.org]

	* doc/: docbook/DOC-STYLE (1.1), docbook/DocBook.cheatsheet (1.1),
	docbook/README (1.1), docbook/README.first (1.1),
	docbook/libggi.sgml (1.1), man/ggiCopyBox.3ggi (1.1),
	man/ggiCrossBlit.3ggi (1.1), man/ggiDBGetBuffer.3ggi (1.1),
	man/ggiDrawBox.3ggi (1.1), man/ggiDrawHLine.3ggi (1.1),
	man/ggiDrawLine.3ggi (1.1), man/ggiDrawPixel.3ggi (1.1),
	man/ggiDrawVLine.3ggi (1.1), man/ggiFillscreen.3ggi (1.1),
	man/ggiFlush.3ggi (1.1), man/ggiGetPixelFormat.3ggi (1.1),
	man/ggiGetSelectFD.3ggi (1.1), man/ggiInit.3ggi (1.1),
	man/ggiMapColor.3ggi (1.1), man/ggiOpen.3ggi (1.1),
	man/ggiPanic.3ggi (1.1), man/ggiParseMode.3ggi (1.1),
	man/ggiPrintMode.3ggi (1.1), man/ggiSetDisplayFrame.3ggi (1.1),
	man/ggiSetFlags.3ggi (1.1), man/ggiSetGCClipping.3ggi (1.1),
	man/ggiSetGCForeground.3ggi (1.1), man/ggiSetGamma.3ggi (1.1),
	man/ggiSetGraphMode.3ggi (1.1), man/ggiSetMode.3ggi (1.1),
	man/ggiSetOrigin.3ggi (1.1), man/ggiSetPalette.3ggi (1.1):
	Committed preliminary version of DocBook libggi.sgml with
	auto-generated manpages.

1998-10-18 18:52  Andreas Beck [becka@ggi-project.org]

	* configure (1.20), configure.in (1.23): Minor configure changes

1998-10-18 18:49  Andreas Beck [becka@ggi-project.org]

	* include/ggi/: events.h (1.5), keyboard.h (1.2): Moved events.h,
	keyboard.h over to LibGII

1998-10-18 17:52  Andreas Beck [becka@ggi-project.org]

	* GOALS (1.5), Makefile.in (1.13), dl.c (1.18), init.c (1.29),
	stubs.c (1.28), default/color/visual.c (1.8),
	default/common/visual.c (1.9), default/ilbm/visual.c (1.5),
	default/ioctl/visual.c (1.8), default/iplanar_2p/visual.c (1.5),
	default/linear_1/visual.c (1.14), default/linear_16/visual.c
	(1.15), default/linear_1_r/visual.c (1.5),
	default/linear_2/visual.c (1.5), default/linear_24/visual.c (1.12),
	default/linear_32/visual.c (1.16), default/linear_4/visual.c
	(1.13), default/linear_8/visual.c (1.14),
	default/linmm_banked/visual.c (1.11), default/planar/visual.c
	(1.6), default/ramdac/visual.c (1.11), default/stubs/visual.c
	(1.15), default/text_16/visual.c (1.15), default/text_32/visual.c
	(1.15), display/X/visual.c (1.33), display/Xlib/visual.c (1.18),
	display/aa/visual.c (1.25), display/fbdev/mode.c (1.41),
	display/fbdev/visual.c (1.29), display/file/mode.c (1.9),
	display/file/visual.c (1.6), display/glide/visual.c (1.16),
	display/kgi/visual.c (1.12), display/mansync/visual.c (1.5),
	display/memory/mode.c (1.23), display/memory/visual.c (1.15),
	display/monotext/mode.c (1.26), display/monotext/visual.c (1.20),
	display/multi/visual.c (1.19), display/palemu/mode.c (1.17),
	display/palemu/visual.c (1.15), display/sub/mode.c (1.13),
	display/sub/visual.c (1.16), display/suidkgi/visual.c (1.11),
	display/svgalib/mode.c (1.28), display/svgalib/visual.c (1.21),
	display/tele/mode.c (1.7), display/tele/visual.c (1.9),
	display/terminfo/mode.c (1.20), display/terminfo/visual.c (1.15),
	display/tile/mode.c (1.37), display/tile/visual.c (1.30),
	display/trueemu/mode.c (1.27), display/trueemu/visual.c (1.23),
	display/vgagl/visual.c (1.10), display/xf86dga/mode.c (1.29),
	display/xf86dga/visual.c (1.26), extensions/misc/init.c (1.8),
	extensions/misc/display/X/init.c (1.4),
	extensions/misc/display/svgalib/visual.c (1.7), include/ggi/ggi.h
	(1.27), include/ggi/internal/dltypes.h (1.5),
	include/ggi/internal/internal.h (1.13),
	include/ggi/internal/structs.h (1.13): argptr change. Fixed
	subvisual target.

1998-10-18 15:29  Andreas Beck [becka@ggi-project.org]

	* configure (1.19), configure.in (1.22), include/ggi/config.h.in
	(1.11): added checks for installed LibGII which is now needed

1998-10-18 04:41  Andreas Beck [becka@ggi-project.org]

	* GOALS (1.4): Updated GOALS

1998-10-18 04:41  Andreas Beck [becka@ggi-project.org]

	* include/ggi/errno.h (1.1): Added errno.h for GGI_E*.

1998-10-17 15:31  Andreas Beck [becka@ggi-project.org]

	* Makefile.in (1.12), configure (1.18), configure.in (1.21), gii.c
	(1.15), init.c (1.28), display/X/visual.c (1.32),
	display/Xlib/visual.c (1.17), include/ggi/gii.h (1.5),
	include/ggi/internal/gii.h (1.5): Moved out internal LibGII.

1998-10-15 00:26  Andreas Beck [becka@ggi-project.org]

	* GOALS (1.3): small things.

1998-10-14 20:27  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.20): Removed a little s that sneaked in here.

1998-10-14 02:28  Marcus Sundberg [marcus@ggi-project.org]

	* doc/targets.txt (1.1): Started documenting targets from end-user
	perspective

1998-10-14 00:39  Andreas Beck [becka@ggi-project.org]

	* GOALS (1.2), display/multi/visual.c (1.18),
	display/palemu/visual.c (1.14), display/tile/visual.c (1.29),
	display/trueemu/visual.c (1.22): Fixed some targets for GII.

1998-10-13 21:10  Andreas Beck [becka@ggi-project.org]

	* GOALS (1.1), gii.c (1.14): Added goals ...

1998-10-13 18:53  Jason McMullan [jmcc@ggi-project.org]

	* Makerules.in (1.11), acconfig.h (1.4), configure (1.17),
	configure.in (1.19), include/ggi/config.h.in (1.10): Minor: added
	--disable-debug flag

1998-10-13 13:13  Andrew Apted [andrew@ggi-project.org]

	* display/file/: Makefile.in (1.2), fileio.c (1.1), ppm.c (1.1),
	filehook.h (1.5), mode.c (1.8), visual.c (1.5): Reorganized, and
	added support for PPM files (which get written out at ggiClose()
	time).

1998-10-13 13:09  Andrew Apted [andrew@ggi-project.org]

	* display/: fbdev/mode.c (1.40), palemu/mode.c (1.16),
	palemu/visual.c (1.13): Slight fixes.

1998-10-13 09:54  Marcus Sundberg [marcus@ggi-project.org]

	* stubs.c (1.27), display/X/mode.c (1.32), display/Xlib/Xvisual.h
	(1.8), display/Xlib/mode.c (1.14), display/aa/mode.c (1.24),
	display/fbdev/visual.c (1.28), display/glide/mode.c (1.18),
	display/mansync/child.c (1.8), display/monotext/mode.c (1.25),
	display/multi/mode.c (1.13), display/palemu/mode.c (1.15),
	display/sub/mode.c (1.12), display/svgalib/mode.c (1.27),
	display/tele/visual.c (1.8), display/terminfo/mode.c (1.19),
	display/tile/mode.c (1.36), display/tile/stubs.c (1.11),
	display/trueemu/mode.c (1.26): Added the new ggifunc_flush stuff

1998-10-13 09:50  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/: dltypes.h (1.4), internal.h (1.12): Added
	the new ggifunc_flush stuff

1998-10-13 09:49  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/debug.h (1.3): Added _ggiDebugSync flag

1998-10-13 09:41  Marcus Sundberg [marcus@ggi-project.org]

	* gii.c (1.13): Quickhack to work on non-linux compatible select()s

1998-10-13 09:17  Marcus Sundberg [marcus@ggi-project.org]

	* display/: palemu/events.c (1.9), trueemu/events.c (1.15): Fixed
	deadlock condition when receiving continous events

1998-10-13 07:01  Marcus Sundberg [marcus@ggi-project.org]

	* debug.c (1.12), init.c (1.27): Only fflush() DPRINT stream if
	we're specificly told to do so.

1998-10-13 03:31  Marcus Sundberg [marcus@ggi-project.org]

	* display/tile/: mode.c (1.35), tilevisual.h (1.15), visual.c
	(1.28): We don't need any locks in ggiFlush() here

1998-10-13 02:30  Marcus Sundberg [marcus@ggi-project.org]

	* display/palemu/palemu.c (1.9): Fixed inline stuff

1998-10-13 01:00  Andreas Beck [becka@ggi-project.org]

	* display/X/mode.c (1.31), include/ggi/internal/internal.h (1.11),
	include/ggi/internal/structs.h (1.12): Removed bad debug code, as
	Jason found the original problem ...

1998-10-13 00:03  Marcus Sundberg [marcus@ggi-project.org]

	* display/terminfo/color.c (1.15): Fixed broken inlines

1998-10-12 23:59  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/internal.h (1.10), default/stubs/copybox.c
	(1.8): Fixed broken inline statement

1998-10-12 23:56  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/plat.h (1.2): Fixed inline warnings when
	compiling with GCC

1998-10-12 22:35  Andreas Beck [becka@ggi-project.org]

	* debug.c (1.11), include/ggi/internal/internal.h (1.9),
	include/ggi/internal/structs.h (1.11): More debugging code for
	locking. Hope I hotfixed the problem for now.

1998-10-12 22:18  Jason McMullan [jmcc@ggi-project.org]

	* Makerules.in (1.10), display/X/mode.c (1.30): Threading fixes...

1998-10-12 02:24  Andreas Beck [becka@ggi-project.org]

	* gii.c (1.12), display/X/mode.c (1.29), display/mansync/pthread.c
	(1.7), display/trueemu/mode.c (1.25),
	include/ggi/internal/internal.h (1.8): More debugging code for
	threads and mutexes,

1998-10-11 06:48  Andrew Apted [andrew@ggi-project.org]

	* display/fbdev/mode.c (1.39): Fixed a program with checkmode() not
	working properly on 15 bit mode on VESAFB (which reports,
	reasonably enough, bpp == 16).

1998-10-11 04:57  Marcus Sundberg [marcus@ggi-project.org]

	* display/xf86dga/mode.c (1.28): Removed neccesity for errno.h

1998-10-11 03:37  Andrew Apted [andrew@ggi-project.org]

	* display/fbdev/mode.c (1.38): Fixed a buglet to do with
	GT_GREYSCALE.

1998-10-11 03:35  Andrew Apted [andrew@ggi-project.org]

	* display/: palemu/visual.c (1.12), trueemu/visual.c (1.21): Fixed
	some bugs with the argument parsing.

1998-10-11 03:35  Andrew Apted [andrew@ggi-project.org]

	* init.c (1.26), display/common/parse-target.inc (1.5): For some
	targets (e.g. PalEmu and TrueEmu) an empty target string returned
	from _GGIparsetarget() is *VALID*, so moved the error from
	./display/common/parse-target.inc to ./init.c where it belongs.

1998-10-10 15:24  Andrew Apted [andrew@ggi-project.org]

	* display/palemu/: events.c (1.8), frames.c (1.2), mode.c (1.14),
	palemu.c (1.8), palemu.h (1.8), text.c (1.7), visual.c (1.11):
	Cleaned up the namespace (if you can call preprending everything
	with _ggi_palemu_ clean :-)).  Fixed some bugs here and there.

1998-10-10 15:21  Andrew Apted [andrew@ggi-project.org]

	* display/trueemu/: Makefile.in (1.2), frames.c (1.1), blit24.c
	(1.7), blit32.c (1.7), genblit.c (1.4), events.c (1.14), mode.c
	(1.24), stubs.c (1.15), trueemu.c (1.15), trueemu.h (1.12),
	visual.c (1.20): Overhaul of the trueemu target.  Added the proper
	MANSYNC code.  Added support for frames (as yet untested -- broken
	I suspect).  Cleaned up the namespace a bit (if you can call
	appending _ggi_trueemu_ to everything clean :-)).  Improved the
	checkmode behaviour (much saner now).  Improved the argument
	parsing.  Changed the stubs.c code to not try to be `smart' (which
	actually performed worse).

1998-10-10 15:11  Andrew Apted [andrew@ggi-project.org]

	* include/ggi/internal/dltypes.h (1.3): Added ggi_resetmode_func
	(or whatever).	Not strictly a function contained in a vis->opXX
	table, but handy non-the-less (allows the reset mode code to be in
	display/XX/mode.c close to the set mode code).

1998-10-09 21:33  Jason McMullan [jmcc@ggi-project.org]

	* display/: X/mode.c (1.28), svgalib/mode.c (1.26),
	terminfo/color.c (1.14), xf86dga/mode.c (1.27): Minor: Fix missing
	#include <errno.h>

1998-10-09 21:24  Marcus Sundberg [marcus@ggi-project.org]

	* display/X/mode.c (1.27): Trylock here is _wrong_.  Someone that
	thinks mansync is worth keeping is welcome to fix it...

1998-10-09 21:13  Marcus Sundberg [marcus@ggi-project.org]

	* default/linear_4/color.c (1.7): Removed dependency of
	color-magic.h

1998-10-09 00:03  Andreas Beck [becka@ggi-project.org]

	* display/X/mode.c (1.26), include/ggi/internal/internal.h (1.7):
	Added a bunch of debugging for threads ... VERY strange stuff.

1998-10-08 16:23  Jason McMullan [jmcc@ggi-project.org]

	* acconfig.h (1.3), configure (1.16), configure.in (1.18), init.c
	(1.25), include/ggi/config.h.in (1.9): Minor: Fix problems
	compiling on Linux PowerPC

1998-10-08 02:42  Marcus Sundberg [marcus@ggi-project.org]

	* display/X/mode.c (1.25): Temporary deadlock "fix" until the SYNC
	issue is resolved

1998-10-08 00:46  Andreas Beck [becka@ggi-project.org]

	* gii.c (1.11): Better GII demo. Fixed silly typo in gii.c.

1998-10-08 00:01  Marcus Sundberg [marcus@ggi-project.org]

	* configure (1.15), configure.in (1.17): Use autoconf to detect
	data sizes

1998-10-07 23:37  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/: config.h.in (1.8), types.h (1.4),
	internal/color-magic.h (1.2), internal/debug.h (1.2),
	internal/dlprotos.h (1.3), internal/dltypes.h (1.2),
	internal/internal.h (1.6), internal/plat.h (1.1),
	internal/structs.h (1.10): Cleanup of the includes.  Use autoconf
	to detect data sizes.

1998-10-07 23:03  Marcus Sundberg [marcus@ggi-project.org]

	* display/: X/mode.c (1.24), Xlib/mode.c (1.13), palemu/mode.c
	(1.13), tile/mode.c (1.34): Don't return -E* from libggi functions
	Use ggiLock(), not ggiTryLock() in flush functions.  (Disabling
	mansync first thing in the flush function should solve the deadlock
	problem)

1998-10-07 18:49  Marcus Sundberg [marcus@ggi-project.org]

	* display/: file/mode.c (1.7), memory/mode.c (1.22): Removed usage
	of ggi_suggest

1998-10-07 01:53  Marcus Sundberg [marcus@ggi-project.org]

	* Makerules.in (1.9), configure (1.14), configure.in (1.16):
	Default to the compiler autoconf detected if none is specified for
	the OS

1998-10-06 23:19  Andreas Beck [becka@ggi-project.org]

	* default/linear_16/crossblit.c (1.2),
	default/linear_32/crossblit.c (1.10), display/Xlib/visual.c (1.16):
	Crossblit from Ari, converted Xlib.

1998-10-06 22:00  Steve Cheng [steve@ggi-project.org]

	* display/: X/Xvisual.h (1.16), X/mode.c (1.23), X/visual.c (1.31),
	Xlib/Xvisual.h (1.7), Xlib/mode.c (1.12), Xlib/visual.c (1.15),
	aa/aavisual.h (1.14), aa/mode.c (1.23), aa/visual.c (1.24),
	xf86dga/Xvisual.h (1.15), xf86dga/visual.c (1.25), tile/mode.c
	(1.33), tile/tilevisual.h (1.14), tile/visual.c (1.27): Finally
	changed lock hacks to ggi_mutex and _ggi*Lock functions!

1998-10-06 03:10  Marcus Sundberg [marcus@ggi-project.org]

	* mode.c (1.29): Corrected some debugging stuff

1998-10-06 02:30  Marcus Sundberg [marcus@ggi-project.org]

	* display/xf86dga/: Xvisual.h (1.14), mode.c (1.26), visual.c
	(1.24): Added support for multiple frames

1998-10-06 01:01  Andreas Beck [becka@ggi-project.org]

	* include/ggi/.cvsignore (1.1): Added a few cosmetic .cvsignores

1998-10-06 00:58  Andreas Beck [becka@ggi-project.org]

	* events.c (1.12), gii.c (1.10), stubs.c (1.26), display/X/visual.c
	(1.30), include/ggi/ggi.h (1.26): Made GII source default for X.
	Hope this is right ... :-)

1998-10-05 00:08  Andreas Beck [becka@ggi-project.org]

	* gii.c (1.9), display/X/visual.c (1.29): Integrated X events for
	GII.

1998-10-04 09:29  Andrew Apted [andrew@ggi-project.org]

	* display/palemu/: Makefile.in (1.2), color.c (1.10), draw.c (1.6),
	events.c (1.7), mode.c (1.12), palemu.c (1.7), palemu.h (1.7),
	text.c (1.6), visual.c (1.10): More overhauling of the palemu
	target.  Removed the old `sync after primitive' SYNC method and
	replaced it with MANSYNC.  Removed some of the `cleverness' in
	draw.c (which actually performed worse).  Added support for
	multible frames, and got it working.

1998-10-04 09:23  Andrew Apted [andrew@ggi-project.org]

	* include/ggi/internal/: structs.h (1.9), internal.h (1.5): Made
	ggi_mutex.i a _pointer_ to an integer, in order to fix
	_ggiTryLock().

1998-10-04 09:21  Andrew Apted [andrew@ggi-project.org]

	* display/mansync/mansync.h (1.6): Made MANSYNC_SETFLAGS `PRIVLIST'
	aware.

1998-10-04 09:20  Andrew Apted [andrew@ggi-project.org]

	* display/palemu/frames.c (1.1): Initial check-in.

1998-10-04 04:32  Andrew Apted [andrew@ggi-project.org]

	* display/memory/mode.c (1.21): Stopped using _ggi_malloc for the
	framebuffer.

1998-10-04 04:28  Andrew Apted [andrew@ggi-project.org]

	* display/tele/events.c (1.9): Fixed the expose thang (for the
	second time :)

1998-10-04 02:40  Andreas Beck [becka@ggi-project.org]

	* events.c (1.11), gii.c (1.8), stubs.c (1.25),
	display/tele/events.c (1.8), include/ggi/ggi.h (1.25),
	include/ggi/gii.h (1.4), include/ggi/internal/gii.h (1.4): Did
	ggi->gii bridging functions.

1998-10-03 15:39  Andrew Apted [andrew@ggi-project.org]

	* display/palemu/: README (1.2), mode.c (1.11), palemu.c (1.6),
	palemu.h (1.6), visual.c (1.9): Updated the argument parsing, and
	allowed the target name to be missing (finally !).  Drastically
	improved the checkmode() behaviour.  Added support for multible
	frames, but ATM it is broken.  Updated the README.

1998-10-03 15:35  Andrew Apted [andrew@ggi-project.org]

	* display/fbdev/mode.c (1.37): Fixed GT_AUTO handling.	Improved
	the debugging (wrt showing mode strings).  Fixed a possible
	memleak.

1998-10-03 15:28  Andrew Apted [andrew@ggi-project.org]

	* init.c (1.24): Added `recursive_level' for ggiOpen(NULL) handling
	that prevents GGI_DISPLAY being used a second time.  This allows
	the emulation targets like palemu to call ggiOpen(NULL) to get the
	`auto detect' target (i.e.  what you'd get without any
	GGI_DISPLAY).

1998-10-03 04:31  Marcus Sundberg [marcus@ggi-project.org]

	* display/: fbdev/events.c (1.12), tele/events.c (1.7): Fixed sane
	behaviour of expose events Added expose events to X targets

1998-10-03 04:29  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/events.h (1.4): Fixed sane bahaviour of expose events

1998-10-03 04:03  Marcus Sundberg [marcus@ggi-project.org]

	* display/glide/: Makefile.in (1.3), glidevisual.h (1.10), gtext.c
	(1.1), mode.c (1.17): Added optimized ggiPutc()

1998-10-03 00:17  Steve Cheng [steve@ggi-project.org]

	* display/mansync/pthread.c (1.6): Fixed bug where
	_GGI_mansync_cont() would start the mansync thread even if the
	visual is in ASYNC mode.

1998-10-02 09:37  Andrew Apted [andrew@ggi-project.org]

	* visual.c (1.23), include/ggi/ggi.h (1.24),
	display/svgalib/visual.c (1.20), display/xf86dga/mode.c (1.25),
	display/xf86dga/visual.c (1.23), display/common/modelist.inc (1.5):
	Removed ggiGT2BPP() and ggiBPP2GT() functions, which have been
	obsoleted by the new graphtype scheme.

1998-10-02 09:35  Andrew Apted [andrew@ggi-project.org]

	* display/fbdev/: fbdev.h (1.16), mode.c (1.36), pan.c (1.13): Made
	the fbdev target save & restore the panning.  This works around a
	big in Linux' framebuffer console not handling KDSETMODE(KD_TEXT)
	properly.

1998-10-01 16:09  Andrew Apted [andrew@ggi-project.org]

	* display/file/mode.c (1.6): Added a check for mmap() failing.

1998-10-01 14:45  Marcus Sundberg [marcus@ggi-project.org]

	* configure (1.13): Made configure in sync with configure.in

1998-10-01 14:44  Marcus Sundberg [marcus@ggi-project.org]

	* Makefile.in (1.11): Added demos subdir

1998-10-01 14:44  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/: events.h (1.3), internal/internal.h (1.4): Moved
	EV_TIMESTAMP to internal.h

1998-10-01 14:29  Marcus Sundberg [marcus@ggi-project.org]

	* display/mansync/pthread.c (1.5): Fixed warnings

1998-10-01 13:12  Marcus Sundberg [marcus@ggi-project.org]

	* Makefile.in (1.10), Makerules.in (1.8), configure.in (1.15),
	include/ggi/config.h.in (1.7): Some thread fixes

1998-10-01 00:46  Andreas Beck [becka@ggi-project.org]

	* gii.c (1.7), include/ggi/internal/gii.h (1.3): GII - new scheme.
	Hope this works ... Had conflicts ...

1998-10-01 00:42  Andreas Beck [becka@ggi-project.org]

	* extensions/misc/display/svgalib/.cvsignore (1.1): Missing
	.cvsignore

1998-09-30 21:08  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/: internal.h (1.3), structs.h (1.8): Changed
	usleep to _ggi_usleep Some restructuring

1998-09-30 20:38  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/config.h.in (1.6), configure.in (1.14), configure
	(1.12): Added check for usleep() function

1998-09-30 20:31  Marcus Sundberg [marcus@ggi-project.org]

	* display/: Xlib/pixel.c (1.10), mansync/child.c (1.7),
	mansync/pthread.c (1.4), suidkgi/visual.c (1.10), tele/events.c
	(1.6), tele/teleserver.c (1.3): Replaced usleep with _ggi_usleep

1998-09-30 15:08  Andrew Apted [andrew@ggi-project.org]

	* display/fbdev/visual.c (1.27): Fixed the argument parsing code.

1998-09-30 15:06  Andrew Apted [andrew@ggi-project.org]

	* include/ggi/types.h (1.3): Added various `mc68000' things to the
	endian checks.

1998-09-30 11:23  Todd T. Fries [todd@fries.net]

	* display/tile/mode.c (1.32): fix for usleep

1998-09-30 11:16  Todd T. Fries [todd@fries.net]

	* display/X/mode.c (1.22): somebody didn't read the usleep man page

1998-09-30 11:04  Todd T. Fries [todd@fries.net]

	* display/terminfo/Makefile.in (1.2): same lib, different name

1998-09-30 11:03  Todd T. Fries [todd@fries.net]

	* gii.c (1.6): somebody didn't read the select(2) man page

1998-09-30 10:54  Todd T. Fries [todd@fries.net]

	* display/X/Makefile.in (1.3): repair for OpenBSD

1998-09-30 02:34  Marcus Sundberg [marcus@ggi-project.org]

	* configure (1.11), configure.in (1.13), include/ggi/config.h.in
	(1.5): Use autoconf to check what inputlibraries to build

1998-09-30 01:26  Marcus Sundberg [marcus@ggi-project.org]

	* display/glide/Makefile.in (1.2): We need to link with -lm here

1998-09-30 01:25  Marcus Sundberg [marcus@ggi-project.org]

	* display/xf86dga/: color.c (1.10), events.c (1.8): Fixed
	unresolved symbols

1998-09-30 00:25  Jan Kneschke [jan@kneschke.de]

	* configure (1.10), configure.in (1.12): 
	adding input directories

1998-09-29 17:13  Marcus Sundberg [marcus@ggi-project.org]

	* display/.cvsignore (1.2), extensions/.cvsignore (1.1),
	extensions/misc/display/.cvsignore (1.1),
	extensions/misc/display/X/.cvsignore (1.1): Initial checkin

1998-09-29 17:09  Marcus Sundberg [marcus@ggi-project.org]

	* configure.in (1.11): Disable threads on Linux libc5 systems

1998-09-29 01:21  Andreas Beck [becka@ggi-project.org]

	* display/: .cvsignore (1.1), X/.cvsignore (1.1), Xlib/.cvsignore
	(1.1), aa/.cvsignore (1.1), fbdev/.cvsignore (1.1), file/.cvsignore
	(1.1), glide/.cvsignore (1.1), kgi/.cvsignore (1.1),
	mansync/.cvsignore (1.1), memory/.cvsignore (1.1),
	monotext/.cvsignore (1.1), multi/.cvsignore (1.1),
	palemu/.cvsignore (1.1), sub/.cvsignore (1.1), suidkgi/.cvsignore
	(1.1), svgalib/.cvsignore (1.1), tele/.cvsignore (1.2),
	terminfo/.cvsignore (1.1), tile/.cvsignore (1.1),
	trueemu/.cvsignore (1.1), vgagl/.cvsignore (1.1),
	xf86dga/.cvsignore (1.1): Updated demo and a big bunch of
	.cvsignores ...

1998-09-29 01:19  Andreas Beck [becka@ggi-project.org]

	* default/: linear_16/Makefile.in (1.2), linear_16/crossblit.c
	(1.1), linear_16/visual.c (1.14), linear_32/Makefile.in (1.2),
	linear_32/crossblit.c (1.9), linear_32/visual.c (1.15): added a bit
	of crossblit acceleration.

1998-09-28 23:16  Marcus Sundberg [marcus@ggi-project.org]

	* configure (1.9): Disable threads on Linux libc5 systems

1998-09-28 05:11  Marcus Sundberg [marcus@ggi-project.org]

	* configure (1.8), configure.in (1.10): Build Makefile in input
	subdir

1998-09-28 05:09  Marcus Sundberg [marcus@ggi-project.org]

	* Makefile.in (1.9): Fixed problem with 'make clean'

1998-09-28 02:15  Emmanuel Marty [core@ggi-project.org]

	* configure (1.7), configure.in (1.9): Added support for warp-ggi

1998-09-28 00:27  Andreas Beck [becka@ggi-project.org]

	* default/: color/.cvsignore (1.1), ilbm/.cvsignore (1.1),
	iplanar_2p/.cvsignore (1.1), linear_1/.cvsignore (1.1),
	linear_16/.cvsignore (1.1), linear_1_r/.cvsignore (1.1),
	linear_2/.cvsignore (1.1), linear_24/.cvsignore (1.1),
	linear_32/.cvsignore (1.1), linear_4/.cvsignore (1.1),
	linear_8/.cvsignore (1.1), linmm_banked/.cvsignore (1.1),
	planar/.cvsignore (1.1), stubs/.cvsignore (1.1), text_16/.cvsignore
	(1.1), text_32/.cvsignore (1.1): Added a bunch of .cvsignores to
	avoid those Makefile ? warnings.

1998-09-28 00:25  Andreas Beck [becka@ggi-project.org]

	* default/.cvsignore (1.1): Changed default kgicon mode to lessen
	confusion.

1998-09-28 00:21  Andreas Beck [becka@ggi-project.org]

	* .cvsignore (1.6), gii.c (1.5), visual.c (1.22),
	extensions/misc/.cvsignore (1.3), extensions/test/.cvsignore (1.2),
	include/ggi/internal/gii.h (1.2), include/ggi/internal/structs.h
	(1.7): Slight GII additions.

1998-09-27 19:22  Andreas Beck [becka@ggi-project.org]

	* .cvsignore (1.5), gii.c (1.4): Added polled joystick driver

1998-09-27 14:51  Andreas Beck [becka@ggi-project.org]

	* Makefile.in (1.8), visual.c (1.21), display/tile/mode.c (1.31):
	Fixed a few typos.

1998-09-27 14:34  Andreas Beck [becka@ggi-project.org]

	* display/common/pixfmt-setup.inc (1.6): Some DirectBuffer fixes
	for new fields.

1998-09-27 04:42  Marcus Sundberg [marcus@ggi-project.org]

	* init.c (1.23), mode.c (1.28), visual.c (1.20),
	include/ggi/internal/structs.h (1.6): Made locking system more
	useful

1998-09-27 00:00  Marcus Sundberg [marcus@ggi-project.org]

	* gii.c (1.3), include/ggi/gii.h (1.3), include/ggi/internal/gii.h
	(1.1): Portability and cleanup fixes

1998-09-26 22:41  Andreas Beck [becka@ggi-project.org]

	* gii.c (1.2), include/ggi/gii.h (1.2): GII - first target
	commited.

1998-09-26 21:00  Marcus Sundberg [marcus@ggi-project.org]

	* Makefile.in (1.7), Makerules.in (1.7), acconfig.h (1.2),
	configure (1.6), configure.in (1.8): Autoconf updates

1998-09-26 20:56  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/config.h.in (1.4): Autoconf updates

1998-09-26 20:42  Marcus Sundberg [marcus@ggi-project.org]

	* extensions/misc/: Makefile.in (1.2), display/X/Makefile.in (1.2):
	Update autoconf stuff

1998-09-26 20:42  Marcus Sundberg [marcus@ggi-project.org]

	* display/: X/Makefile.in (1.2), Xlib/Makefile.in (1.3),
	fbdev/fbdev.h (1.15), fbdev/mode.c (1.35), fbdev/pan.c (1.12),
	fbdev/visual.c (1.26), glide/glidevisual.h (1.9),
	svgalib/Makefile.in (1.2), svgalib/events.c (1.18),
	terminfo/TIvisual.h (1.8), terminfo/visual.c (1.14),
	vgagl/Makefile.in (1.2), xf86dga/Makefile.in (1.3),
	xf86dga/Xvisual.h (1.13), xf86dga/mode.c (1.24), xf86dga/visual.c
	(1.22): Improved autoconf system Fixed unresolved symbols in
	targets

1998-09-26 17:51  Andreas Beck [becka@ggi-project.org]

	* Makefile.in (1.6), dl.c (1.17), gii.c (1.1), include/ggi/gii.h
	(1.1): Added LibGII components.

1998-09-26 17:10  Marcus Sundberg [marcus@ggi-project.org]

	* display/mansync/child.c (1.6): Include stdio.h

1998-09-26 17:08  Marcus Sundberg [marcus@ggi-project.org]

	* Makefile.in (1.5): Link libggi.so to _SHLIBLDLIBS

1998-09-26 05:49  Marcus Sundberg [marcus@ggi-project.org]

	* default/linear_8/lin8lib.h (1.1): initial checkin

1998-09-26 05:33  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/dlprotos.h (1.2): Removed unused prototypes.
	THE REST SHOULD BE REMOVED TOO. PLEASE FIX LIBS

1998-09-26 05:31  Marcus Sundberg [marcus@ggi-project.org]

	* display/sub/: SubVisual.h (1.5), mode.c (1.11): Fixed symbolnames

1998-09-26 05:29  Marcus Sundberg [marcus@ggi-project.org]

	* display/multi/mode.c (1.12): Fixed a warning

1998-09-26 05:28  Marcus Sundberg [marcus@ggi-project.org]

	* extensions/test/Makefile.in (1.3): Removed -ldl

1998-09-26 05:28  Marcus Sundberg [marcus@ggi-project.org]

	* extensions/: misc/init.c (1.7), test/test2.c (1.7): Fixed
	warnings

1998-09-26 05:27  Marcus Sundberg [marcus@ggi-project.org]

	* display/: tile/mode.c (1.30), tile/tilevisual.h (1.13),
	trueemu/trueemu.h (1.11), trueemu/visual.c (1.19): Fixed
	symbolnames

1998-09-26 05:24  Marcus Sundberg [marcus@ggi-project.org]

	* display/: monotext/color.c (1.16), monotext/draw.c (1.16),
	monotext/mode.c (1.24), monotext/visual.c (1.19), palemu/color.c
	(1.9), palemu/mode.c (1.10), palemu/palemu.h (1.5), palemu/visual.c
	(1.8), tele/mode.c (1.6), tele/telehook.h (1.5), tele/visual.c
	(1.7): Fixed symbolnames

1998-09-26 05:23  Marcus Sundberg [marcus@ggi-project.org]

	* display/common/parse-options.inc (1.5): Fixed some warnings

1998-09-26 05:20  Teunis Peters [teunis@ggi-project.org]

	* display/svgalib/events.c (1.17): fixed for the namespace update

1998-09-26 05:19  Marcus Sundberg [marcus@ggi-project.org]

	* default/: color/Makefile.in (1.2), color/color.c (1.6),
	color/color.h (1.2), color/gamma.c (1.5), color/pack.c (1.5),
	color/visual.c (1.7), common/frames.c (1.5), ilbm/visual.c (1.4),
	iplanar_2p/visual.c (1.4), linear_1/visual.c (1.13),
	linear_16/visual.c (1.13), linear_1_r/visual.c (1.4),
	linear_2/visual.c (1.4), linear_24/visual.c (1.11),
	linear_32/visual.c (1.14), linear_4/color.c (1.6),
	linear_4/copybox.c (1.7), linear_4/fillscreen.c (1.9),
	linear_4/hline.c (1.9), linear_4/pixel.c (1.9), linear_4/visual.c
	(1.12), linear_4/vline.c (1.9), linear_8/copybox.c (1.8),
	linear_8/fillscreen.c (1.9), linear_8/gtext.c (1.7),
	linear_8/hline.c (1.9), linear_8/line.c (1.3), linear_8/pixel.c
	(1.9), linear_8/visual.c (1.13), linear_8/vline.c (1.9),
	planar/visual.c (1.5), stubs/box.c (1.11), stubs/copybox.c (1.7),
	stubs/crossblit.c (1.7), stubs/fillscreen.c (1.7), stubs/gtext.c
	(1.9), stubs/hline.c (1.10), stubs/line.c (1.9), stubs/pixel.c
	(1.6), stubs/visual.c (1.14), stubs/vline.c (1.11),
	text_16/visual.c (1.14), text_32/visual.c (1.14),
	linear_4/lin4lib.h (1.1), stubs/stublib.h (1.1): Fixed symbolnames

1998-09-26 05:07  Marcus Sundberg [marcus@ggi-project.org]

	* default/common/match-color.c (1.4): Changed DPRINT ->
	DPRINT_COLOR

1998-09-25 23:32  Andreas Beck [becka@ggi-project.org]

	* display/: palemu/color.c (1.8), palemu/draw.c (1.5),
	palemu/events.c (1.6), palemu/mode.c (1.9), palemu/palemu.h (1.4),
	palemu/text.c (1.5), palemu/visual.c (1.7), sub/SubVisual.h (1.4),
	sub/mode.c (1.10), sub/stubs.c (1.10), sub/visual.c (1.15),
	tele/box.c (1.4), tele/color.c (1.5), tele/draw.c (1.4),
	tele/events.c (1.5), tele/mode.c (1.5), tele/telehook.h (1.4),
	tele/text.c (1.4), tele/visual.c (1.6), terminfo/TIvisual.h (1.7),
	terminfo/color.c (1.13), terminfo/events.c (1.12), terminfo/mode.c
	(1.18), terminfo/visual.c (1.13), trueemu/events.c (1.13),
	trueemu/mode.c (1.23), trueemu/stubs.c (1.14), trueemu/trueemu.h
	(1.10), trueemu/visual.c (1.18), vgagl/box.c (1.8), vgagl/copybox.c
	(1.8), vgagl/fillscreen.c (1.6), vgagl/hline.c (1.9), vgagl/pixel.c
	(1.9), vgagl/vgaglvis.h (1.3), vgagl/visual.c (1.9), vgagl/vline.c
	(1.9), xf86dga/Xvisual.h (1.12), xf86dga/mode.c (1.23),
	xf86dga/visual.c (1.21): Fixed lots of failing targets ...

1998-09-25 22:01  Jason McMullan [jmcc@ggi-project.org]

	* display/fbdev/mode.c (1.34), display/sub/subtarget.h (1.1),
	extensions/test/Makefile.in (1.2), include/ggi/internal/dlprotos.h
	(1.1), include/ggi/internal/ggi-dl.h (1.3): Minor: Fixed such that
	all will build Add: include/ggi/internal/dlprotos.h

1998-09-25 04:13  Andrew Apted [andrew@ggi-project.org]

	* default/common/linear-line.c (1.9): Added Alex's fix for a
	line-drawing bug.

1998-09-24 18:28  Marcus Sundberg [marcus@ggi-project.org]

	* display/file/mode.c (1.5): Cast pointers correctly to prevent
	warnings

1998-09-24 03:23  Marcus Sundberg [marcus@ggi-project.org]

	* display/common/parse-options.inc (1.4): Include correct files!

1998-09-24 03:22  Marcus Sundberg [marcus@ggi-project.org]

	* display/: aa/Makefile.in (1.2), aa/aavisual.h (1.13), aa/color.c
	(1.11), aa/events.c (1.9), aa/mode.c (1.22), aa/visual.c (1.23),
	monotext/Makefile.in (1.3), monotext/color.c (1.15),
	monotext/draw.c (1.15), monotext/events.c (1.12), monotext/mode.c
	(1.23), monotext/monotext.c (1.17), monotext/monotext.h (1.10),
	monotext/text.c (1.13), monotext/visual.c (1.18), fbdev/color.c
	(1.14), fbdev/events.c (1.11), fbdev/fbdev.h (1.14), fbdev/mode.c
	(1.33), fbdev/visual.c (1.25), glide/box.c (1.4), glide/events.c
	(1.10), glide/fb.c (1.3), glide/glidevisual.h (1.8), glide/line.c
	(1.4), glide/mode.c (1.16), glide/pixel.c (1.4), glide/visual.c
	(1.15): Updated for new function name scheme

1998-09-23 23:50  Marcus Sundberg [marcus@ggi-project.org]

	* include/ggi/internal/: dltypes.h (1.1), ggi-dl.h (1.2), structs.h
	(1.5): Added new scheme to suppport different names for library
	internal functions

